#
# spec file for package openstack-dashboard
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define component horizon

%define version_unconverted 15.1.0.dev19

Name:           openstack-dashboard
Version:        15.1.0~dev19
Release:        1.1
Summary:        OpenStack Dashboard (Horizon)
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://wiki.openstack.org/OpenStackDashboard
Source:         http://tarballs.openstack.org/horizon/horizon-master.tar.gz
# Apache2 example configuration:
Source2:        openstack-dashboard.conf.sample
Source99:       rpmlintrc
BuildRequires:  apache2
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Django1
BuildRequires:  python-devel
BuildRequires:  python-pbr >= 0.6
# Now BuildRequires to be able to import the local_settings.py for collectstatic
BuildRequires:  python-XStatic
BuildRequires:  python-XStatic-Angular
BuildRequires:  python-XStatic-Angular-Bootstrap
BuildRequires:  python-XStatic-Angular-FileUpload
BuildRequires:  python-XStatic-Angular-Gettext
BuildRequires:  python-XStatic-Angular-Schema-Form
BuildRequires:  python-XStatic-Angular-lrdragndrop
BuildRequires:  python-XStatic-Bootstrap-Datepicker
BuildRequires:  python-XStatic-Bootstrap-SCSS
BuildRequires:  python-XStatic-D3
BuildRequires:  python-XStatic-Font-Awesome
BuildRequires:  python-XStatic-Hogan
BuildRequires:  python-XStatic-JQuery-Migrate
BuildRequires:  python-XStatic-JQuery.TableSorter
BuildRequires:  python-XStatic-JQuery.quicksearch
BuildRequires:  python-XStatic-JSEncrypt
BuildRequires:  python-XStatic-Jasmine
BuildRequires:  python-XStatic-Rickshaw
BuildRequires:  python-XStatic-Spin
BuildRequires:  python-XStatic-bootswatch
BuildRequires:  python-XStatic-jQuery
BuildRequires:  python-XStatic-jquery-ui
BuildRequires:  python-XStatic-mdi
BuildRequires:  python-XStatic-objectpath
BuildRequires:  python-XStatic-roboto-fontface
BuildRequires:  python-XStatic-smart-table
BuildRequires:  python-XStatic-term.js
BuildRequires:  python-XStatic-tv4
BuildRequires:  python-cinderclient
BuildRequires:  python-django-debreach
BuildRequires:  python-django-pyscss
BuildRequires:  python-django_compressor
BuildRequires:  python-glanceclient
BuildRequires:  python-heatclient
BuildRequires:  python-keystoneclient
BuildRequires:  python-neutronclient
BuildRequires:  python-novaclient
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.policy
BuildRequires:  python-swiftclient
BuildRequires:  python-troveclient
Requires:       apache2
Requires:       apache2-mod_wsgi
Requires:       python >= 2.6.8
Requires:       python-horizon = %{version}
Requires:       python-openstack_auth = %{version}
Recommends:     openstack-novncproxy
# Can't hurt to also provide openstack-horizon:
Provides:       openstack-%{component} = %{version}
# Provide removed packages
Provides:       openstack-dashboard-branding-upstream = %{version}
Provides:       python-horizon-branding-upstream = %{version}
Obsoletes:      openstack-dashboard-branding-upstream <= %{version}
Obsoletes:      python-horizon-branding-upstream <= %{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# To generate a self-signed certificate to be used in demo setups:
Requires(post): apache2-utils
Requires(post): openssl
Requires(post): sysconfig
Provides:       openstack-dashboard-config = %{version}
Obsoletes:      openstack-dashboard-config < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The OpenStack dashboard provides administrators and users a graphical
interface to access, provision and automate cloud-based resources. The
extensible design makes it easy to plug in and expose third party
products and services, such as billing, monitoring and additional
management tools.

The dashboard is just one way to interact with OpenStack resources.
Developers can automate access or build tools to manage their resources
using the native OpenStack API or the EC2 compatibility API.

%package -n python-horizon
Summary:        OpenStack Dashboard (Horizon) - Python Module
Group:          Development/Languages/Python
Requires:       python-Babel >= 2.3.4
Requires:       python-Django1 >= 1.11
Requires:       python-Pint >= 0.5
Requires:       python-PyYAML >= 3.12
Requires:       python-XStatic >= 1.0.0
Requires:       python-XStatic-Angular >= 1.5.8.0
Requires:       python-XStatic-Angular-Bootstrap >= 2.2.0.0
Requires:       python-XStatic-Angular-FileUpload >= 12.0.4.0
Requires:       python-XStatic-Angular-Gettext >= 2.3.8.0
Requires:       python-XStatic-Angular-Schema-Form >= 0.8.13.0
Requires:       python-XStatic-Angular-lrdragndrop >= 1.0.2.2
Requires:       python-XStatic-Bootstrap-Datepicker >= 1.3.1.0
Requires:       python-XStatic-Bootstrap-SCSS >= 3.3.7.1
Requires:       python-XStatic-D3 >= 3.5.17.0
Requires:       python-XStatic-Font-Awesome >= 4.7.0.0
Requires:       python-XStatic-Hogan >= 2.0.0.2
Requires:       python-XStatic-JQuery-Migrate >= 1.2.1.1
Requires:       python-XStatic-JQuery.TableSorter >= 2.14.5.1
Requires:       python-XStatic-JQuery.quicksearch >= 2.0.3.1
Requires:       python-XStatic-JSEncrypt >= 2.3.1.1
Requires:       python-XStatic-Jasmine >= 2.4.1.1
Requires:       python-XStatic-Rickshaw >= 1.5.0.0
Requires:       python-XStatic-Spin >= 1.2.5.2
Requires:       python-XStatic-bootswatch >= 3.3.7.0
Requires:       python-XStatic-jQuery >= 1.8.2.1
Requires:       python-XStatic-jquery-ui >= 1.10.4.1
Requires:       python-XStatic-mdi >= 1.4.57.0
Requires:       python-XStatic-objectpath >= 1.2.1.0
Requires:       python-XStatic-roboto-fontface >= 0.5.0.0
Requires:       python-XStatic-smart-table >= 1.4.13.2
Requires:       python-XStatic-term.js >= 0.0.7.0
Requires:       python-XStatic-tv4 >= 1.2.7.0
Requires:       python-cinderclient >= 3.3.0
Requires:       python-django-babel >= 0.6.2
Requires:       python-django-debreach >= 1.4.2
Requires:       python-django-pyscss >= 2.0.2
Requires:       python-django_compressor >= 1.4
Requires:       python-futurist >= 1.2.0
Requires:       python-glanceclient >= 2.8.0
Requires:       python-heatclient >= 1.10.0
Requires:       python-httplib2 >= 0.7.5
Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneauth1 >= 3.4.0
Requires:       python-keystoneclient >= 3.15.0
Requires:       python-netaddr >= 0.7.18
Requires:       python-neutronclient >= 6.7.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-oslo.concurrency >= 3.26.0
Requires:       python-oslo.config >= 5.2.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.policy >= 1.30.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.upgradecheck >= 0.1.1
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-osprofiler >= 2.3.0
Requires:       python-pbr >= 2.0.0
Requires:       python-pyScss >= 1.3.4
Requires:       python-pytz >= 2013.6
Requires:       python-requests >= 2.14.2
Requires:       python-semantic_version >= 2.3.1
Requires:       python-six >= 1.10.0
Requires:       python-swiftclient >= 3.2.0

%description -n python-horizon
The Python module horizon is the core component of the OpenStack
dashboard.

%package -n python-openstack_auth
Summary:        OpenStack Django authentication
Group:          Development/Languages/Python

%description -n python-openstack_auth
The Python module for OpenStack Django authentication.

%package test
Summary:        OpenStack Dashboard (Horizon) - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-mock >= 2.0.0
Requires:       python-mox3 >= 0.20.0
Requires:       python-netaddr >= 0.7.18
# python-selenium is not available by default, but we can try to drag it in
Recommends:     python-selenium
Requires:       python-testtools >= 2.2.0

%description test
The OpenStack dashboard testsuite. It is used to verify the
functionality of the OpenStack dashboard and its components.

%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# compile mo files from po files
if [ -e /usr/bin/django-admin ]; then
    ADMINCMD=/usr/bin/django-admin
else
    ADMINCMD=/usr/bin/django-admin.py
fi
(cd %{buildroot}%{python_sitelib}/horizon && $ADMINCMD compilemessages)
(cd %{buildroot}%{python_sitelib}/openstack_dashboard && $ADMINCMD compilemessages)

# Remove po files
find %{buildroot}%{python_sitelib}/horizon/locale %{buildroot}%{python_sitelib}/openstack_dashboard/locale -name "*.po" -delete -print

# Move openstack_dashboard files
install -d -m 755 %{buildroot}/srv/www/openstack-dashboard
mv %{buildroot}%{python_sitelib}/openstack_dashboard/ %{buildroot}/srv/www/openstack-dashboard/
cp -a manage.py %{buildroot}/srv/www/openstack-dashboard/

# Create a local_settings.py
mv %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/local/local_settings.py{.example,}

# create root and static files
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/static
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/media
(cd %{buildroot}/srv/www/openstack-dashboard/ && PYTHONPATH=%{buildroot}%{python_sitelib} python manage.py collectstatic --noinput )
# cleanup after manage.py run
rm %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/local/local_settings.pyc
rm %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/local/.secret_key_store
rm %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/local/*secret_key_store*

# Remove duplicate files
%if 0%{?suse_version}
%fdupes %{buildroot}%{python_sitelib}
%fdupes %{buildroot}/srv/www/openstack-dashboard
%endif
rm -f %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/.eslintrc

# generate language file and split
%find_lang django
%find_lang djangojs
grep -h "\/openstack_dashboard\/locale\/" djangojs.lang django.lang > dashboard.lang
grep -h "\/horizon\/locale\/" djangojs.lang django.lang > horizon.lang

# Apache2 SSL certificate stubs (generated in %%post):
%openstack_apache_ssl_cert_install
# Apache2 sample configuration:
install -d %{buildroot}%{_sysconfdir}/apache2/conf.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/apache2/conf.d/openstack-dashboard.conf.sample

### test subpackage
%openstack_test_package_install

%files -f dashboard.lang
%defattr(-,root,root)
%doc README.rst
%license LICENSE
%dir /srv/www/openstack-dashboard
/srv/www/openstack-dashboard/manage.py
%dir /srv/www/openstack-dashboard/openstack_dashboard
%dir %attr(0750, wwwrun, www) /srv/www/openstack-dashboard/openstack_dashboard/local
%attr(0640, wwwrun, www) /srv/www/openstack-dashboard/openstack_dashboard/local/__init__.py*
%config(noreplace) %attr(0640, wwwrun, www) /srv/www/openstack-dashboard/openstack_dashboard/local/local_settings.py
%attr(0770, root, www) /srv/www/openstack-dashboard/static/
%attr(0770, root, www) /srv/www/openstack-dashboard/media/
/srv/www/openstack-dashboard/openstack_dashboard/api/
/srv/www/openstack-dashboard/openstack_dashboard/local/enabled
/srv/www/openstack-dashboard/openstack_dashboard/local/local_settings.d
/srv/www/openstack-dashboard/openstack_dashboard/static/
/srv/www/openstack-dashboard/openstack_dashboard/dashboards/
/srv/www/openstack-dashboard/openstack_dashboard/management/
/srv/www/openstack-dashboard/openstack_dashboard/templates/
/srv/www/openstack-dashboard/openstack_dashboard/templatetags/
/srv/www/openstack-dashboard/openstack_dashboard/utils/
/srv/www/openstack-dashboard/openstack_dashboard/django_pyscss_fix/
/srv/www/openstack-dashboard/openstack_dashboard/test/
%exclude /srv/www/openstack-dashboard/openstack_dashboard/test/unit
%exclude /srv/www/openstack-dashboard/openstack_dashboard/test/integration_tests
/srv/www/openstack-dashboard/openstack_dashboard/usage/
/srv/www/openstack-dashboard/openstack_dashboard/enabled/
/srv/www/openstack-dashboard/openstack_dashboard/wsgi/
/srv/www/openstack-dashboard/openstack_dashboard/conf/
/srv/www/openstack-dashboard/openstack_dashboard/*.py*
/srv/www/openstack-dashboard/openstack_dashboard/contrib/
/srv/www/openstack-dashboard/openstack_dashboard/themes/

%dir /srv/www/openstack-dashboard/openstack_dashboard/locale
%dir /srv/www/openstack-dashboard/openstack_dashboard/locale/*
%dir /srv/www/openstack-dashboard/openstack_dashboard/locale/*/LC_MESSAGES

%openstack_apache_ssl_cert_files
%{_sysconfdir}/apache2/conf.d/openstack-dashboard.conf.sample

%files -n python-horizon -f horizon.lang
%defattr(-,root,root)
%dir %{python_sitelib}/horizon
%dir %{python_sitelib}/horizon/locale
%dir %{python_sitelib}/horizon/locale/*
%dir %{python_sitelib}/horizon/locale/*/LC_MESSAGES
# NOTE(aplanas) add the test directory as a workaround to bsc#1076810
%dir %{python_sitelib}/horizon/test
%{python_sitelib}/horizon/browsers
%{python_sitelib}/horizon/conf
%{python_sitelib}/horizon/contrib
%{python_sitelib}/horizon/forms
%{python_sitelib}/horizon/management
%{python_sitelib}/horizon/middleware
%{python_sitelib}/horizon/utils
%{python_sitelib}/horizon/static
%{python_sitelib}/horizon/tabs
%{python_sitelib}/horizon/tables
%{python_sitelib}/horizon/templates
%{python_sitelib}/horizon/templatetags
%{python_sitelib}/horizon/workflows
%{python_sitelib}/horizon/*.py*
%{python_sitelib}/horizon/test/*.py*
%{python_sitelib}/horizon/test/jasmine
%exclude %{python_sitelib}/horizon/conf/*/static
%exclude %{python_sitelib}/horizon/conf/*/templates
%exclude %{python_sitelib}/horizon/hacking
%exclude %{python_sitelib}/horizon/test/customization
%exclude %{python_sitelib}/horizon/test/messages
%exclude %{python_sitelib}/horizon/test/dummy_auth
%exclude %{python_sitelib}/horizon/test/tests
%exclude %{python_sitelib}/horizon/test/templates
%exclude %{python_sitelib}/horizon/test/test_dashboards
%{python_sitelib}/horizon-*.egg-info

%files -n python-openstack_auth
%defattr(-,root,root)
%{python_sitelib}/openstack_auth

%files test
%defattr(-,root,root)
%{_localstatedir}/lib/%{name}-test/
%dir %{python_sitelib}/horizon/test
%{python_sitelib}/horizon/test/unit
%{python_sitelib}/horizon/test/selenium
%{python_sitelib}/horizon/karma.conf.js
/srv/www/openstack-dashboard/openstack_dashboard/karma.conf.js

%changelog
* Fri Mar 29 2019 cloud-devel@suse.de
- Update to version horizon-15.1.0.dev19:
  * Not implicitly set vol\_device\_name to vda
  * Imported Translations from Zanata
* Thu Mar 28 2019 cloud-devel@suse.de
- Update to version horizon-15.1.0.dev16:
  * Promote non-voting jobs to voting
  * Display first volume image\_metadata as an instance image
* Wed Mar 27 2019 cloud-devel@suse.de
- Update to version horizon-15.1.0.dev13:
  * Imported Translations from Zanata
  * project volume group: Fix incorrect reference to cgroup panel
  * Support setting more visibility options for edit/create image
* Tue Mar 26 2019 cloud-devel@suse.de
- Update to version horizon-15.1.0.dev8:
  * Imported Translations from Zanata
  * Add py36 and py37 tox envs
  * Drop py35 jobs
* Sat Mar 23 2019 cloud-devel@suse.de
- Update to version horizon-15.1.0.dev4:
  * Update master for stable/stein
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0rc2.dev2:
  * network topology: handle port AZ correctly
  15.0.0.0rc1
  * Imported Translations from Zanata
  * Modify the success message of launch instance
  * Fix: Help text for creating group type has incorrect description
* Thu Mar 21 2019 tbechtold@suse.com
- Drop all python-nose* Requires/BuildRequires. It is not needed
  anymore
* Thu Mar 21 2019 opensuse-packaging@opensuse.org
- Update to version horizon-15.0.0.0b3.dev37:
  * Imported Translations from Zanata
  * Add Validation msg in Create Extra Spec Form under Volume Type Panel
  * Fix CSRF error on Images dashboard
* Wed Mar 20 2019 opensuse-packaging@opensuse.org
- Update to version horizon-15.0.0.0b3.dev31:
  * Add Group and Group Snapshot colunm
  * Imported Translations from Zanata
  * Setup project-template for nodejs10 jobs
  * Make domain\_lookup return consistent type
  * Add verification of the volume type
  * Add key\_type selection on Keypairs form
  * Modify the success message of 'Edit' user information
  * add the max\_value to field in create flavor form
  * Modify the error messages of Create group and update group
  * Allow image format edit only for queued images
  * the metadata needs to be word wrap in volume detail
* Sun Mar 17 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b3.dev13:
  * Imported Translations from Zanata
* Fri Mar 15 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b3.dev12:
  * Define a project-template for horizon plugins
  * Fixes double loading in Image source loading
* Thu Mar 14 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b3.dev9:
  * Imported Translations from Zanata
* Wed Mar 13 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b3.dev8:
  * Implement CSRF\_COOKIE\_HTTPONLY option support
  * add the 'word-wrap' to update metadata form
  15.0.0.0b2
  * Add <span class='word-wrap'>
* Fri Mar  8 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev404:
  * Show flavor tooltip on mouse hover
  * Imported Translations from Zanata
  * Don't use check\_for\_language in the user settings form
  * Fix recoverable error at volume group create
  * Ensure to use tenant\_quota\_usages
* Thu Mar  7 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev394:
  * Correcting the error messages of Volume Snapshot Table
  * Add python-memcached library to test-requirements.txt
  * Add Project Information column in group-snapshot table
  * Switch integration tests to run with python3
  * Add a upgrade\_check management command
  * Add volume group-specs-list support for admin panel
* Wed Mar  6 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev383:
  * Updating Note to Setup guide
  * Fix policy function check error
* Sun Mar  3 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev379:
  * Imported Translations from Zanata
* Thu Feb 28 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev378:
  * Update appdirs lower constraint to 1.4.0
* Sun Feb 24 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev377:
  * Imported Translations from Zanata
* Sat Feb 23 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev376:
  * Fix: Volume Snapshot Table "Project' column info
* Fri Feb 22 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev374:
  * Change image\_id to aggregate\_id
  * Throws exceptions.Conflict() in the interface application\_credential\_create
  * Add volume-group snapshot for admin panel
* Thu Feb 21 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev369:
  * add python 3.7 unit test job
  * Remove obsolete creation\_counter field
* Wed Feb 20 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev365:
  * Clarify instance state after launch submission
* Sat Feb 16 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev363:
  * Imported Translations from Zanata
  * Add a additional filter replace\_underscores to filter the snapshot status
  * Add Project ID information in detail page
  * Modify the prompt of update network
  * Modify the flavor ID regex
  * Quote cinder qos-spec key name
  * instances.tests: Set return\_value for tenant\_absolute\_limits
  * Ensure to call patch\_middleware\_get\_user() in api.test\_base
  * pylint: fix cyclic-import
  * Show error if required fields are not filled when creating a port
* Fri Feb 15 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev344:
  * Add Project Information column in table
* Wed Feb 13 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev342:
  * Add a prompt on the Create Volume form
  * Document horizon policies
  * api.cinder: refactor microversioning logic
  * Use correct cinder API version for tenant\_absolute\_limits
  * Change the default SESSION\_ENGINE to use cached sessions
  * Show domain info in project and user detail panel
* Tue Feb 12 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev330:
  * Imported Translations from Zanata
* Sun Feb 10 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev329:
  * Table checkbox display problem when updating row
  * Correct error message for volume size in Launch Instance
  * Add volume group-type list/show support for admin panel
* Sat Feb  9 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev323:
  * Fixing a link in templates of CG and CG snapshots
  * Align default integration config values with code
  * Fix osprofiler support in horizon
* Thu Feb  7 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev317:
  * Ensure only one prompt for cidr and gateway\_ip
  * Show error message on the Edit Image form
* Wed Feb  6 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev313:
  * Imported Translations from Zanata
  * Add horizon-dsvm-tempest-plugin-py27 job
* Tue Feb  5 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev309:
  * Add volume-group table actions for admin panel
  * Error should be reported when only a space is entered
  * Fix untrusted dashboard host
  * The name is too long and will exceed the page range
* Sun Feb  3 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev301:
  * UT: Detect template rendering errors
  * UT: Run test\_plugins as separate process
* Sat Feb  2 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev297:
  * Imported Translations from Zanata
* Fri Feb  1 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev296:
  * Imported Translations from Zanata
  * Revert "Fix osprofiler support in horizon"
  * Correct regular expression of volume type extra spec key
  * Consistency Group Snapshots detail url is wrong
  * Fix osprofiler support in horizon
* Thu Jan 31 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev287:
  * Fix gate failures by a new pycodestyle
  * Input limit on key name
* Wed Jan 30 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev284:
  * Imported Translations from Zanata
* Tue Jan 29 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev283:
  * Imported Translations from Zanata
* Sat Jan 26 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev282:
  * Add volume group list/show support for admin panel
* Thu Jan 24 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev280:
  * Add non-voting integration tests job
  * Modify the error message when creating subnet
  * Pop up the error message of creating a snapshot
  * Allow to specify custom templates for clouds.yaml and openrc
  * Modify the prompt of update volume
* Wed Jan 23 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev270:
  * Fix developer panel when debug is set to False
* Mon Jan 21 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev268:
  * pylint: fix raising-non-exception error
  * Imported Translations from Zanata
  * pylint: fix unexpected-keyword-arg error
* Thu Jan 17 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev265:
  * pylint: Ignore existing misplaced-bare-raise error
  * pylint: fix redundant-keyword-arg error
  * pylint: fix some refactor recommendations
  * pylint: fix too-many-nested-blocks/redefined-argument-from-local
  * pylint: fix several coding convention violations
  * pylint: fix bad-mcs-classmethod-argument warning
  * pylint: fix unnecessary-pass warning
  * pylint: fix simplifiable-if-statement/expression
  * pylint: fix trailing-comma-tuple warning
  * pylint: fix useless-super-delegation warning
  * pylint: fix len-as-condition warning
* Wed Jan 16 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev244:
  * Imported Translations from Zanata
* Tue Jan 15 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev243:
  * pylint: fix import-error
  * pylint: fixes several errors
  * doc: Fix unnecessary spaces in folder paths
  * pylint: fix bad-super-call
  * pylint: Drop non-existing IPAddressField
  * pylint: ignore access-member-before-definition explicitly
  * pylint: fix several warnings
  * pylint: Fix consider-using-(dict|set)-comprehension
  * Enable pylint in horizon
  * Imported Translations from Zanata
  * [doc] Fix: Tutorial: Building a Dashboard
  * Provide partial-completed progress bar for DataTable status columns
  * Change bug tracker URL for the vitrage-dashboard
  * volume\_groups test: use create\_mocks from test helper
  * doc: Use \`manage.py migrate\`
  * SG creation user taken straight to edit rules
  * the name needs to be word wrap
  * Error should be reported when only a space is entered
  * Decorate Javascript i18n with a last\_modified header
  * Improve RBAC policies panel
  * Fixed description in Metadata tab in Edit/Create Image dialog
  * tox: Reuse envdirs
  * Do not instantiate tables when a tab is not allowed
  * Allow to hide openrc and clouds.yaml download links
  * python3: Fix handling of other protocol in SG rule
  * Drop unnecessary LOCALE\_PATHS from settings.py
* Thu Jan 10 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev195:
  * Imported Translations from Zanata
* Wed Jan  9 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev194:
  * doc: Remove errant newline in the plugin tutorial
  * Imported Translations from Zanata
* Tue Jan  8 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev191:
  * Changed the message level for deleting some resources to info
* Mon Jan  7 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev189:
  * Imported Translations from Zanata
* Sun Jan  6 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev188:
  * Rework old customization templates and add new blocks
* Sat Jan  5 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev186:
  * Fix folder path in "AngularJS Topic Guide"
  * Add RBAC policies feature to horizon dashboard
* Fri Jan  4 2019 cloud-devel@suse.de
- Update to version horizon-15.0.0.0b2.dev182:
  * Imported Translations from Zanata
  * Migrate horizon-dsvm-tempest-plugin job to python3
  * Add "prev" link to instance page list pagination
  * Better support for community images
  * SHOW\_KEYSTONE\_V2\_RC defaults to False
  * Stein deprecation notices on deprecated/remoevd features
  * Drop TripleO UI from horizon plugin registry
* Wed Jan  2 2019 opensuse-packaging@opensuse.org
- Update to version horizon-15.0.0.0b2.dev169:
  * Fix command line of bandit-baseline
  * Do not load openstack\_dashboard.settings in unit tests
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Change session timeout to an idle timeout value
  * Fix a bug that horizon UT failure is ignored
  * Allow to run pep8/docs tox env with horizon plugins
  * fix checking if enforcer was loaded
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Use template for lower-constraints
  * Show password expiration date on user detail
  * Displays role assignment through group in user details
  * Imported Translations from Zanata
  * Add group tab in user details view
  * Add role assignment tab in the user details view
  * Fix images minimum ram and disk default values
  * Imported Translations from Zanata
  * Update table header checkbox after searching
  * Instances column is shortened so it fits properly
  * Instance: show network info even if name is empty
  * Imported Translations from Zanata
  * translate instance action of rescue and unrescue
  * Modify the prompt of update network
  * Fix precission issue when calculating image size in GB
  * Imported Translations from Zanata
  * Get scope token of current project when switch Keystone Provider
  * Drop pki token check from Token class in openstack\_auth
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update mailinglist from dev to discuss
  * Error should be reported when only a space is entered
  * Add Fix django.contrib.auth.middleware monkey patching for APITestCase
  * Get rid of keys() usage
  * Imported Translations from Zanata
  * Update geckodriver to version 0.23.0
  * Show ports without IP in instance table and detail
  * Updating "Create an Encrypted Volume Type" Picture
  * fix an issue with nova extension support checking
  * Modify the prompt of create routes and update routes
  * Remove "Change Password" from users table for non-admin users
  * [doc]Fix: Modify content of configure access and security for instance
  * Check if the alert box has a sibling element, delete its parent if it doesn't exist
  * Update link addresses in documents
  * Fix bug about snapshot pagination
  * When creating a role, check if the role already exists
  * Make update status dialog less confusing
  * Fix: Help text for encrypted volume type has incorrect description
  * Instance Action Log miss-translate some actions
  * Ensures proper network name in subnet error message
  * Fix wording for Cinder Volume QoS Create Extra Specs
  * Document Django and Python support policy
  * Support of rescue instance in Horizon
  * add the assertWorkflowErrors
  * Make API calls in Volumes view parallel
  * Update the HTTP links to HTTPS
  * Fix: Inconsistent use of btn-danger
  * Imported Translations from Zanata
  * Ignore error msg for gateway IP when gateway is disabled
  * Imported Translations from Zanata
  * Make table filters valid for every languages
  * fix the bug of checkSpinnerValue
  * Add domain support for specialized test login
  * Bump hacking to 1.1.0
  * Correct the word spell of "corporate firewall"
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Only thorw one prompt when resizing instance error
  * Show snapshots list correctly when launching instance
  * Fix django.contrib.auth.middleware monkey patching
  * Clarify middleware public methods
  * Call Glance list with certain image ids
  * Fix bug of updating metadata for images
  * Add "Create Router" button to admin panel
  * fix typo
  * prohibit click blank to close the mode box
  * rework memoized as a LRU cache with expiry
  * Server overview: display hypervisor name if available
  * Properly calculate auth\_url for WEBSSO from POST data
  * Name is outside the page range
  * Remove setup.py check from pep8 job
  * Raise NotFound error when retrieved by not uuid
  * Network and subnet names are empty
  * Creating volume prompt message always contain name
  * The metadata submit button ignore filtering
  * Imported Translations from Zanata
  * doc: Fix title level
  * Fix startdash and startpanel management commands
  * Fix documents in doc/source/install
  * Imported Translations from Zanata
  15.0.0.0b1
  * Refactor app response for api request '/api/keystone/svc-catalog'
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Increment versioning with pbr instruction
  * Fix changing user's own password
  * Imported Translations from Zanata
  * Workflow uses parameter "viewModel.ready" to do the repetitive work
  * Imported Translations from Zanata
  * support WEBSSO\_KEYSTONE\_URL
  * Imported Translations from Zanata
  * Do not raise invalid message when port does not exist
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Truncate table size column cause the exception
  * Imported Translations from Zanata
  * Add hide\_create\_volume to LAUNCH\_INSTANCE\_DEFAULTS
  * Hide Swift network info in Horizon error message
  * Add enabled check in Backups panel
  * Move to 404 page if specified navigation not found
  * Replace @memoized\_with\_\* with @memoized
  * Imported Translations from Zanata
  * Remove nose references from Horizon
  * Update Volume Backup hint
  * Add release note for the upgraded project detail view
  * Imported Translations from Zanata
  * Select correct boot source when launching instance from different sources
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Change user details view in a tab view
  * Add groups tab in project details view
  * Display users with role through group in users project details tab
  * Disables Django 1.10 required attribute
  * Imported Translations from Zanata
  * Update placeholder text of the searchbar
  * Replace Searchlight-UI launchpad link with Storyboard
  * Replace Chinese quotes with English quotes
  * Improve IP address formatting in Instance table
  * Fixes a faulty if-check
  * Replace Chinese quotes with English quotes
  * admin info: check required service for network tab
  * Avoid UnhashableKeyWarning in api.nova.novaclient
  * Revert "ROOT\_PATH should not be appended to "sys.path""
  * Fixed path after moving wsgi/django.wsgi to wsgi.py
  * Add user tab in project details view
  * Avoid UnhashableKeyWarning in api.nova.extension\_supported
  * Imported Translations from Zanata
  * fix volume status bug when restoring a Volume
  * Imported Translations from Zanata
  * [doc] Remove the redundant "required=True"
  * Fixes input validation in angular kepyairs
  * Imported Translations from Zanata
  * Move to '404' page when resource type or resource not found
  * ROOT\_PATH should not be appended to "sys.path"
  * Add py3-dj21 tox env for Django 2.1
  * Add django-debreach to horizon
  * fix incorrect quota exceeded error when creating snapshot
  * Use new style for help in Angular ModalFormService
  * Don't expose endpoint URLs in the login form
  * Replaces the delete button with a disabling version
  * Display policy in server groups table instead of sub table
* Fri Aug 31 2018 dmueller@suse.com
- switch to python-Django1
* Thu Aug 30 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev53:
  * Imported Translations from Zanata
  * doc: Fix dashboard URL in Debian installation
* Tue Aug 28 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev49:
  * switch documentation job to new PTI
  * Run bandit job with python3
  * Move requests to requirements.txt
* Sun Aug 26 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev44:
  * Floating ip filter has no effect
  * Make fields in image edit required
  * import zuul job settings from project-config
* Fri Aug 24 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev38:
  * Imported Translations from Zanata
* Thu Aug 23 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev37:
  * Fix confusing variable names in unit tests
  * Remove -u root as mysql is executed with root user
* Wed Aug 22 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev33:
  * Drop use\_mox from horizon test helpers
  * Drop mox usage in Selenium tests
* Tue Aug 21 2018 nicolas.bock@suse.com
- Update to version horizon-14.0.0.0rc2.dev29:
  * Remove the unused settings
  * add python 3.6 unit test job
  * Revert "Network Topology graph "twitches""
* Tue Aug 21 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev27:
  * Remove the unused settings
  * Revert "Network Topology graph "twitches""
* Mon Aug 20 2018 nicolas.bock@suse.com
- Fix linter complaints about licenses
* Mon Aug 20 2018 nicolas.bock@suse.com
- Update to version horizon-14.0.0.0rc2.dev25:
  * Revert "Network Topology graph "twitches""
* Sat Aug 18 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev23:
  * Imported Translations from Zanata
  * Fix issue where qos delete action returns error message
* Fri Aug 17 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev20:
  * Make generic group check work with admin table
  * Restores deletion in flat network topology
* Wed Aug 15 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev17:
  * Add package-lock.json which generate by npm
* Tue Aug 14 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev16:
  * Update keystone v3 admin URL in UT
  * Improved getQosPolicy error messages
  * Allow to specify redirections on single IdP scenarios
  * Fix UnicodeError in build\_reno in sphinx docs job
  * Change project details view in a tab view
* Sun Aug 12 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev7:
  * Imported Translations from Zanata
* Sat Aug 11 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0rc2.dev6:
  * Update reno for stable/rocky
  * Imported Translations from Zanata
  14.0.0.0rc1
  * Safer handling of return statement inside of OperationLogMiddleware
  * Add delete domain action in angular domain panel
* Fri Aug 10 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b4.dev12:
  * Imported Translations from Zanata
* Thu Aug  9 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b4.dev11:
  * Hide default\_cgsnapshot\_type from cinder group types
* Wed Aug  8 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b4.dev10:
  * fix bug of fail to create volume type encryption from dashboard
  * add dns\_name and dns\_domain into admin column
  * force plain text for header response
* Tue Aug  7 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b4.dev4:
  * Drop horizon-openstack-tox-py35dj20 from .zuul.yaml
* Sat Aug  4 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b4.dev3:
  * Convert identity.users tests into mock
* Thu Aug  2 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b4.dev2:
  * Fix typo on release note for bug/1226003
* Wed Aug  1 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b4.dev1:
  14.0.0.0b3
  * Delete profiler object when request completes
* Sat Jul 28 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev91:
  * Add Generic  Volume Groups release notes
* Thu Jul 26 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev90:
  * Addressed TODO to change project\_id to tenant\_id
* Tue Jul 24 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev89:
  * Add create domain action in angular domain panel
  * Remove the redundant "required=True"
  * Add DNS parameters to Floating IP panels
  * Fix image description field
  * Assign project role to the user when the user is created
* Sun Jul 22 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev79:
  * Adding identity ng-groups edit action
* Fri Jul 20 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev77:
  * Adding identity ng-groups delete action
  * Adding identity ng-groups create action
* Thu Jul 19 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev73:
  * Imported Translations from Zanata
  * Support can\_edit\_user and can\_edit\_role settings in Angularized panels
* Wed Jul 18 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev69:
  * Rework DEFAULT\_SERVICE\_REGIONS
  * integration test fixes
* Tue Jul 17 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev65:
  * Fix log message formatting
  * Imported Translations from Zanata
  * Add delete action to network\_qos panel
  * Add Bandit non-voting job
* Sat Jul 14 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev58:
  * [doc] Correct the wrong virtual environment folder name
* Fri Jul 13 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev56:
  * Support volume group when creating a volume
  * Show generic group info in volume and volume snapshot pages
* Thu Jul 12 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev52:
  * Add release notes link in README
  * Imported Translations from Zanata
  * Modify the 'tox.ini' file
* Tue Jul  3 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev46:
  * updated integration tests README.rst
  * Imported Translations from Zanata
  * Remove the "browser support" dead link in the doc
  * Integration test fixes
  * Generic volume group support
* Wed Jun 27 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev37:
  * Imported Translations from Zanata
  * Do not redirect to the /identity tab admin users on login
  * Fix and reorganize tox env definitions
  * Fix styling issues in networktopologycommon.js
* Mon Jun 25 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev30:
  * Replace "derails" with "details" in the doc
  * Convert admin.overview tests into mock
* Sat Jun 23 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev28:
  * Declare django lower bound
  * Imported Translations from Zanata
  * Convert admin.networks.agents tests into mock
  * Convert admin.networks.subnets tests into mock
* Wed Jun 20 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev22:
  * Fix tox py27integration environment
  * Change catch type for workflow unregister
* Tue Jun 19 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev18:
  * Don't remove last char from profiling cookie path
  * Network Topology graph "twitches"
* Thu Jun 14 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev16:
  * Imported Translations from Zanata
  * doc: Update apache configuration for WSGI
* Wed Jun 13 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev14:
  * Imported Translations from Zanata
  * Allow keypairs to contain a underscore
  * Convert admin.flavors tests into mock
  * The disk format is selected automatically when using file to create image
* Tue Jun 12 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev10:
  * Imported Translations from Zanata
  * Fixed dropdown menu locator and active class for user & project
* Mon Jun 11 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev7:
  * Imported Translations from Zanata
* Sun Jun 10 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev6:
  * Imported Translations from Zanata
* Sat Jun  9 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b3.dev5:
  * Fix selenuim-headless tests
  * Use default Django test runner instead of nose
  * Add python3 django 1.11 job instead of django 2.0 job
  14.0.0.0b2
  * fix tox python3 overrides
* Fri Jun  8 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev107:
  * Remove Cinder API v1 compatibility
* Thu Jun  7 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev105:
  * Sync Django version with global requirements
* Tue Jun  5 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev104:
  * Show WEBSSO disclaimer only when it is needed
  * Image panel: check instance create policy for 'Launch' button
  * Fix issue with uploading image to glance on Python3
  * Update attach\_volume and detach\_volume policy rules
  * Add reserved status key word to horizon
* Fri Jun  1 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev94:
  * Get flavor list sorted when launching instance
  * Imported Translations from Zanata
* Thu May 31 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev90:
  * Sort image list by name when launch instance
  * Imported Translations from Zanata
* Fri May 25 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev87:
  * Imported Translations from Zanata
  * Heat projects have been migrated to Storyboard
* Thu May 24 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev84:
  * Fix mismatched attach\_volume rule
* Mon May 21 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev82:
  * [trivial] Fixes a typo
* Fri May 18 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev81:
  * Imported Translations from Zanata
  * Create new wsgi.py file and deprecate old file
  * Convert admin.networks.ports tests into mock
  * Convert admin.networks tests into mock
  * Convert identity.domains tests into mock
  * quota: Move targets argument to get\_disabled\_quotas
* Thu May 17 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev70:
  * quota: Merge tenant\_limit\_usages into tenant\_quota\_usages
* Tue May 15 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev68:
  * doc: Fix doc build failure due to dropped UpdateAction
  * Convert identity.identity\_providers tests into mock
  * Convert identity.groups tests into mock
* Mon May 14 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev62:
  * Add a link to the documentation into the README.rst
  * Imported Translations from Zanata
* Wed May  9 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev59:
  * usage: Categorize Limit Summary by service
* Tue May  8 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev57:
  * Support "Get me a network" in launch instance
  * Imported Translations from Zanata
  * Add server groups and server group members quota management in Horizon
  * Convert identity.roles tests into mock
  * Convert identity.mappings tests into mock
  * Make babel\_extract\_angular work with python 3
* Sun May  6 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev47:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Convert identity.projects tests into mock
  * Add "Edit Port Security Groups" action
* Thu May  3 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev41:
  * Trivial: Update pypi url to new url
  * Imported Translations from Zanata
  * Watch field item changes
* Wed May  2 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev36:
  * Imported Translations from Zanata
* Tue May  1 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev35:
  * Standardize the login form button text
  * Drop Flavor Edit completely
* Mon Apr 30 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev31:
  * Bug Fix :  Local variable 'quota\_display' referenced before assignment
  * Imported Translations from Zanata
* Sat Apr 28 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev28:
  * Imported Translations from Zanata
* Fri Apr 27 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev27:
  * Imported Translations from Zanata
  * Add support for application credentials
* Thu Apr 26 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev23:
  * Replace all mentions of get\_identity\_providers with get\_identity\_provider
  * Imported Translations from Zanata
  * Add instance interfaces tab for easy security group edit
  * Workflow: Make steps pluggable via horizon plugin config
  * Cinder REST API test: Make list\_extensions test work properly
  * Use microversion 2.60 when attaching a multiattach volume
* Wed Apr 25 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev14:
  * Add identity API version discovery
  * Fix E402 warnings
  * Fix W503 warnings
* Tue Apr 24 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev11:
  * Disable mox usage by default in test helper
  * Allow OVA upload for images
* Sun Apr 22 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev8:
  * Imported Translations from Zanata
  * usage: Add network resources to Limit Summary
  * usage: move field-specific logic from template to code
* Sat Apr 21 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev3:
  * usage: Use tenant\_quota\_usages() for Limit Summary
* Fri Apr 20 2018 cloud-devel@suse.de
- Update to version horizon-14.0.0.0b2.dev1:
  14.0.0.0b1
  * Imported Translations from Zanata
  * Move common SG workflow classes into separate module
  * Support simple FIP disassociation (with FIP release)
  * Only display the bootable volume snapshots when creating instance
* Mon Apr 16 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev299:
  * Imported Translations from Zanata
  * Delete the deprecated Edit Flavor feature
  * Remove deprecated table.UpdateAction class
* Sun Apr 15 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev294:
  * Imported Translations from Zanata
* Sat Apr 14 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev293:
  * Add links to trunk parent and subports
  * Redirect back if deleting from image details
  * Fix navigation from admin/trunks
  * Imported Translations from Zanata
  * Sort nova availability zones by name
  * A description can now be added to a security rule
* Thu Apr 12 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev282:
  * Exclude nova-network quotas properly
  * Modularize workflow action in quota defaults
  * Imported Translations from Zanata
  * Fix unauthorized exception when using member user to access angular users panel
* Wed Apr 11 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev275:
  * Fix pep8 errors
  * Ensure to show security groups only from current project
  * Remove remaining mox usage in tests converted to mock
  * Simplify APIMockTestCase
* Tue Apr 10 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev268:
  * Use items per page setting on Angular tables
  * Imported Translations from Zanata
  * Make tests output more verbose
  * Avoid popup blocker after key-pair creation
* Mon Apr  9 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev260:
  * Imported Translations from Zanata
  * Pass whole selected entity to deleteEntity callback
* Sat Apr  7 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev257:
  * Improve mocking in REST API tests (test\_network)
  * Update lower-constraints to requirements.txt
  * Reproduce navigations on refreshing ngdetails view
* Fri Apr  6 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev251:
  * Rename pull\_catalog args from version to branch
* Thu Apr  5 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev250:
  * Imported Translations from Zanata
  * [doc] Add the missing 'API Access' for project tab
* Wed Apr  4 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev248:
  * Support description for instance update/rebuild
  * Speed up quotas fetching using futurist library
  * Drop FWaaS related SCSS entries
* Mon Apr  2 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev242:
  * Imported Translations from Zanata
* Sun Apr  1 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev241:
  * Cleanup Plugin Registry
* Sat Mar 31 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev239:
  * Imported Translations from Zanata
  * add lower-constraints job
  * Convert project tests into mock: fip/sg/key\_pairs/topology
  * Convert project tests into mock: api\_access/backups/overview/snapshots
* Fri Mar 30 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev232:
  * Imported Translations from Zanata
  * Update supported browsers list
  * project: Tabbify project quota update
  * Use load-edit directive in import key pair
* Thu Mar 29 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev225:
  * Improve mocking in REST API tests (test\_neutron)
  * Switch Neutron/Network API tests to mock
  * Imported Translations from Zanata
  * Improve mocking in REST API tests (test\_nova)
  * Tabbity quota default update workflow
  * Add asterisk to conditionally required fields
  * Improve mocking in REST API tests (test\_keystone)
  * project: Split quota update into a separate workflow
  * operation\_log: add QUERY\_STRING to request\_url
* Wed Mar 28 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev208:
  * Updated from global requirements
  * Follow the new PTI for document build
  * Load networks and security groups in parallel
  * Switch project neworks.ports to mock
  * table: Show checkbox only when there is BatchAction
* Tue Mar 27 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev199:
  * Drop deprecated settings
* Sun Mar 25 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev197:
  * Delete choice of image source when file is the only option
* Sat Mar 24 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev195:
  * Convert admin.defaults tests into mock
  * Improve mocking in REST API tests (test\_swift)
  * Drop trove/sahara settings from horizon repo
  * Switch test\_quotas to mock
  * Imported Translations from Zanata
* Fri Mar 23 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev186:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
* Thu Mar 22 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev183:
  * Fix wrong setting name for SHOW\_KEYSTONE\_V2\_RC
* Wed Mar 21 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev181:
  * Imported Translations from Zanata
  * Update the doc links to the newest ones
  * Add plugin xstatic modules support
  * Convert project tests into mock: cgroups/cg\_snapshots
  * Update docstring of test.helpers.create\_mocks
* Tue Mar 20 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev172:
  * Sahara projects have been migrated to Storyboard
  * Convert admin.hypervisors.compute tests into mock
  * Imported Translations from Zanata
  * Add angular server group details page
  * Add angular delete server groups action
  * Convert admin.instances tests into mock
  * Fix Angular errors in openstack\_auth
  * Add angular create server group action
  * Update RHEL/CentOS horizon install instruction
  * Update Django versions in horizon requirements
  * Switch project/admin routers tests to mock
  * Fix layout of dialogs for Angularized users panel
  * Make size of Angular modal form specifiable
  * Tabbify quota default panel
* Mon Mar 19 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev146:
  * Convert admin.metadata\_defs tests into mock
  * Convert admin.info tests into mock
  * Imported Translations from Zanata
  * Hide button "delete subnet" on the network topology for shared networks
  * Provide a button to center the network topology
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev137:
  * Show an asterisk mark for 'switched' conditional filed(required=Flase)
  * Convert admin.snapshots tests into mock
  * Updated from global requirements
  * Improve mocking in REST API tests (test\_glance)
  * Remove deprecated fix\_auth\_url\_version function
  * Switch horizon UT from mox to mock
  * Add angular server groups panel
  * Convert admin volume\_types tests into mock
  * Switch project.networks.subnets.tests to mock
* Fri Mar 16 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev119:
  * Refactor futurist calls
  * Add swift object copy function
  * Convert admin.hypervisors tests into mock
  * Switch Keystone API tests to mock
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev111:
  * Imported Translations from Zanata
  * Updated from global requirements
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev108:
  * Improve mocking in REST API tests (test\_cinder)
  * TabGroup: Make tabs pluggable via horizon plugin config
  * Update tox.ini
  * Tabs may not appear in angular instance wizard
  * Switch project networks tests to mock
  * Switch project instances tests to mock
  * Mark other API related tests with mox free
* Mon Mar 12 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev94:
  * Imported Translations from Zanata
* Sun Mar 11 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev93:
  * Updated from global requirements
* Sat Mar 10 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev92:
  * Update upper-constraints consumption
  * Update bug trackers of octavia/lbaas-dashboard
  * Allow mox-free horizon plugins to consume horizon test helper
  * Drop Django <= 1.10 support
  * Fix python 3 related test failures
  * Suppress unnecessary logging output in UTs
  * Django2: Use new custom template loader interface
  * django2: adopt New-style middleware
  * django2: Drop SessionAuthenticationMiddleware
  * django2: Fix 3-tuple ImproperlyConfigured error
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev72:
  * Imported Translations from Zanata
* Thu Mar  8 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev71:
  * Imported Translations from Zanata
  * Convert admin.floating\_ips tests into mock
* Mon Mar  5 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev67:
  * Updated from global requirements
  * Convert admin.aggregates tests into mock
* Sat Mar  3 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev64:
  * Imported Translations from Zanata
* Fri Mar  2 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev63:
  * django2: is\_authenticated/is\_anonymous is now property only
  * django2: Replace assignment\_tag with simple\_tag
  * django2: Replace django.core.urlresolves with django.urls
* Thu Mar  1 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev57:
  * Add same launch instance error handling as image to instance
  * Imported Translations from Zanata
* Wed Feb 28 2018 cloud-devel@suse.de
- Update to version horizon-13.0.0.0rc2.dev54:
  * Start using create\_mocks in dashboards/admin/volumes/tests.py
  * Fix batch delete key pairs button isn't disabled when the key pair has deleted
* Tue Feb 27 2018 tbechtold@suse.com
- Update to version horizon-13.0.0.0rc2.dev51:
  * Add a warning to user: Unable to remove availability zone from host aggregate
  * Add Esperanto to the list of languages
  * Add assert\_mock\_multiple\_calls\_with\_same\_arguments test helper
  * Make create\_mocks compatible with create\_stubs
  * Updated from global requirements
  * Imported Translations from Zanata
  * docs: Update help text for encryption provider
  * Drop old django tests
  * Switch swift API tests to mock
  * Add option --version to Zanata pull\_catalog
  * Imported Translations from Zanata
  * Switch Nova API tests to mock
  * Minor fix on mock migrated tests
  * Provide a way to disable mox completely
  * Updated from global requirements
  * Imported Translations from Zanata
  * Replaces yaml.load() with yaml.safe\_load()
  * Imported Translations from Zanata
  * Move test template to more proper directory
  * Admin State is always UP whatever whether router Admin State is checked or not
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Cache neutron extension list across requests
  * Update reno for stable/queens
  * Imported Translations from Zanata
  * Fix typos in horizon
  13.0.0.0rc1
  * Network topology "Graph" tab always shows nothing
  * Filtering networks or routers by non-existing tenants return an empty list
  * Imported Translations from Zanata
  * Fix collectstatic in case of theme customization
  * Enable more hacking-extensions
  * Imported Translations from Zanata
  * Fixed popover table colour change on hover
  * Remove empty test file
  * Change http link to https link
  * Imported Translations from Zanata
  * Sync nova policy
  * Support specified security groups when creating a port
  * Refactor the create port form to workflow
  * Imported Translations from Zanata
  * Views accessible via url even if user doesn't match policy rules
  * Missing VNIC type parameter when using it to create a port
  * Imported Translations from Zanata
  * Use nova os-services to retrieve host list
  * Enable to refresh ngdetails view
  * relnote: clearly mention django-openstack-auth needs uninstall
  * Imported Translations from Zanata
  * fix english grammatical error
  * operation\_log: Mask more password fields by default
  * i18n: Fix untranslated messages
  * i18n: Do not include html directives in translation strings
  * Imported Translations from Zanata
  * Fix back button on Firefox and Safari
  * Imported Translations from Zanata
  * Correct odd exception message
  * Remove 'tools/install\_venv.py' reference paragraph
  * Trunks panel: admin panel
  * Ensure to mark exception message as tranlation strings
  * Horizon UI message when browser cookies disabled
  * i18n: Allow translator to control the word order (trunk)
  * Imported Translations from Zanata
  * Zuul: Remove project name
  * Tabs in launch server wizard not depending on OPENSTACK\_NOVA\_EXTENSIONS\_BLACKLIST
  * Change django.utils.log.NullHandler to logging.NullHandler
  * Imported Translations from Zanata
  * Handle novaclient ec2 cert support removal
  * Sync keystone policy
  * Imported Translations from Zanata
  13.0.0.0b3
  * comment was wrongly declared
  * Trunks panel: eliminate spinner at create/edit
  * Ignore node\_modules from test target
  * Imported Translations from Zanata
  * Updated from global requirements
  * Improve exception message in network related Batch/DeleteAction
  * Avoid duplicated message in Batch/DeleteAction
  * Avoid sending error message twice in BatchAction
  * Add note for Django 1.8-1.10 support in relnote and doc
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * doc: Move the note to an appropriate place
  * Imported Translations from Zanata
  * elif replace if
  * Imported Translations from Zanata
  * Make serial console resizable
  * Add setting for user menu links
  * Text clippin in window security groups Fixed text overflow from form by removing limiting max-height media in scss
  * Correctly show no data message in Network Topology
  * Security group quota error handling
  * font for transfer table heading enlarged
  * Updated from global requirements
  * Fix api.keystone.is\_cloud\_admin/is\_domain\_admin handling with new policies
  * Imported Translations from Zanata
  * Better designed 404 error page
  * Updated from global requirements
  * Add Enable/Disable User action for Angular users panel
  * Add Change Password Action for Angular users panel
  * Imported Translations from Zanata
  * [doc] Correct the wrong 'System' tab
  * Imported Translations from Zanata
  * Make neutron quota names translatable
  * Imported Translations from Zanata
  * doc: update policy related topics
  * doc: cleanup unnecessary vertical lines
  * doc: Update project port create
  * quota: Use neutron default quota (read-only) API
  * usage: split out the limit related logic into ProjectUsageView
  * Imported Translations from Zanata
  * Rename tox\_venvlist (2/2)
  * Rename tox\_venvlist (1/2)
  * Orders the projects and roles in user creation combos
  * Imported Translations from Zanata
  * Trunks panel: simplify code for easier testing
  * Add Edit action for Angular users panel
  * Add Angular keystone user deletion action
  * Handle unicode when downloading transfer credentials
  * Imported Translations from Zanata
  * quota: Move neutron quota logic in identity.projects.views
  * Imported Translations from Zanata
  * Switch settings password tests to mock
  * Implement create\_mocks decorator to make mocks easier
  * [doc] Correct the wrong 'System' tab
  * [doc] Correct the wrong volumes tab
  * Upload the latest screenshots
  * [doc] Reorganize the content of horizon Admin tab
  * Use 'trimmed' for blocktrans in multi-line strings
  * Remove the redundant codes
  * tox: run doc8 in pep8
  * [doc] Modify the content of the configure access and security for instances
  * [doc] Add the missing editable properties for image
  * doc: drop horizon-plugins' content from user/admin guide
  * Skip horizon-dsvm-tempest-plugin when touching test code only
  * Imported Translations from Zanata
  * Handle float('inf') in tenant\_quota\_usages properly
  * Reorganize the content of horizon project tab
  * Switch Glance-related tests (dashboards.project.images) to mock
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Avoid Unhashable warning in api.rest.nova
  * Fix incorrect volume type value in ng images create volume form
  * Fix displayed type for instance snapshots
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Drop unnecessary executable flags
  * Switch Glance-related tests (dashboards.admin.images) to mock
  * Switch Glance API tests to mock
  * Allow regular users to specify VNIC type for port
  * Make enabled filenames consistent
  * Handle binding\_\_host\_id conditionally
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Updated from global requirements
  * Remove unnecessary module injection
  * Add more actions to admin
  * Disable flavor ModifyAccess action while the flavor is public
  * Updating default keystone API verson to 3
  * Drop flavor name validation in horizon side
  * Sync cinder policy
  * Tools to check policy differences
  * Imported Translations from Zanata
  * Updated from global requirements
  * Use Cinder API v3 by default
  * Imported Translations from Zanata
  * Update Ubuntu horizon installation instruction
  * Floating IP: Expose description field in form and tables
  * Imported Translations from Zanata
  * Do not make duplicate requests to Glance for image names in admin panel
  * Refactor swap\_filter in instance views
  * Imported Translations from Zanata
  * Add create and import key pair actions
  * Sync glance policy
  * quota: Use network quota field names consistently
  * quota: Use neutron quota\_details API to retrieve usage
  * quota: retrieve quota (limit) and usage at once
  * quota: Disable nova-network quotas completely
  * Prevent non-admin users from detaching interfaces
  * Add text download service
  * Add Angular keystone user creation action
  * API tests: Avoid UnhashableKeyWarning
  * python3: long does not exist in python 3
  * Imported Translations from Zanata
  * Optional removal of V2 openrc file
  * Always display server description
  * doc: use "python manage.py" directly rather "tox -e manage"
  * Define default POLICY\_DIRS value
  * Allow to skip API calls to Neutron in instance tables
  * Show volume snapshots in admin volume detail page
  * Fix wrong link to VM in admin volume detail
  * Remove app-catalog from plugin list
  * Updated from global requirements
  * openstack\_dashboard: Move test files to match module structure
  * openstack\_auth: Move test files to match module structure
  * horizon: Move test files to match corresponding module structure
  * Imported Translations from Zanata
  * Add Heat Dasbhoard to Plugin Registry
  * Updated from global requirements
  * Trunks panel: display the MAC of ports
  13.0.0.0b2
  * Imported Translations from Zanata
  * Drop Heat related code from horizon
  * Imported Translations from Zanata
  * API micro-version support for multiple features
  * Render 'Volume Transfer' as modal instead of page
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Fix broken nova console support
  * Redirect VM console dynamically
  * Update job skip condition
  * Commonize load-edit directive
  * Add MKS console support
  * Prepare test env for Django 2.0 with python 3.5
  * Fix "Open Console" issue on network topology
  * Move legacy horizon-dsvm-tempest-plugin to in-repo jobs
  * Raise detailed exception
  * Add release note on policy dirs support
  * Updated from global requirements
  * Imported Translations from Zanata
  * Trunks panel: enable project trunk panel by default
  * Remove initScope from trunk delete.action.service
  * Trunks panel: edit button
  * Trunks panel: create button
  * Use oslo.config for Horizon configuration
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Fix admin/project instance UT
  * Add user\_domain\_name to logs regarding authentication
  * Define test logging setting in openstack\_auth
  * Imported Translations from Zanata
  * tox: allow to specify module when running pep8 env
  * Import django\_openstack\_auth settings missing in horizon doc
  * pull\_catalog: avoid internet access during module loading
  * Imported Translations from Zanata
  * Fixes the deletion on click action assignment
  * Imported Translations from Zanata
  * Unable to create router when the external network is specified
  * Fix wrong link to VM in admin volume table
  * release note for blueprint merge-openstack-auth
  * Reduce code duplication
  * Make list\_targets\_by\_instance look up IPv4 address as target
  * Drop unused floating\_ip\_target\_get\_by\_instance
  * FIP associate: Show only ports from a target server
  * Refactor FIP code to use FloatingIpTarget properly
  * Imported Translations from Zanata
  * Add django.wsgi to target of pep8
  * Fix the network subnets check in create instance form
  * Remove setting of version/release from releasenotes
  * Move openstack\_auth API refernece into a separate place
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove testr support
  * Use ThemableChoiceField
  * Use specified phrases in lieu of 'Used' for limit summary
  * Imported Translations from Zanata
  * Don't add required attribute to html form fields
  * Disable metadata switch if only one item is available
  * Drop Makefile
  * Updated from global requirements
  * Updated from global requirements
  * Imported Translations from Zanata
  * Move django variants UT and selenium-headless to in-repo jobs
  * Show a better error message for network delete failure
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Doc: Delete pyc in a structure of dashboard.rst file
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Support include\_names argument for keystone role assignement list
  * Cleaned up formats for qos panel
  * Imported Translations from Zanata
  * Add delete action for key pair
  * Remove deprecated scope handling
  * Prevent "enter" from triggering submit action on modal forms
  * transfer-table: Rethink CHANGED message handler
  * Support security groups association per port
  * Remove the errored steps after they all responded
  * Sort security group rules more meaningfully
  * Add Django OpenStack Auth to Horizon
  * NaNJSONEncoder should be used in api "cinder/tenantabsolutelimits"
  * Display attachment's server\_id when name is no longer available
  * Fix warning message not showing on launch instance modal
  * Fix style of the submit button on confirmation modal
  * Display correct volume size in error message
  * Show updated data on Flavor Access tab
  * Added error msg when gets redirect to login page
  * Add missing include template in admin migrate host form
* Fri Jan 19 2018 aplanas@suse.com
- Add horizon/test directory as a workaround to bsc#1076810
* Thu Jan 18 2018 dmueller@suse.com
- package horizon/static
* Tue Jan 16 2018 dmueller@suse.com
- include horizons django/js translations as well in the
  package. reorganize filelist to make this more explicit
* Fri Nov  3 2017 cloud-devel@suse.de
- Update to version horizon-13.0.0.0b2.dev47:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
* Wed Nov  1 2017 cloud-devel@suse.de
- Update to version horizon-13.0.0.0b2.dev45:
  * Remove unused API function from Nova API
  * Imported Translations from Zanata
* Tue Oct 31 2017 cloud-devel@suse.de
- Update to version horizon-13.0.0.0b2.dev42:
  * Imported Translations from Zanata
* Sun Oct 29 2017 cloud-devel@suse.de
- Update to version horizon-13.0.0.0b2.dev41:
  * Imported Translations from Zanata
* Sat Oct 28 2017 cloud-devel@suse.de
- Update to version horizon-13.0.0.0b2.dev40:
  * Imported Translations from Zanata
  * doc: Update the URL of noVNC
  13.0.0.0b1
* Fri Oct 27 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev237:
  * [Micro version] Support description for instance
  * Imported Translations from Zanata
* Wed Oct 25 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev234:
  * Implement setting availability zone hint on network creation
  * Imported Translations from Zanata
  * Add a checkbox to disable SNAT on routers
  * Switch Cinder-related tests to mock
  * Switch Cinder-related tests to mock
  * Switch Cinder-related tests to mock
  * Implement network availability zone column in network list
  * Support fixed ip address when attaching interface
  * Fix logo in IE11/Edge browsers
  * Properly sort Heat stacks on Created field
* Tue Oct 24 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev216:
  * Correct quota usage check for instances
  * Wrap various API calls with try/except in Router panel
  * Fetch Cinder availability zones list for volume creation
  * Imported Translations from Zanata
* Sun Oct 22 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev209:
  * Add network availability zone information for network agents
  * Rename "Import Key Pair" to "Import Public Key"
* Sat Oct 21 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev205:
  * Hide IPv6-addresses when assigning floating IP addresses
  * Routers can be created with availability zone
  * Added type checks for ha device owners
  * Router lists display availability zone information
  * Correct the subnets quota check in admin networks panel
  * Fixes toggle behavior in Network Topology graphs
  * Fix UnhashableKeyWarning when calling get\_security\_groups function
* Fri Oct 20 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev191:
  * Revert "Remove the quota check for "Launch Instance" button"
  * Remove unused function calls in project instances attach volume form
  * Correct the log info when get networks failed in project router form
  * Imported Translations from Zanata
* Thu Oct 19 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev183:
  * Set Angular roles panel as the default
* Tue Oct 17 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev181:
  * Fix displaying pool name for floating ip
  * Show subnet detail with prefix\_delegation subnetpool properly
  * Add permissions explanation to quickstart doc
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev175:
  * Remove hardcoded check for subnet actions of a shared network
  * Imported Translations from Zanata
  * Add render method to ThemableCheckboxSelectMultiple
  * Adds extensible header functionality
  * Fix subnet no show in networktopology graph
* Fri Oct 13 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev167:
  * Add REST APIs for Keystone Group
* Wed Oct 11 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev165:
  * Adding identity ng-groups panel
  * Remove the quota check for "Launch Instance" button
* Tue Oct 10 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev162:
  * Remove license headers to openstack\_dashboard/enabled/\* files
  * Imported Translations from Zanata
* Sun Oct  8 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev158:
  * Fix gettext warning "Empty msgid"
  * Fix typo
  * Angularize Key Pair Details
* Sat Oct  7 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev152:
  * Do not call servers\_update\_addresses if no instances loaded
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev150:
  * Imported Translations from Zanata
  * Add cache for get\_microversion() against Nova
  * Do not fail on AdminUpdateRow if tenant is not found
* Wed Oct  4 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev144:
  * Fix non-API bound filters in project and admin instance panels
  * flake8-import-order: Ensure to place project imports last
  * Set default panel of identity with pluggable settings mechanism
  * Fix subnets can not be deleted from network topology panel
* Thu Sep 28 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev136:
  * Imported Translations from Zanata
  * Remove unused code (\_logout method and auth\_views in base.py)
  * Clarify the comment for WEBSSO\_INITIAL\_CHOICE
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev131:
  * Imported Translations from Zanata
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev130:
  * Include add subnet action on admin networks panel
  * Revert "No need to discover panel in Site class"
  * Imported Translations from Zanata
  * Fix Http302 error message in UT
  * Fix a bug to unable to retrieve ports when no trunk ext
  * Add server-side filtering Floating IPs
  * Cleaned up date formats for images panel
  * Add more entries to LOGGING configuration
  * Fix actions inside instance details view page
  * Clean up broken links due to doc-migration
  * extract\_messages, update\_catalog: Simplify help message
  * Restores sorting in the launch dialog source page
  * template for content under the login form
* Tue Sep 19 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev107:
  * Use WrappingColumn for image name
  * No need to discover panel in Site class
* Mon Sep 18 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev103:
  * Imported Translations from Zanata
  * Updated from global requirements
* Sun Sep 17 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev100:
  * Updated from global requirements
* Sat Sep 16 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev98:
  * Fix link to serial console stylesheet
  * Show NotAuthorized error message on a separate page
* Fri Sep 15 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev94:
  * Fix icon of status on network topology
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev92:
  * Fix wrong links  in horizon
  * Updated from global requirements
* Tue Sep 12 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev89:
  * Set PROJECT\_DOMAIN\_NAME in generated v3 openrc
  * Add reason into warning for error on loading panel
  * Make @memoize thread-aware
* Fri Sep  8 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev84:
  * TrunkPort, Horizon workflow: launch instance
* Wed Sep  6 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev82:
  * Get all needed instances for volumes attachments at Admin->Volumes
* Tue Sep  5 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev81:
  * [doc] Fix broken links
  * Imported Translations from Zanata
* Sun Sep  3 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev78:
  * Updated from global requirements
* Sat Sep  2 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev77:
  * Imported Translations from Zanata
  * Remove remainder of run\_tests references
* Fri Sep  1 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev73:
  * Refresh role table after editing role
* Thu Aug 31 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev72:
  * Imported Translations from Zanata
* Wed Aug 30 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev71:
  * Disable 'Create Port' button if ports quota is exceeded
  * Delete unnecessary judgment when getting the neutron quota
* Tue Aug 29 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev67:
  * do not flush selection on "old" boot source
* Mon Aug 28 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev65:
  * Imported Translations from Zanata
* Mon Aug 28 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev64:
  * Angularize Key Pairs index view
  * Updated from global requirements
  * Imported Translations from Zanata
  * Make get\_available\_images() return all the images available
* Sat Aug 26 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev56:
  * Ensure all filter items end with '='
* Thu Aug 24 2017 tbechtold@suse.com
- Fix Requires
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev54:
  * Updated from global requirements
  * Imported Translations from Zanata
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev52:
  * Imported Translations from Zanata
  * Make nosehtmloutput an optional test requirement
  * Allow admin to create port on networks of different projects
  * Fix bug for the switchable fields
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev45:
  * Make icmp\_type/code optional
  * Imported Translations from Zanata
  * Fix pofile for pseudo translations
  * Fix the error format of glance's createImage
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev39:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
* Fri Aug 18 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev35:
  * Incorrect URL for polling heat stack
  * Update neutron policy file
  * Imported Translations from Zanata
  * Remove FWaaS specific policies from neutron\_policy
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev28:
  * Minor improvements to the translation document
  * Make cinder generic group quotas translatable
  * Imported Translations from Zanata
  * Fix cannot delete user's email addresses in the identity/user panel
  * Refactor the current UpdatePort form to workflow version
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev20:
  * Remove run\_tests.sh
  * Imported Translations from Zanata
  * Add exceptions for action
  * extract\_messages: Specify input directory
  * Remove admin requirement for shared network actions
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev12:
  * Imported Translations from Zanata
  * releasenote: Move ignore-notes to pike
  * Fix Python 3 issues with serialization json from request
* Mon Aug 14 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev7:
  * Revert "Generate language list automatically"
  * Imported Translations from Zanata
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0rc2.dev3:
  * Update reno for stable/pike
  12.0.0.0rc1
  * Imported Translations from Zanata
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev64:
  * Imported Translations from Zanata
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev63:
  * Imported Translations from Zanata
  * Make default visibility option on create image modal configurable
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev60:
  * api.rest.neutron: Ensure dict is passed to api.neutron args
  * Imported Translations from Zanata
  * Disable Edit Flavour by default
  * Attach/detach volume showed in instance actions when cinder disabled
  * Reduce user confusion in router creation template
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev51:
  * Imported Translations from Zanata
  * Updated from global requirements
* Mon Aug  7 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev49:
  * Add some notices on handling release notes
  * Cleanup Pike release notes
  * Exclude relnotes from past releases from Pike relnotes
* Sun Aug  6 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev43:
  * Update the documentation link for doc migration
  * Use WSGIApplicationGroup %%{GLOBAL} in mod\_wsgi configuration
  * Revert "Enable to refresh ngdetails view"
  * Get rid of the <MagicMock> output when the tests run
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev36:
  * Allow users to update images created from other projects
  * Clean /tmp after upload when using glance v2 client
  * Imported Translations from Zanata
  * Correct docs link address in README
  * Show instance resize and rebuild actions in red
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev29:
  * Do not call list\_l3\_agent\_hosting\_router if not supported
  * Imported Translations from Zanata
  * Replace dict.iteritems() with dict.items() in horizon
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev24:
  * Imported Translations from Zanata
  * Fix missing volume name on launch instance modal
  * Save image name in Server.image\_name method
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev21:
  * Imported Translations from Zanata
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev20:
  * Pass renderer to SelectWidget.render()
  * Imported Translations from Zanata
  * Trunks panel: improve details' test coverage
  * Trunks panel: delete unused part of drawer
  * Fix translation tag for datepicker
  * Makes the xstatic files lookup dynamic in the tests
  * Update local conf
* Mon Jul 31 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev9:
  * Imported Translations from Zanata
* Sun Jul 30 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev8:
  * Improve logic for volume snapshots tab
  * Enable to refresh ngdetails view
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b4.dev6:
  * Ensure tox registers failures properly
  * Imported Translations from Zanata
  * Fix a settings header style in docs
  * Updated from global requirements
  12.0.0.0b3
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev250:
  * Updated from global requirements
  * Theme Preview Page should include datepicker
  * QoS panel: default to disabled
  * Add the Snapshots tab on the Volume Details page
  * Trunks panel: default to disabled
  * Allow dropdowns to be in front of div.modal-footer
  * Trunks panel: details for trunks and subports
  * Should not be able to choose flavor < volume.image.min\_disk
  * Cleanup release notes
  * Add missing DOA config value to docs
  * Datepicker should inherit from theme
  * Add apple-touch-icon and safari-pinned-tab
  * If the flavor\_id not in full\_flavors, don't make a new API request
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev229:
  * Added SELECTABLE\_THEMES setting
  * Imported Translations from Zanata
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev226:
  * Imported Translations from Zanata
  * Add details to network\_qos panel
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev223:
  * Add support for virtio-forwarder VNIC type
  * plugin framework: allow operators to override embeded enabled files
  * Updated from global requirements
* Mon Jul 24 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev217:
  * Imported Translations from Zanata
  * Support removing projects from flavor access list
* Sun Jul 23 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev214:
  * Imported Translations from Zanata
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev213:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Use doc8 check
  * Introduce DEFAULT\_SERVICE\_REGIONS
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev206:
  * Fixes to allow us to use Django 1.11
  * Imported Translations from Zanata
  * Get rid of redundant cinder api calls
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev201:
  * Imported Translations from Zanata
  * Updated from global requirements
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev199:
  * Remove click interaction on filter input
  * Add correct policy for some actions
* Sun Jul 16 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev195:
  * doc: Fix code-block directive
  * Imported Translations from Zanata
  * Drop FWaaS related policies from neutron\_policy.json
  * Fix a bug when fill row count into table header
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev187:
  * Imported Translations from Zanata
  * Update URL home-page in documents according to document migration
  * Reorganise and update the settings documentation
  * Correct the create volume snapshot description and used of quota
  * Attribute "isServer" of images visibility filter should be true
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev179:
  * Fix an incorrect policy rule in Admin > Instances
  * Partially implements expiration date alert message
* Thu Jul 13 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev177:
  * Imported Translations from Zanata
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev176:
  * Capitalize shared|community visibility for images
  * Use request.COOKIES to activate the timezone
  * Imported Translations from Zanata
  * Prevent getServerGroups if the policy disallows it
* Tue Jul 11 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev169:
  * Imported Translations from Zanata
  * Removed default value for 'Physical Network'
  * Remove the extra Networks url in ports details page's breadcrumb
  * Add Blazar dashboard to the plugin registry doc
* Mon Jul 10 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev162:
  * Fix py27dj18 definition
* Sun Jul  9 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev160:
  * Imported Translations from Zanata
* Sat Jul  8 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev158:
  * Fix KeyError for HORIZON\_CONFIG['plugins'] in plugin UT
  * Add '\*.pyc' clean up for unit\_tests
  * Cleanup ngdetails
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev153:
  * Imported Translations from Zanata
  * Only show the image visibility option if it's allowed
  * Updated from global requirements
  * Fix operation\_log middleware tests
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev147:
  * doc: Move openstack\_auth settings to DOA docs
  * Imported Translations from Zanata
  * Add Django 1.11 tox env
  * Add config settings for login domain dropdown
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev142:
  * Imported Translations from Zanata
  * Removed cursor styling for spinners
  * Fix a typo
  * Make API calls in Instances.DetailView parallel
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev134:
  * Use flake8-import-order plugin
  * doc: Update plugin registry
  * doc: Convert plugin registry to list-table
  * doc: Move settings information to configuration/ dir
  * Split out FWaaS dashboard
  * Split out VPNaaS dashboard
  * Correct the admin snapshot detail row actions are inconsistent with the table
  * Correct the form validation in ng-image create volume form
  * Switch render() arguments to the new way
* Mon Jul  3 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev116:
  * Correct the wrong exceptions reference in domain tables.py
* Sun Jul  2 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev115:
  * Prefer volumev3 and volumev2 endpoints over volume
* Sat Jul  1 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev113:
  * [doc] Fix broken link
  * Imported Translations from Zanata
  * operation\_log: Fix logout generating AttributeError
  * Imported Translations from Zanata
  * operation\_log: Fix wrong reference to ignored urls
* Fri Jun 30 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev105:
  * update doc URLs in the readme
  * doc: cleanup formatting
  * Fix improper \`next\` and \`previous\` links in docs
  * Horizon Forms should allow themable number spinners
  * use openstackdocstheme html context
  * Fix tenant\_quota\_usages function calls caching
  * Remove duplicate line from settings.py
  * test helper: Ensure to populate JS\_CATALOG in context
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev91:
  * Updated from global requirements
  * Imported Translations from Zanata
  * import the user guide content from openstack-manuals
  * Minor release note cleanup
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev84:
  * Imported Translations from Zanata
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev83:
  * operation\_log: Add ignored\_urls parameter
* Mon Jun 26 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev82:
  * import the admin guide content from openstack-manuals
  * import installation guide pages from openstack-manuals
* Sun Jun 25 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev78:
  * remove oslosphinx from test-requirements
  * switch release notes build to openstackdocstheme
  * rearrange content into the new standard layout
* Sat Jun 24 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev74:
  * Fix locations of included templates in admin volume panels
  * Imported Translations from Zanata
  * Confirm Dialog for Delete operation in Network Topology
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev69:
  * Imported Translations from Zanata
  * Add a new management cmd to pull translations
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev66:
  * I18n cleanup on recent merged changes
  * Imported Translations from Zanata
  * Enable to set protocols of WebSocket for serial console
  * Trunks panel: item and batch delete
  * Show security groups in Port detail page
  * Add charts to show volume quotas on Angular launch instance modal
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev55:
  * Remove unused injected module
  * Imported Translations from Zanata
  * Switch render() arguments to the new way
  * [TrivialFix]Remove unnecessary translatable string
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev49:
  * Updated from global requirements
  * Cleanup unnecessary toast module
  * Enable to set step attribute for number input
  * Use POST not GET for keypair generation
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev42:
  * [TrivialFix] Make translatable string more clear
  * Correct the wrong label
  * README: Update how to generate the docs
  * Update and merge the install / deployment docs
  * doc: better formatting of TOC in sidebar
  * Add instance locked status on instances table
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev32:
  * Fix the CLI symbol in the quickstart doc
  * api.neutron: Explicit member of FloatingIpTarget class
  * Retrieve quota and usage only for resources really required
  * HTML test report only when nosehtmloutput is installed
  * Adds basic angular QoS panel to Horizon
  * Add ability to choose flavor in dashboard if value "0"
  * Fix html\_last\_updated\_fmt for Python3
  * Fix H405 (multi line docstring) warnings (openstack\_dashboard)
  * Fix H405 (multi line docstring) warnings (horizon)
  * Fix Volume Snapshot tab pagination
  * Use same form for Create Router in network topology
  * Generate unit test HTML reports
  * Do not display UUID in network/rotuer forms
  * Use publicURL as default of OPENSTACK\_ENDPOINT\_TYPE consistently
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev10:
  * Snaphot update TemplateDoesNotExist error fix
  * Show volume's messages in details view
* Mon Jun 12 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev8:
  * Updated from global requirements
* Sun Jun 11 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev7:
  * Updated from global requirements
  * Update example local.conf
  * Update the quickstart guide
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b3.dev2:
  12.0.0.0b2
  * Updated from global requirements
  * Fixing types.MethodType signature for Python 3.5
  * There is problem in UpdateRow of Horizon page
  * Extended description of OPENSTACK\_HOST setting
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev185:
  * Fix styles for error page template
  * Fix AttributeError in project/admin snapshot detail page
  * Add config for default create volume option
  * Fix instance launch dialog under MSIE11
  * Updated from global requirements
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev177:
  * Move SG and FIP API wrapper to api.neutron
  * Updated from global requirements
* Mon Jun  5 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev175:
  * keystone api:  Fix a typo that broke the check for MULTIDOMAIN\_SUPPORT
* Sun Jun  4 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev173:
  * Updated from global requirements
  * Updated from global requirements
* Sat Jun  3 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev171:
  * Add api unit tests to improve coverage
  * Imported Translations from Zanata
  * Updated from global requirements
  * Add swift unit tests to improve coverage
  * Remove openstack\_dashboard.api.network\_base
  * Fix the alert close size problem in material theme
  * Reject result when createImage call has error
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev158:
  * doc: Ignore warnings from dashboard build in the doc build
* Wed May 31 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev157:
  * Updated from global requirements
  * Replace assertRaisesRegexp with assertRaisesRegex
  * Disable 'Import Key Pair' button if Key Pairs Quota is exceeded
  * Make the "Select Boot Source" order deterministic
* Mon May 29 2017 tbechtold@suse.com
- Update to version horizon-12.0.0.0b2.dev151:
  * Imported Translations from Zanata
  * hacking: Specify white list rules in noqa explicity
  * Imported Translations from Zanata
  * Remove the duplicate method call when retrieving the instance log
  * Fix neutron API tests
  * Fix duplicating <network\_entity>\_list() calls in api.network
  * New readonly panel for trunks
  * Updated from global requirements
  * Remove unnecessary escaping of volume name
* Thu May 25 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev142:
  * Fix duplicating <network\_entity>\_list() calls in api.network
  * New readonly panel for trunks
* Wed May 24 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev138:
  * Updated from global requirements
* Mon May 22 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev137:
  * Enable backups on in-use volumes
  * Fix js error in resize instance form
  * Fix quota of floating IP usage
  * Generate language list automatically
* Sat May 20 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev131:
  * Imported Translations from Zanata
* Fri May 19 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev130:
  * Imported Translations from Zanata
  * Fix a filter error in images panel
  * Use subnet id to allocate floating IP in Admin panel
  * Enable some off-by-default hacking rules
  * operation\_log: Expose IP address of the user
  * Drop deprecated settings: enable\_firewall and enable\_vpn
  * Testing: mock add\_panel\_mocks() more flexible
  * Remove unused LOG
* Thu May 18 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev114:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Update documentation for Theme Preview panel
  * Fix Status dropdown initial value
  * Change Network form names from Update to Edit
* Wed May 17 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev107:
  * Imported Translations from Zanata
  * Retrieve quota and usage only for quota-enabled resources
* Mon May 15 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev104:
  * Updated from global requirements
  * Make UpdateDefaultQuotas handling more robust to missing form fields
  * Imported Translations from Zanata
* Thu May 11 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev99:
  * Imported Translations from Zanata
* Wed May 10 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev98:
  * Imported Translations from Zanata
* Tue May  9 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev97:
  * Imported Translations from Zanata
* Sat May  6 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev96:
  * Add release note on drop-nova-network
  * Imported Translations from Zanata
  * Fix a typo
  * Fix missing space in exception message
  * Remove the invalid example of floating IPs tab from doc
  * Imported Translations from Zanata
  * Use assertIsNone(...) instead of assertEqual(None, ...)
  * nova: Use endpoint\_override instead of deprecated bypass\_url
  * Drop novalclient security group and floating IP dependency
  * Drop Nova SG and FIP related unit tests from dashboard code
  * Drop Nova security group dependency from dashboard
  * Drop Nova floating IP dependency from dashboard
  * Set minimum volume size based on the flavor selected
  * Clean up logger usage
  * Image list function should normalize owner filter
  * table action: drop deprecated action\_present/past attributes
  * Support editing volume type access
* Thu May  4 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev66:
  * Revise the tutorials to support py35
* Wed May  3 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev64:
  * Fix the legacy experience launch instance dialog can not open
  * Drop py34 target in tox.ini and setup.cfg
  * Include logging level to log message by default
  * Strip blank lines from downloaded clouds.yaml file
  * Pass environment variables of proxy to tox
* Mon May  1 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev57:
  * Fix unauthorized exception in users panel
  * Imported Translations from Zanata
* Sat Apr 29 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev54:
  * Imported Translations from Zanata
  * usage: Ensure to count resources of a given project
  * Ensure log messages are not translated
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev50:
  * Imported Translations from Zanata
  * Check the target host before live migrating a instance
  * Fix EC2 related buttons url in the api access page
  * Pre-populate image size on create volume from image modal
  * Move all RC download buttons under a single menu
* Wed Apr 26 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev43:
  * Update keypair import url
  * Imported Translations from Zanata
  * Fix a message bug after a failing live migrate
  * Allow Chrome to start when tox is running npm
  * Horizon Spinner/Loader should inherit from theme
  * Delete instance,volume,etc confirmation is missing name or ID
  * Restore the ability to load external templates
  * Uniform the button name and urls to create subnet
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev30:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Hide IPv6 filter choice if enable\_ipv6 is set to False
  * Support allowed() in workflows.Step
  * Fix regression when identity panel is not registered
  * Don't update cinder quotas if disabled
* Mon Apr 24 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev21:
  * Imported Translations from Zanata
  * Fix allowed() function for CreateSubnet
* Sun Apr 23 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev19:
  * Imported Translations from Zanata
  * Use BooleanField for admin\_state\_up form
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev16:
  * Imported Translations from Zanata
  * Add futurist to requirements.txt explicitly
  * Update the access\_and\_security url
  * operation\_log: Honor settings parameters
  * operation\_log: Log mask\_fields only when exists in request
  * Implement "FILTER\_DATA\_FIRST" in angular views
  * hacking: noqa cleanup in openstack\_dashboard
  * hacking: Drop import\_exceptions from tox.ini
  * Make extract\_messages quiet in pep8 test
  * Fix the return value for glance get\_version
  * Do not try to show L3 agent action when enable\_router is False
  * Populate device\_id/owner fields in Admin Edit Port form
  * Fix volume\_url in admin instance detail
  * use \`set literal\` to replace \`set\` which is twice faster than \`set\`
  * Update some Dashboard strings to use \`openstack\` client
  * Fix doc confusion around AVAILABLE\_REGIONS/OPENSTACK\_KEYSTONE\_URL
  * We intend to add 10 stack\_snapshot to the test data but only got 1
  * Use domain\_context not effective domain to display domains list
  * test\_with\_subnetpool variable is not used in the test function
  * i18n: The same use of args with ugettext\_lazy
  * Fix ignored timezone value from local\_settings
  * Fixes typo in syntax of DataTables row\_actions
  * filesizeformat() does't consider the situation like \`float('inf')\`
  * Add missing scheduler\_hints to \_optional\_create
  * Remove duplicated modal\_header statements
  * Make evacuate target\_host not required
  * Move js files into openstack\_dashboard folder
  * Use the new fix\_auth\_url\_version\_prefix() call
  * remove to\_dict method of Network in neutron.py
  * Make the form \_clean\_rule\_custom method full-fledged
  * [trivial]Add support keys for OPENSTACK\_NEUTRON\_NETWORK in doc
  * Missing info on MELLON\_IDP for mod\_auth\_mellon
  * Update settings docs with using ANGULAR\_FEATURES for dev
  * Add constraints support to run\_tests.sh
  * Specify POLICY\_CHECK\_FUNCTION as a string
  * Replaces uuid.uuid4 with uuidutils.generate\_uuid()
  * Add LOCALE\_PATHS to settings
  * Remove all\_tenants flag in quota check
  * Add upgrade notes for new REST\_API\_REQUIRED\_SETTINGS
  * Default ethertype to IPv4 if Neutron's enable\_ipv6 is false
  * Allow POLICY\_CHECK\_FUNCTION to be disabled
  * OS\_INTERFACE was errantly added to the V2 openrc
  * Remove hardcode of container\_name in backups
  * Add deprecation message to run\_tests.sh
  * missing action\_class in sample code
  * Using /tmp for SECRET\_KEY in tests
  * Remove unused line from local\_settings.py.example
  * Fix the exapmle of how to use customization\_module
  * Remove the lowercase case boolean type in heat param\_type
  * Replace table row 'status\_unknown' class with 'warning' class
  * Update comment in \_10\_set\_custom\_theme.py.example
  * Implement admin\_filter\_first setting in Admin>Volumes
  * Escape backslash in the angular\_escapes filter
  * Hard-code stubbed novaclient api\_version to 2.1
  * Add rel note and example for TOKEN\_DELETE\_DISABLED
  * Revert "Escape blackslash in the angular\_escapes filter"
  * [TrivialFix] Ignore node\_modules while we run flake8 test
  * Implements filter\_first in routers
  * Escape blackslash in the angular\_escapes filter
  * INSTANCE\_LOG\_LENGTH is missing from local\_settings.py.example
  * Implements filter\_first in networks
  * Incorrect param name in api.nova.server\_delete
  * Remove admin\_filter\_first from horizon module to avoid confusion
  * Re-work static\_settings to clean up
  * Removed inline\_edit functionality for tables
  * Add ANGULAR\_FEATURES toggle example
  * Fix AttributeError in context\_selection.py
  * Fix typo in keystone\_data.py
  * Add ANGULAR\_FEATURES setting dict
  * Add Apple OS X ".DS\_Store" to ".gitignore" file
  * Correcting form\_invalid get\_context\_data call
  * Move get\_filters to parent Class
  * Ignore the test\_report of integration test in .gitignore
  * Cleanup the toastService in \*.spec.js files
  * [Django 1.10] Fix get\_form uses kwargs
  * Show name\_or\_id when router name is white space
  * Returning a tuple instead of list in list\_extensions
  * Never import setting from openstack\_dashboard
  * Changed auth\_url in api/nova.py to point to keystone
  * Implement admin\_filter\_first in Instances and Images Admin Views
  * Clear confusing annotation in rest create\_user
  * Fix wrong data type of subnet\_availabilities\_list
  * admin permissions depends on OPENSTACK\_KEYSTONE\_ADMIN\_ROLES
  * Deprecate the OPENSTACK\_TOKEN\_HASH\_ENABLED option
  * Pass page\_url instead of whole request to render
  * modified condition variable project\_choices
  * Add \*args, \*\*kwargs to ModalBackdropMixin's init method
  * Don’t error if dhcp\_agent\_scheduler not enabled
  * Added 'help\_url' example to local\_settings.py
  * Remove deprecated default\_\*\_subnet\_pool options
  * Initial Clean Up Old Styles in \_debt.scss
  * Define row in cell\_getter before check cell status
  * Fix pre\_test\_hook fail and sidebar menu fail
  * Fix the issue help\_text is not translated in User Setting
  * Enhances tox to not rely on run\_tests
  * Default SESSION\_ENGINE is not Local memory storage
  * [TrivialFix] Rename run\_tests.py to run\_tests.sh
  * Fix CheckBoxMixin:is\_marked behavior
  * Add "data\_required=True" check into heat rest api
  * Bypass get\_domain call to keystone api
  * Fix empty 'href' in link actions after AJAX actions\_update
  * Add icon define in \_icon.scss
  * local\_settings needs 2.76%% more ',' and an '\_'
  * Deprecate default\_\*\_subnet\_pool\_label options
  * Add test\_volume\_snapshots\_pagination()
  * Add local\_settings.d/ dir for settings snippets
  * Add missing column rxtx\_factor to ng flavors table
  * Updating password in local\_conf
  * Add test\_router integration test
  * Fix exceptions\_captured manager in i9n tests
  * Trivial: Fix import order in api/rest/\*.py
  * Allow setting default value for config\_drive
  * Allow @tables.bind\_row\_action() to bind in 2 additional scenarios
  * Add test\_images\_pagination()
  * api cinder volume\_migrate wrong number of params
  * Override get\_object\_display() for IdP table
  * Support properties\_target when fetching namespaces
  * Clean up horizon.scss - default/bootstrap/\_type.scss
  * Clean up horizon.scss - default/boostrap/\_form.scss
  * Clean up horizon.scss - serial\_console.scss
  * Clean up horizon.scss - \_tables.scss
  * [Django 1.9] Remove testserver from expected\_url
  * Remove redundant dashboard.login\_url setting from horizon.conf
  * Move integration\_tests.tests.decorators one level up
  * Drop izip and izip\_longest removed in python3
  * Clean up horizon.scss - \_resource\_topology.scss
  * Clean up horizon.scss - \_modals.scss
  * Clean up horizon.scss - \_membership.scss
  * Clean up horizon.scss - \_datepicker.scss
  * Clean up horizon.scss - \_util.scss
  * Clean up horizon.scss - \_legacy.scss
  * Clean up horizon.scss - \_layout.scss
  * Provide integration test\_hooks to be used in gate job
  * Set target to \_self for Header Links
  * Use the default \`url\` tag instead
  * py3: replace reload with six.moves.reload\_module
  * Replace assertEqual(None,\*) with assertIsNone
  * Clean up horizon.scss - \_debt.scss
  * Clean up horizon.scss - \_contrib.scss
  * Fix volumes no attribute tenant\_name error
  * Add handle get\_file when launch stack from horizon
  * replace deprecated iso8601\_from\_timestamp
  * Skip test\_keypair integration test until it's fixed
  * Try to avoid intermittent test\_dashboard\_help\_redirection failure
  * Followup patch for \`Improve Firewalls help text\`
  * Remove unnecessary ugettext\_lazy
  * Add STATUS\_DISPLAY\_CHOICE which matches Nova vm state
  * tox: add /bin/bash to whitelist\_externals
  * Remove environment\_version ref from quickstart guide
  * Mock flavor\_list method in tests for instances
  * py3: Replace unicode with six.text\_type
  * Add test coverage for auth\_type 'credential'
  * Remove \_() from strings used only for logging
  * Removing last\_activity session flag
  * Port babel\_extract\_angular tests to Python 3
  * Do not pass along cidr and ip\_version to create\_subnet when not used
  * Finally remove policy engine code from openstack\_dashboard
  * Minor refactoring of openstack\_dashboard.api.neutron
  * Include JS from openstack\_dashboard/\*\*/static for code coverage
  * Fix all the network/router/subnet/port display as name\_or\_id
  * Fix typo on access\_cached comment
  * Add \_save\_screenshot functionality to helpers
  * Remove session caching of can\_access call results
  * Do not pass along cidr and ip\_version to create\_subnet when not used
  * Simplify is\_service\_enabled
  * Ensure exc message is included in user\_message
  * Remove unneeded \_\_init\_\_() in UpdateAggregate class
  * Port error\_pages tests to Python 3
  * Port config\_rest\_tests to Python 3
  * Skip test\_routerrule\_detail blocking the gate
  * Fix local\_settings.py.example to be consistently styled
  * py3: Replace unicode with six.text\_type
  * Populate volume/volume\_snapshot status without current status
  * Document OPENSTACK\_KEYSTONE\_ADMIN\_ROLES
  * Correct local\_settings example from overwriting settings
  * Add 'reverse\_lazy' for 'success\_url' in admin volume type panel
  * Remove \_40\_router.py.example file
  * py3: use @six.python\_2\_unicode\_compatible
  * py3: replace reload with six.moves.reload\_module
  * py3: Replace func.func\_name with func.\_\_name\_\_
  * py3: Replace basestring with six.string\_types
  * AVAILABLE\_REGIONS picker should be responsive
  * STATIC\_ROOT underline too short
  * Fixes Selenium tests for openstack\_dashboard
  * Move magic\_search.js in \_scripts.html to after Angular files
  * Don't escape request.get\_full\_path() in Django1.8
  * comment and version update for DEFAULT\_THEME\_PATH
  * JSCS/eslint cleanup - o\_s/tech-debt, bind-scope, toast
  * Do not call \_assertNotContains override in Django newer than 1.6
  * Use charset instead of \_charset for dj18 response
  * CSS get None when error in inline\_editing
  * Disable lagency launch when LAUNCH\_INSTANCE\_LEGACY\_ENABLED is False
  * Themes should live at root of openstack\_dashboard
  * Update default\_project param on create user
  * Correct wrong super \_\_init\_\_() calling
  * Adding make\_web\_conf command documention
  * Fix \_wait\_till\_element\_disappear
  * Allow STATIC\_URL override
  * Amend docs on OPENSTACK\_KEYSTONE\_DEFAULT\_ROLE
  * Add OPENSTACK\_NOVA\_EXTENSIONS\_BLACKLIST option to settings
  * Moving AngularJS panel file to \_200 range
  * Only use ports with non empy list of fixed\_ips
  * Allow STATIC\_ROOT override
  * Revert "Ignore the ng\_on\_watch error from eslint"
  * Update example local\_conf
  * Ignore the ng\_on\_watch error from eslint
  * JSCS Cleanup - rename \*.factory.js to \*.service.js
  * Fix \_get\_tenant\_volume\_usages
  * JSCS cleanup - openstack\_dashboard/static/dashboard/workflow
  * Trying to get pool/health\_monitor only if existing
  * Skip test\_{floatingip,keypair,create\_delete\_user} for now
  * Use URLField instead of CharField for image\_url
  * Remove now obsolete English po files, update run\_tests
  * Use \*.pot files for source language
  * Skip test\_sahara\_image\_registry while investigating reasons
  * Use gen\_resource\_name in create/delete user test
  * Fixes a typo 'use\_strict' -> 'use strict'
  * Fix for test\_image\_create\_delete
  * ngReorg - Move API files to openstack\_dashboard
  * JSCS cleanup - openstack\_dashboard/static/
  * Create image directly in 'copy\_from' and 'location' case
  * Fixes line length issues in local\_settings.py
  * Added \`npm run lint\` command to execute JSCS
  * fix usage property(vcpus, vcpu\_hours) error use
  * Exclude current volume\_type from Volume retype list
  * The overview chart is so big and ugly while use \`width: 100%%\`
  * Move validate\_metadata to utils/validators
  * Remove unneeded \_\_init\_\_() in UnmanageVolume class
  * Simplify some codes in is\_quotas\_extension\_supported
  * Fix modals by making spinner\_options accessible
  * Remove unused jasmine\_tests.py
  * Jshint removing Hogan and static\_url
  * Removed the '\_safe\_message' variable from the API exceptions
  * Fix missing default value for JSCS var in run\_tests.sh
  * Remove deprecated OPENSTACK\_QUANTUM\_NETWORK
  * Jshint unused and undef cleanup for accordion\_nav, tabs JS
  * Hide Cancel button if no cancel\_url is provided
  * Hide Cancel button if no cancel\_url is provided
  * Remove unsed verbose\_name
  * Sort jobs in JobsView based on created\_at value
  * Fixing typo in OPENSTACK\_NEUTRON\_NETWORK section
  * Fixing typo in AVAILABLE\_REGIONS section
  * Fixing typo in CONSOLE\_TYPE documentation
  * Refactor/remove obsolete page\_header blocks
  * Move \_update\_project\_quota into a common Workflow ancestor
  * Remove duplicated \_\_init\_\_ from api/fwaas.py
  * change the floating\_ips tables.py argument
  * [Data\_processing] fix job\_executions table
  * Use novaclient v2 instead v1\_1
  * I18N: Allow to control word order in create\_pseudo\_folder
  * Change of path of wrap\_delimiter function
  * Fix CSS, remove bad semicolon in \_variables.scss
  * Set OS\_PROJECT\_NAME
  * Replacing data\_processing with data-processing
  * Add test\_sahara\_create\_delete\_job\_binary test method
  * Add test\_sahara\_image\_registry
  * Move variables from accordion nav to \_variables.scss
  * Use \_wait\_for\_spinner()
  * Creating a new volume\_type's extra\_specs returns a relative path
  * Replaced hard coded values with oslo\_utils.units constants
  * New generic \_wait\_until method which wraps selenium waiting
  * Allow adding to INSTALLED\_APPS from local\_settings.py
  * Fix missing icon of \`Terminate instance\`
  * Adds default for resource\_type\_names in metadata
  * Set the password\_autocomplete default to "off"
  * Fix documentation for setting password\_autocomplete
  * Added a migrate\_settings command
  * Make values for name&status about job\_executions be translatable
  * Fix typo in calling \_is\_element\_visible method
  * Clean unused code for \`supports\_tenants\`
  * Adding filtering to data\_processing tables
  * Add \*.lock to .gitignore file
  * Replace lockfile by oslo\_concurrency
  * Remove unused wait\_for\_title method
  * when launch instance image size changed, device\_size not change
  * Change mbformat to mb\_float\_format
  * Switch from oslo.utils to oslo\_utils
  * Cleanup copyright from static\_settings
  * Separate static\_settings.py from settings.py
  * Remove unused method get\_stats
  * Refactoring main\_content css
  * Using get\_url\_current\_page wrapper method
  * Make admin\_state translatable
  * Documenting create\_stubs decorator for tests
  * removing mandatory mark for post\_creation tab
  * Provide tenant\_id in Neutron create requests
  * Replace set\_id\_as\_name\_if\_empty with name\_or\_id
  * Add \_wait\_till\_text\_present\_in\_element method
  * Refactor horizon/common/\_modal\_form.html template
  * Prevent leaking \`target\` info into subsequent \`policy.check()\` calls
  * Remove port\_id from floating ip disassociate
  * [Data\_processing] auto security group
  * Integration tests - switch\_window method
  * Remove 'action\_\*' for tables.LinkAction
  * Defining missing failure\_url
  * Documentation error in base tables link\_classes
  * Guard against \`None\` value of User.email attribute
  * Invalid instance\_snapshot causes KeyError
  * Missing a closing semicolon in \_configure\_general\_help.html
  * Handle negative values in total\*Used for Cinder absolute limits
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev12:
  * Correct the group name field less than or equal to 64 characters
  * Imported Translations from Zanata
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev9:
  * Imported Translations from Zanata
  * Only show image name as a link when the image exists
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev7:
  * Updated from global requirements
  * Imported Translations from Zanata
* Tue Apr 18 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev5:
  * Imported Translations from Zanata
  * Fix the issue that a wrong message is shown in ng-launch instance
* Sun Apr 16 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev2:
  * Imported Translations from Zanata
* Sat Apr 15 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.0b2.dev1:
  * Imported Translations from Zanata
  12.0.0.0b1
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.dev305:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Update Network Port VNIC Types
  * Fix remove consistency group volumes form redict url error
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.dev298:
  * Fix create consistency group form exception
  * Correct the word orchestation to orchestration
  * Imported Translations from Zanata
  * Fix incorrect window title in admin snapshots and volume types
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.dev291:
  * Fix edit consistency group form error
  * Fix the existence check in DataTable Column
* Fri Apr  7 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.dev287:
  * Add support for downloading clouds.yaml files
  * Imported Translations from Zanata
  * Fix edit qos spec form exception
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version horizon-12.0.0.dev282:
  * Add sem-ver flag so pbr generates correct version
  * Update the access_and_security url
  * Update Horizon to use latest nova policy rules for validation
* Wed Apr  5 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev276:
  * Imported Translations from Zanata
* Tue Apr  4 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev275:
  * Fix incorrect window title in Manage security group rule
* Mon Apr  3 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev273:
  * Fix volume redirect url error
  * Allow any port or protocol in security group rules
* Sun Apr  2 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev269:
  * Remove unnecessary raise
* Sat Apr  1 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev267:
  * Handle log message interpolation by the logger
  * Enable breadcrumbs for AngularIndexView
* Fri Mar 31 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev263:
  * Option to specify MAC address of port
  * Add Microversion support to Horizon
  * Change a behavior of more actions dropdown
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev258:
  * Imported Translations from Zanata
  * Added Server-side filtering for swift UI
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev255:
  * Revert "Add the 'fade' class to Python modals, for animation"
  * Imported Translations from Zanata
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev253:
  * Sort service list in API Access
  * Change checking cinder v1 to check v2 in panels
  * Disable port input when protocol is any or icmp for firewall
  * Enable warning-on-error in Sphinx 1.5
  * Remove all remaining vendor specific code
  * hacking: noqa cleanup in openstack_dashboard
* Mon Mar 27 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev242:
  * Do not include HTML tags in blocktrans
* Sun Mar 26 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev240:
  * Use 'ID' rather 'id' to match our convention
  * Imported Translations from Zanata
  * Remove py34 in tox.ini
  * doc: Document py27 test target
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev233:
  * Imported Translations from Zanata
  * Fix the bug in 'Delete Extra Spec'
  * Update plugin registry links
  * Clarify message if key file has wrong permissions
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev225:
  * Add server filters to NGusers & enable filter first
  * Drop py34 target in tox.ini
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev222:
  * operation_log: Honor settings parameters
  * operation_log: Log mask_fields only when exists in request
  * Implement "FILTER_DATA_FIRST" in angular views
  * get inappropriate information while failed to create host aggregates
  * New input field with validation: MACAddressField
* Wed Mar 22 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev212:
  * Fix issues with updating project/domain members
  * hacking: noqa cleanup in horizon
  * hacking: Drop import_exceptions from tox.ini
  * Add charts to show volume quotas on Python launch instance modal
* Tue Mar 21 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev205:
  * In drawer, handle 'priority' attribute conversely against row
  * Use ThemableSelectWidget for themable
  * Allow to specify port security when creating a port
  * Add the 'fade' class to Python modals, for animation
* Sun Mar 19 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev197:
  * Fix location of security group panel in launch-instance form
* Sat Mar 18 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev196:
  * Make extract_messages quiet in pep8 test
  * Softreboot can be done when the instance not in active status
  * The progress bar is wrong when you create a snapshot for a volume
  * Server-side filtering vpn
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev189:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Reorganize Admin dashboard menus
  * Remove unused variable
  * Make API calls in Instances view parallel
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev181:
  * Fix the return value for glance get_version
  * Define profiler constant to fix /jasmine test run
  * Instance snapshots shown in 'boot from image' list
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev176:
  * Updated from global requirements
  * Remove non-existent "test" target from Make help
  * Do not try to show L3 agent action when enable_router is False
  * NG details view route should not be '/project/...'
* Mon Mar 13 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev171:
  * Populate device_id/owner fields in Admin Edit Port form
  * Remove link for user id field on project action log
  * Imported Translations from Zanata
  * Provide available physical networks on create network modal
  * Use correct policy name for "Edit Network" form setup
* Sun Mar 12 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev162:
  * Fix volume_url in admin instance detail
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev161:
  * Fix new volumes enabled files panel groups
  * Imported Translations from Zanata
  * Consistently hash Version objects
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev156:
  * Refactor Volumes from tabbed panel to stand-alone
  * Add editing for port security
  * Correct error in policy action name
  * Move Volume Types out of tabbed panel
  * Move Admin Volume Snapshots out of tabbed panel
  * Solve the problem about getting wrong information
  * Imported Translations from Zanata
  * Replace six.iteritems/itervalues with dict.items()/values()
  * Remove dangerous safestring declaration
  * Refactor Project Volumes stand-alone panel
  * Move Consistency Group Snapshots out of Volumes panel
  * Move Consistency Groups out of Volumes panel
  * Move Volume Backups out of tabbed panel
  * Imported Translations from Zanata
  * use `set literal` to replace `set` which is twice faster than `set`
  * Missing comma
  * Updated from global requirements
  * Always pass the public endpoint to the client
  * Change Quota tab title to be plural
  * Close modals with ESC key
  * Updated from global requirements
  * Make subnets associated column in Networks unstyled
  * Imported Translations from Zanata
  * Update some Dashboard strings to use `openstack` client
  * Remove parent div when pressing next step button
  * Imported Translations from Zanata
  * Updated from global requirements
  * Amended testing documentation
  * Move Volume snapshots out of tabbed panel
  * Fix hiding of selects when switchable
  * Allow subnet creation from admin networks panel
  * Update hacking version
  * test_with_subnetpool variable is not used in the test function
  * Remove unimplemented policy checks for Neutron
  * Revert "Add Angular Project Volumes Panel"
  * Properly compare versions in APIVersionManager
  * The background colour of the success message changed
  * Add NG Flavor delete and update metadata actions
  * fix workflow exception on host aggregate create form
  * add test for host aggregate create fail due to duplicated name
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev89:
  * Imported Translations from Zanata
  * Allow shelving instance for SHUTOFF/PAUSED/SUSPENDED statuses
  * Fix doc confusion around AVAILABLE_REGIONS/OPENSTACK_KEYSTONE_URL
  * Make VPN IPSec Site Connection PSK field hidden
  * Horizon does not display ID of Security Group
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev80:
  * Add Port-Create in Project Dashboard
* Mon Feb 27 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev78:
  * Typo: repeated command for tox selenium
  * Typo: Fix a typo on contributing doc page
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev75:
  * Schema Form Developer Panel
  * Move API Access panel to default panel group
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev72:
  * Tidy up the Profiler docs
  * filesizeformat() does't consider the situation like `float('inf')`
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev69:
  * We intend to add 10 stack_snapshot to the test data but only got 1
  * Use domain_context not effective domain to display domains list
  * Use more specific asserts in tests
  * Imported Translations from Zanata
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev63:
  * don't need to 'import identity' as the same name 'identity'
  * Fix some annotation errors
  * Imported Translations from Zanata
  * Disentangle domain context from effective domain
  * SCSS refactor for shared sort list UI
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev55:
  * clean unused imports
  * Updated from global requirements
  * Add Angular keystone role edit action
  * Add Angular keystone role deletion action
  * Add Angular keystone role creation action
  * Fixes inconsistency in Stacks filter label
* Mon Feb 13 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev48:
  * Updated from global requirements
  * Imported Translations from Zanata
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev45:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Use "Default", "Value" and "DefaultValue" for Heat parameters
* Fri Feb 10 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev41:
  * Updated from global requirements
  * Add vhd and vhdx disk format for volume upload image
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev38:
  * Imported Translations from Zanata
  * [Trivial]Fix some type errors
  * Correct some spelling errors
  * Add step to bump global-requirements for xstatic
  * Make shared image text less confusing for Glance v2
  * Add info on key-value of volume QoS spec
  * Add description of Horizon's Core Team
* Wed Feb  8 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev26:
  * Small UI change in User Credentials Details modal
* Tue Feb  7 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev24:
  * Fix the awkward English in description for extra info
  * Sync keystone policy to latest
  * Remove deprecated calls to novaclient.v2.contrib
  * Imported Translations from Zanata
  * Fix wrong min/max media queries for sidebar
  * Check if user.token attribute exists
  * Fix ignored timezone value from local_settings
* Mon Feb  6 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev13:
  * Imported Translations from Zanata
* Sun Feb  5 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev12:
  * Imported Translations from Zanata
  * Nit: Fix the typo in ref/tables.rst
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev10:
  * Imported Translations from Zanata
  * Only get detailed info for Nova servers when necessary
  * Update reno for stable/ocata
  * Fix reporting of profiler traces with multiple toplevels
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0rc2.dev4:
  * Fix Hypervisors page
  11.0.0.0rc1
  * Pass the project domain ID to novaclient
  * i18n: The same use of args with ugettext_lazy
  * Remove duplication from utils/settings.py
  * Release notes for XStatic updates
  * Imported Translations from Zanata
  * Move Security Groups into its own panel
  * Move Floating IPs from Access & Security to panel
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b4.dev25:
  * Imported Translations from Zanata
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b4.dev24:
  * Fixes typo in syntax of DataTables row_actions
  * Improve API Access Credentials template
  * Imported Translations from Zanata
  * Add OpenStack RC Download buttons to user menu
  * Make API Access a panel under compute
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b4.dev18:
  * wrong indentations
  * Make Key Pairs tab a panel under Compute
  * Imported Translations from Zanata
  * Support to delete instance from network topology view
  * Configuring number of apache processes
  * Fix alignment issues for nav-tabs and ul on details panels
  * use safer method splitlines() to replace split('\n')
  * Fix spec file variable/ improve code coverage
  * Reuse Overview tab for Admin Volume Snapshots
  * Remove shared checkbox for non-admin users when doing network things
* Mon Jan 30 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b4.dev5:
  * Imported Translations from Zanata
* Sat Jan 28 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b4.dev4:
  11.0.0.0b3
  * Dashboard panels intermittently disappear when they are in the 'default' group
  * Fix TypeError in api/neutron.py
  * Snapshot not selected by default when launching it from images
  * Update customizing.rst with a how to use the NG registry
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev141:
  * Imported Translations from Zanata
  * Fix issues on create network and create port modals
  * Allow OVA upload for images
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev137:
  * Updated from global requirements
  * Remove log level adjustment in heat test data
  * Update default OpenStack branding across Horizon
  * Updated from global requirements
  * Imported Translations from Zanata
  * Try to use 2.40 microversion for simple-tenant-usages
  * Simple tenant usage pagination
  * Keystone to Keystone Federation Drop Down
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev123:
  * Imported Translations from Zanata
  * Autogenerate container name correctly for vol backup
  * Imported Translations from Zanata
  * Updated from global requirements
  * New Identity NG Panels missing stuff in settings.py/rst
  * Containers list styling fix
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev113:
  * Implement "filter first" for identity panels
  * Fix Angular tabs
  * [flavor update] Fixing a flavor comparation issue
  * delete unused import
  * Add default common template to python table views
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev105:
  * Fake deprecated nova client properties
  * Imported Translations from Zanata
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev103:
  * Imported Translations from Zanata
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev102:
  * Imported Translations from Zanata
  * Adding identity domains table
  * Enable profiling of angular pages (with async requests)
* Mon Jan 16 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev97:
  * Imported Translations from Zanata
* Sun Jan 15 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev96:
  * Add missing scheduler_hints to _optional_create
* Sat Jan 14 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev94:
  * Prevent a "link" click on container trash icon
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev93:
  * Imported Translations from Zanata
  * Strip whitespace added to flavor name in create and update flavor
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev91:
  * Imported Translations from Zanata
  * Add Angular keystone user details use registry
* Wed Jan 11 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev88:
  * Imported Translations from Zanata
  * fix some pylint warnings
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev85:
  * Adding identity ng-roles panel
  * Update floating IP tables instance URL check
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev82:
  * DOC Remove duplicated words
  * Cleanup CSS on NG Create Image Modal
  * Update settings docs with using ANGULAR_FEATURES for dev
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev77:
  * Hide heatclient spam
  * Remove duplicated modal_header statements
  * Make evacuate target_host not required
  * Imported Translations from Zanata
  * Remove trailing backtick
  * Fix single policy rule handling
  * Remove unused import
  * Add col-sm-12 to network modal error
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev61:
  * Revert "Add policy rules to project panels"
  * fix wrong path in doc
  * Add Zun UI to Horizon Plugin Registry
  * Add policy rules to project panels
  * Imported Translations from Zanata
  * Make the form _clean_rule_custom method full-fledged
  * Specify POLICY_CHECK_FUNCTION as a string
* Tue Jan  3 2017 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev49:
  * Imported Translations from Zanata
* Sat Dec 24 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev48:
  * Improve novaclient initialisation
* Fri Dec 23 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev46:
  * Imported Translations from Zanata
  * Action-list: Update for ui bootstrap changes
  * Move js files into openstack_dashboard folder
  * Use the new fix_auth_url_version_prefix() call
  * Fix a script error which is occurred when choosing no file
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev37:
  * Revert "Fix the flicker of the log on button name"
  * Make ResourceTypesTests skippable
  * Make flavor updating compatible with nova cli
* Sun Dec 18 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev33:
  * Imported Translations from Zanata
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev32:
  * Fix syntax error with settings in doc
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version horizon-11.0.0.0b3.dev31:
  * Imported Translations from Zanata
  * Columns typo fixed
  * Remove redundant parentheses
  * Resize instance error fixed
  * remove to_dict method of Network in neutron.py
  * NG Flavor Panel add filter facets
  * Simplify uuid without dashed
  * Render inaccessible ports as text versus links
  * Fix Port Security Enabled information
  * Fix volume storage usage value
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev16:
  * Update for ui bootstrap changes
  * When the api call failed, approprate failing message will be show
  * AngularJS based panels page title updated
  * Revert "Turn off angular template cache preloading when DEBUG=True"
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev9:
  * Text and checkbox should align in "Create Project" form
  * Imported Translations from Zanata
  * Replace six.iteritems(iter) with iter.items()
  * Add generic session/cookie value getters/setters
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b3.dev3:
  * Removes unnecessary utf-8 encoding
  11.0.0.0b2
  * Reduce code duplication
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev102:
  * The minimum volume size should be pre-populated
  * Imported Translations from Zanata
  * UX: Bullets in Launch Instance Wizard don't have left-padding
  * Turn off angular template cache preloading when DEBUG=True
  * hzResourceProperty can handle 'priority' attribute
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev93:
  * Use assertGreater(len(x), 0) instead of assertTrue(len(x) > 0)
  * [trivial]Add support keys for OPENSTACK_NEUTRON_NETWORK in doc
  * Images table name updated to id when name is None
  * Remove Unneeded API Calls, Functions
  * Remove type field and type description for create volume from a snapshot
  * modified condition variable project_choices
* Fri Dec  9 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev84:
  * Remove additional response.render() for tabs
  * Add Apache 2.0 license to source file
  * Missing info on MELLON_IDP for mod_auth_mellon
  * Add i18n support to Quota.humanizeNumbers
  * Let Nova to pick availability zone if more than 1
  * Fixes traceback if group name attribute is missing
  * Add metadata in snapshot details page
  * DataTable column level policy
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev72:
  * remove unused string in neutron create subnet workflow
  * Allow router panel to not break sidebar
  * Reset flavors for other than "Boot from Image" source type
* Wed Dec  7 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev67:
  * Imported Translations from Zanata
  * Show team and repo badges on README
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev64:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Rework hardcoded policy in admin dash
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev59:
  * Angular images deactivate status fix
  * Updated from global requirements
  * Updated from global requirements
  * Wrap api calls with tracing decorators
  * Add the Profiler panel to the Developer dashboard
  * Bug fixes Magic Search
  * Use os.path.relpath in place of string.replace
  * Make default domain usage consistent
  * Migrate Create Container to schema form
* Fri Dec  2 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev43:
  * Update path of JS coverage reports
  * Refactor tox & update docs
  * Enable sorting by size in containers pane
  * Imported Translations from Zanata
  * Consolidated common angular view
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev36:
  * Imported Translations from Zanata
  * Rename Size column on instances tables to Flavor
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev33:
  * Add constraints support to run_tests.sh
  * implements: make twice list iterations into one Closes-Bug: 1644817
  * Fix mox trapped errors
  * Remove use of scope from action service
  * Trivial fixes for Swift UI
* Mon Nov 28 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev23:
  * Remove network name from create subnet error message
* Sun Nov 27 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev22:
  * ceilometerclient removed from requirements.txt
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev20:
  * Note how to use local.conf in stable branches
  * Updated from global requirements
  * Imported Translations from Zanata
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev15:
  * Imported Translations from Zanata
  * Removing deprecated Swift UI code
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev13:
  * Improve Horizon nav sidebar
  * Imported Translations from Zanata
  * Updated from global requirements
* Wed Nov 23 2016 cloud-devel@suse.de
- Update to version horizon-11.0.0.0b2.dev10:
  * Remove local/enabled from test settings
  * Imported Translations from Zanata
  * Amend Roboto font paths
  11.0.0.0b1
  * Magic Search in Angular Users table
  * Change icons in launch instance ng transfer
  * Remove broken telemetry policy check
  * Removing deprecate ceilometer code
  * Volume limits and floating ip  graphic label consistency
* Sun Nov 20 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev275:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Revert "Comment out material theme for gate to proceed"
  * Fix issues with new roboto-font path changes
* Sat Nov 19 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev268:
  * Disable router and fip quotas when router is disabled
  * Revert "In Images Overview, dates should be properly formatted"
  * Comment out material theme for gate to proceed
  * Fix npm tests
  * Imported Translations from Zanata
  * Update Angular Users Table use registry
  * take time zone into account
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev258:
  * Imported Translations from Zanata
  * Create common code for horizon.instances.js and horizon.firewalls.js
  * Simplify chained comparison
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev254:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Normalise the path to resolve ../.
  * Document exception handling
  * Migrate Swift to use ResourceType
  * Launch Instance: Creating new volume for image snapshot
  * Add the slaac ipv6 address mode without ra mode
  * In Images Overview, dates should be properly formatted
  * Show tab label in Admin CreateSubnet/UpdateSubnet form
  * py3:Remove six.iterXXX
  * Remove repetition of "Attached to" in table
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev235:
  * Strip leading or trailing spaces from Instance names during update and create
  * Replaces uuid.uuid4 with uuidutils.generate_uuid()
* Mon Nov 14 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev231:
  * Link to the user details from action log
  * Set the placeholder attribute in forms.py
* Sun Nov 13 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev227:
  * Imported Translations from Zanata
* Sat Nov 12 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev226:
  * Make sure new password can not the same with old one
  * Get security groups of an instance using novaclient
  * Remove unnecessary variable assignment
  * Add LOCALE_PATHS to settings
  * Update Horizon's example local.conf
* Fri Nov 11 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev216:
  * Correct installation command to include upper-constraints
  * Provide the bones of profiler: api and middleware
  * Remove all_tenants flag in quota check
  * Drop LBaaS v1 dashboard
  * Make "Detach Volume" in Instances page translatable
  * Hide shelve/unshelve actions of a locked instance for non-admin users
* Thu Nov 10 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev205:
  * Updated from global requirements
  * Renamed bootstrap theme preview page
  * Imported Translations from Zanata
* Wed Nov  9 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev200:
  * Imported Translations from Zanata
  * Fix logspam in django 1.9 and django 1.10 tests
* Tue Nov  8 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev197:
  * Updated from global requirements
  * "Unable to retrieve Domain" incessant warning logs
  * Imported Translations from Zanata
  * Fix the flicker of the log on button name
  * Register keytone resource types
* Sat Nov  5 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev189:
  * Imported Translations from Zanata
* Thu Nov  3 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev188:
  * Updated from global requirements
  * Server-side filtering Orchestration
* Wed Nov  2 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev185:
  * Imported Translations from Zanata
* Tue Nov  1 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev184:
  * Imported Translations from Zanata
  * Add appropriate policy rules to admin images panel
  * Fix labels on subnet details panel
  * Adds Policy Rules to Project Images panel
* Sun Oct 30 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev177:
  * Imported Translations from Zanata
* Sat Oct 29 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev176:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Default ethertype to IPv4 if Neutron's enable_ipv6 is false
  * Added policy checks for Project>Volumes Panel
* Sat Oct 22 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev170:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
* Sat Oct 22 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev165:
  * Updated from global requirements
  * Add upgrade notes for new REST_API_REQUIRED_SETTINGS
  * Fixing typo in horizon widgets
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev159:
  * Imported Translations from Zanata
  * Allow POLICY_CHECK_FUNCTION to be disabled
  * Usage tables: Sort by disk properly
* Thu Oct 20 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev155:
  * Fix typo
  * Updated from global requirements
  * Fix two closing tags on subnet details template
  * Imported Translations from Zanata
  * Clear cached selected items on swift objects table
* Wed Oct 19 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev146:
  * Imported Translations from Zanata
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev145:
  * Image listing by visibility fix
  * Update the wording of date format on overview panel
  * Updated from global requirements
* Mon Oct 17 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev140:
  * Imported Translations from Zanata
  * Fixing typo in release note
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev137:
  * Flavors panel can switch to Angular
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev135:
  * Project table has an extra Enabled column definition
  * OS_INTERFACE was errantly added to the V2 openrc
  * Imported Translations from Zanata
  * Minor updates to angularjs.rst
  * Add Keystone Groups to REST API
  * add ploop type to the list of image backends
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev125:
  * Remove hardcode of container_name in backups
  * Minor release notes fix
  * Imported Translations from Zanata
  * Using /tmp for SECRET_KEY in tests
  * doc: Update middleware API ref to include all middlewares
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev116:
  * Imported Translations from Zanata
* Mon Oct 10 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev115:
  * Imported Translations from Zanata
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev114:
  * Remove unnecessary translate mark
  * Enable release notes translation
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev111:
  * Fix for swift ui displaying infinite folders
  * Update Glance sample policy file
  * Drop the undesired executable bit from non-executable file
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev105:
  * Add deprecation message to run_tests.sh
  * missing action_class in sample code
  * Move browser support wiki page into the docs
  * replace horizon.alert used by client-side with horizon.toast
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev98:
  * Fix a typo in documentation
  * Imported Translations from Zanata
  * Enable volumes metadata update
  * hide check box if need
* Mon Oct  3 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev92:
  * Imported Translations from Zanata
  * Fix typos in contributing.rst & policy.service.js
* Sun Oct  2 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev89:
  * Updated from global requirements
  * Imported Translations from Zanata
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev86:
  * Imported Translations from Zanata
  * Remove unused line from local_settings.py.example
  * Fix unnecessary bullet point
  * A following up patch for 'Added the pagination info at top of the table'
  * Add volume snapshot to boot source description
  * Turn on docs warning check in document generation
  * doc: Do not generate no source code reference
  * Fix docstring warnings
  * Fix warnings in devref document
  * test: Use appropriate test data in VolumeViewTests
  * i18n: Avoid string concatenations to make translation life happier
  * Server-side filtering for Instances (Project/Admin)
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev63:
  * Topology filter out non tenant ports
  * Updated from global requirements
  * Fix a typo
  * [Trivial]remove unnecessary commna
  * Fix tox cover to not fail
  * Updated from global requirements
  * Behavioral fixes to Magic-Search
  * Fixed serial console not appearing in horizon
  * Imported Translations from Zanata
  * Fix Container details styles
  * i18n: Add Indonesian to the language list
  * Fixed inconsistent names set for BatchAction
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev41:
  * Imported Translations from Zanata
* Tue Sep 27 2016 igarcia@suse.com
- Add missing "WSGIApplicationGroup %%{GLOBAL}" to the apache conf
- Add missing "WSGIProcessGroup horizon" to the apache conf
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev40:
  * Imported Translations from Zanata
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev39:
  * Fix Launch Instance without Cinder
  * Remove duplicated inappropriate 'translate' tag
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev35:
  * Added the pagination info at top of the table
  * Move Developer enabled/ files to contrib
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev31:
  * Updated from global requirements
  * Multiple integration test fixes
  * Fix the exapmle of how to use customization_module
  * Fix metadata removal
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev25:
  * Fix the wrong usage of assertTrue
  * Display the right floating ip on LB disassociation
  * Move past release notes under doc/ to releasenotes/
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev21:
  * Fix the collection of integration tests artifacts
* Tue Sep 20 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev19:
  * Fix compatibility issues with Django 1.10
  * Quota cleanup of dynamic methods
  * Fix getting the images list in Admin->Images
  * Imported Translations from Zanata
  * Edit unclosed div tag
  * Replace 'assertTrue(a in b)' with 'assertIn(a, b)'
  * Fix jasmine test failures due to missing ngRoute, schema-form dep
* Mon Sep 19 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev7:
  * Imported Translations from Zanata
* Sat Sep 17 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev6:
  * Update reno for stable/newton
  * Imported Translations from Zanata
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0rc2.dev3:
  10.0.0.0rc1
  * Allow translator to control word order in delete confirm dialog
  * Updated from global requirements
  * Imported Translations from Zanata
  * Support for Glance v2
  * Add the new device owner flag for HA router interface
  * Ability to delete network items from their details page
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev142:
  * Update admin filter first setting to a dict
  * Imported Translations from Zanata
  * Server-side filtering for Identity
  * Remove the lowercase case boolean type in heat param_type
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev135:
  * Imported Translations from Zanata
  * Do not embed unsafe content
  * Imported Translations from Zanata
  * Replace table row 'status_unknown' class with 'warning' class
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev129:
  * Imported Translations from Zanata
  * Allow magic search to be initialized by an event
  * Modify use of assertTrue(A in B)
* Sun Sep 11 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev124:
  * Fix typo in Keypair creation in Launch Instance panel
  * Imported Translations from Zanata
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev121:
  * Fix five typos
  * Cleanup setProperties in image module
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev117:
  * standardize release note page ordering
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev115:
  * Add material theme icon for star outline
  * Add material mapping for filter icon
  * Incorrect Test Data of Pool2
  * Update action for namespaces table public/protected attributes
  * Imported Translations from Zanata
  * A follow up patch to #1570510
  * Add message for a result of update metadata
  * All Table Templates should support template overrides
  * Hide nav in workflows if only one tab
  * Preview Page: Default Theme: Content Horizontally Scrolling
* Wed Sep  7 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev98:
  * Imported Translations from Zanata
  * Add Python 3.5 classifier
  * Implement admin_filter_first setting in Admin>Volumes
  * The neutron policy file is out of date. This patch updates it to match neutron master
  * Server-side filtering for admin volumes
  * fix table delete bug & collect table events
  * Fix attribute email doesn't exist error in group panel
  * Improve security rule notification message
* Tue Sep  6 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev84:
  * Fix comment typo
  * Enable Python 3.5 testing and fix tests
  * Fix error detection in horizon test suite
  * Deprecate LBaaS v1 dashboard
  * Add releasenotes for bug #1161144
  * Check if volume type encryption is enabled before retrieving the data
  * FixedFilterAction.categorize: Make variable name generic and explain more in docs
  * Update create volume help text for angular workflow
* Mon Sep  5 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev69:
  * Update comment in _10_set_custom_theme.py.example
  * Imported Translations from Zanata
  * Fix for  typo in Horizon
* Sat Sep  3 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b4.dev65:
  * doc: Use "warning" directive instead of "important"
* Fri Sep  2 2016 tbechtold@suse.com
- Update to version horizon-10.0.0.0b4.dev63:
  * Escape backslash in the angular_escapes filter
  * horizon documentation corrections
  * Hard-code stubbed novaclient api_version to 2.1
  * Imported Translations from Zanata
  * Fix document sphinx error and warnings
  * rename LaunchInstanceModal spec describe function
  * Add rel note and example for TOKEN_DELETE_DISABLED
  * Revert "Escape blackslash in the angular_escapes filter"
  * [TrivialFix] Ignore node_modules while we run flake8 test
  * remove unused quotas code
  * Implements filter_first in routers
  * Documentation for translation in horizon
  * Display username/project during password request
  * Updated from global requirements
  * Imported Translations from Zanata
  * [Trivial]Fix the number that failed to delete in swift
  * Escape blackslash in the angular_escapes filter
  * INSTANCE_LOG_LENGTH is missing from local_settings.py.example
  * Implements filter_first in networks
  * Fix the parameter name in "allowed" function in "RestoreBackup" class
  * Correct documentation around upper-constraints changes
  * Imported Translations from Zanata
  * Incorrect param name in api.nova.server_delete
  * Fix unnecessary requests in angular image panel
  * Fix the issue workflow filter do not show all users
  10.0.0.0b3
  * Fix intermittent integration test failures related to messages
  * Updated from global requirements
  * Imported Translations from Zanata
  * Project Creation from within Create User should work
  * hz-field-directive handle no value property
  * Fix various issues with compressed angular templates and plugins
  * Add a parameter fixed ip when creating a port
  * Add release note for package updates
  * Server-side filtering networks
  * Final changes to Angular Images before making default
  * Fix the parameter name in "allowed" function in "DeleteBackup" class
  * Imported Translations from Zanata
  * Update create/edit image help text for angular workflow
  * Use upper constraints for all jobs in tox.ini
  * Update the xstatic release process
  * Implement file update (edit) in Swift UI
  * Updated from global requirements
  * Supports extra properties in project and user
  * Imported Translations from Zanata
  * Remove a misplaced double quote
  * Updated from global requirements
  * Add filter action to Template Versions tables
  * Prevent long names breaking table layouts
  * Add floating IP panel to admin dashboard
  * Remove admin_filter_first from horizon module to avoid confusion
  * Re-work static_settings to clean up
  * Removed inline_edit functionality for tables
  * Add ANGULAR_FEATURES toggle example
  * Imported Translations from Zanata
  * Update Plugin Registry
  * Fix the loss of JSON types when using multipart/form-data
  * Support project column in admin view of NG images
  * Updated from global requirements
  * Syntactic sugar for setting multiple properties in registry
  * Add unit tests to edit-image to improve coverage
  * Angular: Configuration of boot sources for launch instance
  * Remove Orchestration Resource Types names restriction
  * Show wait spinner after submit of wizard modal
  * Fix AttributeError in context_selection.py
  * Fix typo
  * Fix typo in keystone_data.py
  * Update the home-page in setup.cfg
  * Enable Angular Image panel
  * [Django] Allow to upload the image directly to Glance service
  * Fix order of arguments in assertEqual
  * Remove router rules extension
  * Add ANGULAR_FEATURES setting dict
  * Imported Translations from Zanata
  * Restrict user private network cidr input
  * Add more Nova API features for NG Instances
  * Add Try/Exception block to Network Forms
  * modify the home-page info with the developer documentation
  * Updated from global requirements
  * Pre-test hook for integration tests/deprecated
  * Imported Translations from Zanata
  * Server-side filtering routers
  * Error in cinder quota RESTful api
  * [NG] Enhance Create Image workflow with upload tracking
  * Imported Translations from Zanata
  * Use argparse instead of optparse
  * [NG] Support local file upload in Create Image workflow
  * Add HTML lists to preview page
  * Do not send shared param when not allowed
  * Add Apple OS X ".DS_Store" to ".gitignore" file
  * Imported Translations from Zanata
  * Remove openstack/common from the exclude list of flake8 in tox
  * add translation and cleanup resource-browser-item.html
  * allow hiding help-button for first ng workflow step
  * UX: System Information Overflow Fail
  * Make 'switch' between legacy and Angular Images
  * UX: Add IPSec Policy Modal Hint List is hard to read
  * Updated from global requirements
  * Imported Translations from Zanata
  * Update Django 1.10 tox env
  * [Django 1.10] Fix urls.url wrong call
  * Remove embedded CSS
  * Horizon Radio Buttons are now themeable
  * Allow global actions to execute
  * Add Angular Schema Form
  * hz-images have transitional states defined
  * hz-resource-table handles transitional states
  * Imported Translations from Zanata
  * Horizon selects are now themable: DynamicTypedChoiceField
  * The sidebar caret should spin correctly
  * Do not allow spaces as key pair name
  * Fix missing 'THEME' key
  * Allow listFunction extra params
  * Revert "i18n: trim whitespaces in extracted messages"
  * [Django 1.10] Fix URL patterns again
  * Imported Translations from Zanata
  * Style: Update Image Metadata overflow fail Style: Host Aggregate: Update Metadata overflow fail
  * Fix unit test indentation and the test itself
  * Fix untranslated help text in Launch Instance window
  * Memoize policy service
  * Horizon selects are now themable: Project Panels
  * Default subnet dns added to create network
  * Correcting form_invalid get_context_data call
  * Fix horizon-without-nova release note
  * Imported Translations from Zanata
  * Update devDependencies in package.json
  * Remove old style policy checks
  * Move get_filters to parent Class
  * Resource Browser links now respect webroot
  * Remove 'default' theme styles
  * Stop memoizing on request argument in neutron api
  * Remove extraneous TODOs from Identity code
  * Remove multi select option on Resource types table
  * No eslint errors in horizon.heattop.js
  * No more braces-style eslint errors
  * NG Images Create Volume should use constant from images.module.js
  * [Django 1.10] Fix get_form uses kwargs
  * cleanup for ng create volume workflow
  * Navigational Breadcrumb should have contextual class
  * Fix project name refresh in project menu bar
  * No lock required for reading secret key
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev103:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
  * hz-dynamic-table: Column level permissions
  * Update Plugin Registry
  * Remove array metadata when no items + fix case
  * Imported Translations from Zanata
  * Ignore the test_report of integration test in .gitignore
  * No more no-unneeded-ternary eslint errors
  * Branding: Detail Actions need Context
* Fri Jul 29 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev87:
  * Developer Registry Resource Browser
* Thu Jul 28 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev85:
  * Embed support for external data sinks into api.glance
  * No more no-extra-parens eslint errors
  * Allow ngdetails path to contain '/'
  * Allow wiring of <hz-dynamic-table> into <transfer-table>
  * Revert "Router namespace not created in controller"
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev75:
  * Modified columns names in Admin->Hypervisor
  * Add missing fields to Router Details page
  * Allow horizon to function without nova
  * Imported Translations from Zanata
  * Fix for cinder api memoize issue
  * Imported Translations from Zanata
  * No more block-scoped-var eslint errors
  * No more space-in-parens eslint errors
  * Angular LI:Make sure we always get all limits
  * [Django 1.10] Remove old style URLS
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev60:
  * Cleanup the toastService in *.spec.js files
  * Fix create container modal style
  * Metadata definitions table with pagination shows inconsistent data
* Fri Jul 22 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev56:
  * Updated from global requirements
  * fix magic search bug
  * [TrivialFix] Hide expand in angular table if we haven't setSummaryTemplateUrl
  * Image uses hz-property for its drawer information
  * Imported Translations from Zanata
  * Fix jasmine tests failing due to missing ng-file-upload dep
  * Pay attention to Nova disabled quotas defined in a config file
  * Choose a server group when booting a VM with NG launch instance
  * [TrivialFix]Remove the redundant required=True
  * Fix show/hide password when clicking password icon
  * Angular direct service access
  * Adding hz-resource-property/-list and filter/value retrieval
  * Imported Translations from Zanata
  * Delete the useless API of heat
  * Material theme form errors - fix red text on red bg
  * Fixes issue where metadata is always removed on edit
  * Modify "Edit Flavor" action
  * Correct reraising of exception
  * Enable tox to run the subset test cases
  * [TrivialFix] Use more appropriate variable name
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev22:
  * Imported Translations from Zanata
  * Remove the wrong method from MigrateMaintenanceHost
* Fri Jul 15 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev19:
  * Documentation and other improvements for registry
  * Updating MDI todos
  * Revert "Prevent creation of subnet via RBAC during new network creation"
  * Fix Django route for swift ui with folder path
  * Material: Progress Bars should allow text
  * Containers/Swift has unneccesary padding
  * stop memoizing on request argument in cinder api
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b3.dev6:
  * Pre-populate the Angular template cache and allow template overrides
  * Document additional release process for xstatic
  * Imported Translations from Zanata
  10.0.0.0b2
  * Do not import local/enabled when to run test
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b2.dev324:
  * Imported Translations from Zanata
  * Maximum/Total value now included as variable in msgid (i18n)
  * Magic-Search isn't rendered unless config is ready
  * Fix the issue that it cannot do a policy check correctly
  * Correct the description for "Update Group" form
  * Add Django 1.10 tox env
  * Data Table Actions need context
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b2.dev310:
  * Remove unused LOG
  * Updated from global requirements
  * Imported Translations from Zanata
  * Instance Size (flavor) column is sortable when it should not
* Sat Jul  9 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b2.dev303:
  * Imported Translations from Zanata
  * i18n: trim whitespaces in extracted messages from AngularJS templates
* Fri Jul  8 2016 aplanas@suse.com
- Add missing angular-fileupload requirement
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version horizon-10.0.0.0b2.dev299:
  * Trivial fix to multi-domain description text
  * Fix heat TemplateForm glance.image sizeformat error
  * Changed auth_url in api/nova.py to point to keystone
  * Modified modal error message to display properly when present
  * Add "data_required=True" check into heat rest api
* Thu Jul  7 2016 aplanas@suse.com
- Update to version horizon-10.0.0.0b2.dev290:
  * Imported Translations from Zanata
  * Modify hz-cell to use hz-field
  * [TrivialFix]Use the right indent for MigrateHostView
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Use "isspace()" to make code more simple
  * Take shared subnets into account for quotas
  * Imported Translations from Zanata
  * Fix handling of swift object name == pseudo-folder name
  * Fix constant redirect on missing container name
  * Updated from global requirements
  * Use absUrl, so WEBROOT isn't ignored on redirect
  * Imported Translations from Zanata
  * Fix Magic Search Width Problems
  * Preview Page: Material: Code Icon fix
  * Registry-based client/server-side faceted search
  * Preview Page: Themable Checkbox should have different label
  * Preview Page: Form: Everything shouldn't say Legend
  * Add themable selects to the theme preview page
  * Imported Translations from Zanata
  * Fix typo 'occured' -> 'occurred'
  * Implement Manage Attachments in Instances
  * Added correct cursor to components without the href attribute
  * Imported Translations from Zanata
  * Show name_or_id when router name is white space
  * Do not allow "white space" as name field value
  * Add warning when falling back to insecure key generation
  * Place Create Image in global actions, not batch actions
  * Correct IP Proto sec group rules help txt
  * Returning a tuple instead of list in list_extensions
  * Addition of metadata for snapshot in VolumeSnapshot object
  * Never import setting from openstack_dashboard
  * Imported Translations from Zanata
  * Second endpoint type default is not None
  * Register Neutron Floating IP and Security Group names
  * Allow metadata to be shown whether v1 or v2 glance data (NG)
  * Set an empty string for no volume type directly
  * Provide help-text capability for server-side filter choices
  * Fixes JS linting error
  * Add valuable exports to openstack RC file download
  * Add units in overview project page (limit summary)
  * Imported Translations from Zanata
  * Updated from global requirements
  * Implement admin_filter_first in Instances and Images Admin Views
  * Fix some spelling mistakes in horizon
  * Imported Translations from Zanata
  * Line chart hover bubble unreadable
  * Fix dropdowns sometimes not opening in integration tests
  * Add "Cancel" button for "Add static route" form
  * Add Line Charts to the Theme Preview Page
  * Modals should inherit from the theme
  * Improved table deletion efficiency
  * Updated from global requirements
  * Using registration for auto-generation of Image feature
  * Adding Identity NGProjects API
  * Use ng-file-upload to simplify JS API calls that upload files
  * Imported Translations from Zanata
  * Fix hz-dynamic-table formatting for magic-search and actions
  * Add check whether nova is enable or not in aggregate panel
  * Add a condition whether displaying the link jump to Encryption page
  * [Trivial] Add required=False to router name in Create Router
  * Imported Translations from Zanata
  * Relocated error message to associated field and corrected grammar
  * Fix css class for cancel button on metadata modal
  * Trivial: Remove unused 'horizon.app.core.images.events'
  * Imported Translations from Zanata
  * Add Angular Project Volumes Panel
  * Add support for volume consistency group snapshots
  * Update Horizon for Angular 1.4
  * Modify warning message
  * Show instance lock/unlock actions based on the locked status
  * Escape angularjs templating in unsafe HTML
  * Clear confusing annotation in rest create_user
  * Fix port validator
  * UX: Remove duplicated view title under Settings section
  * Change from client filter to server filter in metadata page
  * Updated from global requirements
  * Register Image Names via .setNames()
  * Fix coverage post job
  * Adding resource panel and table features
  * Updating heat policy file
  * Define Magic Search Event Constants
  * Change default timeouts in integration tests
  * Refactoring of network details pages
  * Horizon selects are now themable: Admin Panels
  * Modify exception message style according to i18n guidelines
  * Imported Translations from Zanata
  * Add Try/Exception block to Networks Table
  * Update .gitignore for JetBrains(PyCharm) users
  * Remove redundant conditional expression
  * Imported Translations from Zanata
  * make toggle buttons look consistent on ng modals
  * Stop memoizing on request arguments in nova api
  * Table Column Sorting icons should inherit from theme
  * Updated from global requirements
  * Add help text to some DeleteAction
  * Fix wrong data type of subnet_availabilities_list
  * ICMP type & code validation while adding Security Group rules
  * Live migration auto schedule new host
  * admin permissions depends on OPENSTACK_KEYSTONE_ADMIN_ROLES
  * Migrate swift ui to use hz-dynamic-table
  * Hotfix the issue with too new Firefox version
  * modified filter tab name for images shared by projects
  * docs: Remove version from example
  * Docs: Do not mention POT files
  * Imported Translations from Zanata
  * Horizon selects are now themable: Launch Instance
  * Prevent creation of subnet via RBAC during new network creation
  * Make sure we always get all limits
  * Enhance policy rules to workflow actions
  * Make the date input box more neatly
  * Imported Translations from Zanata
  * Modified Instance Form Submit behavior
  * Angular LI Required Icon isn't Brand Primary Color
  * Exclude networks with no subnets angular
  * Implement video capture for failed tests
  * Imported Translations from Zanata
  * Improvements to hz-dynamic-table
  * Handle non ASCII tenant names gracefully when downloading RC file
  * updating keystone policy file
  * Updating nova policy file
  * In integration tests prevent getting volume size too early
  * API for getting and updating quotas
  * Validate minimum RAM for snapshot source
  * Prevent duplicated ips on network topology
  * Menu icon doesn't show in Resource Usage page
  * Add Network IP Availability Extension
  * Imported Translations from Zanata
  * Fix JS error when loading metadata modal
  * Updated from global requirements
  * Make error message in modal a unified style
  * Deprecate the OPENSTACK_TOKEN_HASH_ENABLED option
  * Default theme lacks support for dropup menus
  * Add missing unit tests to NG launch instance
  * Do not run exception handlers if test was skipped
  * Theme Preview Page should include form-inline
  * Updated from global requirements
  * Relax hz-table parent requirement
  * getIdsOfType now returns all ids if type undefined
  * Add Try/Exception to Extension Supported call in Ports
  * Flavors row level actions integration tests
  * Horizon selects are now themable: Identity Panels
  * Allowing non-ASCII characters for Security Group names
  * Output JS Karma test coverage reports to ./cover/
  * Added safety check to initActions so unregistered types pass
  10.0.0.0b1
  * Remove redundant conditional expression
  * Pure project admin can't view Projects page
  * Set some useful default values with the new launch wizard
  * Horizon selects are now themable: Volumes
  * Delegate tearDown logic to addCleanup method
  * Adding generic table extensibility
  * Fix untranslated strings and adding icon to OK button
  * Use Magic-Search for Security Groups step in Launch Instance
  * Correcting detail-row logic to not disrupt styling
  * Panel static finder
  * Reduce the default date range on Overview panel to 1 day
  * python 3.4 support for urlparse
  * Add router L3 agent info to info page
  * Imported Translations from Zanata
  * Updated from global requirements
  * Remove admin role name 'admin' hardcode
  * Pass page_url instead of whole request to render
  * Add support for detail actions
  * Updating package.json / npm packages
  * add 'x' dismiss button to simpleModal
  * Hide 'Back' and 'Next' button if the number of step is 1
  * Add feature to log operations of users to Horizon
  * Move out integration tests scaffolds from Horizon production code
  * Fix Keystone version suffix when Keystone webpath is present
  * Remove memoize that holds connections open
  * Improve system info page
  * Update the links of django docs to dev version
  * Make the volume transfer name field required
  * Images uses generic/extensible details views
  * Use 'label' rather than 'button' for buttons in Edit Image
  * Updated from global requirements
  * Temporarily disable the most problematic integration tests
  * Add scrolling to the projector selector
  * Updates horizon's copy of the cinder policy file
  * Adding warning to Launch Instance when no availability zones
  * Fix small typo
  * Updated from global requirements
  * fixed row update of vpn table
  * Use upper-constraints in tox test environments
  * Fix the issue that delete actions are unclickable
  * Support update volume type public status
  * Use 'trimmed' for blocktrans with multi-line contents
  * Use 'Delete Instance' rather than 'Terminate' in legacy topology
  * Django compressor cannot find custom theme templates
  * Updated from global requirements
  * Add module ngFileUpload as a dependency to main horizon.app module
  * Don't attempt to list the "folder" contents of Swift objects
  * Disabling warnings of 'quote-props'
  * Add *args, **kwargs to ModalBackdropMixin's init method
  * Angular pages will reload if collapse/expand sidebar
  * Fix untranslated strings in ng-instance
  * Remove unnecessary help-panel in import keypair modal
  * Refactor Orchectration Stacks menu
  * Magic Search inline doc cleanup
  * Added tests for edit image description and name
  * Added tests for Identity Groups
  * Remove unnecessary default-sort/ default-sort-reverse from hz-table
  * Added integration tests for Admin > System > Defaults Panel
  * Define row in cell_getter before check cell status
  * Provide an integration test for dynamic themes
  * Use JQuery promise/deferred objects to track AJAX
* Fri May 20 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev311:
  * Updated from global requirements
  * Whitelist 'rm' in pep8 tox environment
  * Add policy checks in images panels
  * Add recursive deletion to Swift UI
  * Modify default sort in flavor table in ng-instance
* Thu May 19 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev302:
  * Fix doc build warnings and errors
  * Preview Page: Modal location is off
  * table-detail (Angular) tables correct problem with row striping
  * Improve field name in User Detail
  * Trivial: Change message level from warning to info
  * Generic details display framework
  * Don’t error if dhcp_agent_scheduler not enabled
* Wed May 18 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev288:
  * UX: Misaligned OpenStack Logo
  * Adding old topology to compliment new
  * Fix issue with some modals are missing backdrop
* Tue May 17 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev284:
  * [TrivialFix]Remove duplicated OS::Nova::Flavor registration
  * Imported Translations from Zanata
  * Ensure horizon configurations could be customized
* Mon May 16 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev278:
  * Add OS::Nova::Hypervisor display name registration
  * Remove deprecated default_*_subnet_pool options
* Sun May 15 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev274:
  * Angular Table Directive cleanup
* Sat May 14 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev272:
  * Updated from global requirements
  * Adding admin lookup of routers per l3 agent
  * Change Metadata Display widget to case insensitive
  * rename link "Download key pair" to "Re-generate key pair"
  * Bypass get_domain call to keystone api
* Fri May 13 2016 tbechtold@suse.com
- Update to version horizon-9.0.1.dev264:
  * allow hiding ng help-button for workflow steps
  * Use correct casing on jQuery
  * Imported Translations from Zanata
  * Adding Create Image Action to angular images panel
  * Fix existing metadata display in metadata widget
  * Tutorials related to class Meta should use new style
  * Add release notes for hz-dynamic-table directive
  * Update tox.ini for pot files not in tree
- Don't install .pot files. No longer shipped upstream.
* Thu May 12 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev249:
  * In integration tests wait 1 second after changing the password
  * Fix key import in angular Launch Instance
  * Cleaning up lint warnings for Image work
* Wed May 11 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev243:
  * Updated from global requirements
  * Simplify "Instance Count" verbiage
  * Added 'help_url' example to local_settings.py
  * Trival: correct the 'View Credentials' icon
  * Moved table action tutorial under tutorials
  * Add semantic markup to Project Overview page
  * Fix file upload not setting content-type correctly
  * Heat Template Versions panel
  * Upgraded eslint-config-openstack to 1.2.4
* Tue May 10 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev225:
  * Add allowed address pair extension UI for neutron ports
  * [TrivialFix] Rename run_tests.py to run_tests.sh
* Mon May  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev221:
  * Fix translation test
  * Use breadcrumb nav across Horizon
  * Adjust width so as not to be hidden by "help element”
  * Images tables uses action promises
  * Horizon selects are now themable: Table Actions
  * [Trivial] Wrong policy for Heat resource type details
  * Updated from global requirements
  * Removing unnecessary Angular Image files
  * Imported Translations from Zanata
  * Choose a server group when booting a VM
  * Edit Extra Spec Value Fail
  * Removed vestigial Magic-Search bar
  * [trivial] Add comma symbol to avoid misunderstanding
  * removing httplib2 test dependency
  * Add support for default dns for subnet
  * Further Theming fixes for Launch Instances
  * Updated from global requirements
  * Improve Volume selection handling in LI
  * Instance Detail Console Error is not consistent
  * Initial Clean Up Old Styles in _debt.scss
  * Angular Table Directive
  * Fix js error when updating associations of metadata
  * Improve Router integration tests coverage
  * Many dropdown actions are white text on white background
  * Enhances tox to not rely on run_tests
  * Provide integration test for managing a project's members
  * Add download button for volume transfer creds
  * Fix themable checkbox error state
* Mon May  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev168:
  * Remove broken "link" type action
  * Tutorial for extending a workflow
  * Add filter function on resource type table
  * Fix babel msgids to include tag attributes and entities
* Mon May  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev160:
  * Add Charts to Preview Page
  * Imported Translations from Zanata
  * Wait for user menu items to become visible before clicking them
  * Imported Translations from Zanata
* Mon May  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev153:
  * Fix the issue help_text is not translated in User Setting
* Mon May  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev151:
  * Attach test logs individually for each test
  * Default SESSION_ENGINE is not Local memory storage
* Mon May  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev147:
  * Security group add/delete rules integration tests
  * Fix incorrect breadcrumb on Admin > Details
  * Move magic-search bar out of the smart-table structure
  * Fix pre_test_hook fail and sidebar menu fail
  * display error message below form element
  * Remove unnecessary files on Create Network
  * Check that row is defined when wait cell status
  * Improve error message of when Conflict error occur in ng-swift
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev133:
  * Removed "Disable user" from dropdown menu for self
  * Net topology: Show console link only when useful
  * Allow local/enabled panels to order relative to enabled panels
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev127:
  * Added test for check stacks creation and deletion functionality
  * Added test remove protected image
  * [doc] fix syntax error in "Installing Horizon"
  * Fix tests broken by novaclient 4.0.0 release
  * Imported Translations from Zanata
  * Template loaders defined before local settings
  * Remove redundant line to open login page
  * Allow delete servers in error state
  * Fix workflow bug in "Create Network" dialog
  * Fix RST formatting errors
  * Added a warning message if User Name is empty
  * Support scheduler hints when launching instance
  * Added tests for check RC files from API Access page
  * Create Subnet missing cancel button
  * Add test for volumes attach/detach
  * Fix doc build if git is absent
* Tue Apr 19 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev97:
  * Imported Translations from Zanata
  * Sync segmentation ID ranges with Neutron
  * Add Geneve support
* Mon Apr 18 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev91:
  * Remove PYTHONHASHSEED=0 from tox
* Sun Apr 17 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev90:
  * Updated from global requirements
  * Add network types used by midonet
* Sat Apr 16 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev87:
  * Adding Edit Image Action to angular images panel
  * Fix explicit waiting if instance has error status
  * Fix longtime tests
  * Angular vs. Django Table Danger Button Inconsistency
  * Update JS dev dependencies
* Fri Apr 15 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev77:
  * Added update image metadata test
  * Change Registry Label for Server to Instance
  * Set description field as required for nova-network
  * Make neutron provider network configuration more flexible
  * Use InAnyOrder for role creation mocks
  * Tests for images filtering are added
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev67:
  * Updated from global requirements
  * Added test for check launch volume as instance functionality
  * Branding: Table Action dropdown hovers theme issue
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev63:
  * bump eslint version to 1.10.3
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev62:
  * Use Chrome for JS unit tests
  * Added router set/clear gateway test
  * Add test for check router create, edit, delete from Admin page
  * Documentation on translation support in horizon plugins
  * Reduced the left padding value on alert message
  * Refactor some table rows  & cells waits in i9n tests
  * Adding Ceilometer Alarm API
  * Improving find  static robustness
  * Heat topology display improvement
  * Fix misleading  message in Update Metadata Form
  * Typo corrections in run_tests.sh  comments
  * divides  "import" statement in a url.py
  * Adds support for passing extra tenant attributes to keystoneclient
  * Corrected  misspelled method in horizon documentation
  * * Removes instance ID from create volume snapshot   Fixes launchpad bug #1039080 * Changes volume id to name in volume snapshot   Fixes launchpad bug #1039082
  * Update openrc.sh to work with latest novaclient   * fixes bug 951919
  * Novaclient for usage features.  Kill openstackx
  * Implementing instance count field in launch form.   * fixes bug 905061   * Allows for launching multiple instances at once
  * python-keystoneclient has moved from 4P to openstack.  Update the reference
  * Remove the keystone admin auth hack.  Handle condition when no valid tenants returned gracefully
  * in production, I've seen that vcpus can sometimes be null for compute hosts that do not initialize properly.  this prevents /syspanel/ from croaking in that case
  * use a separate admin_server_list call to retrieve  instances in syspanel.  In syspanel, all instances should display, while in dash only the current tenant's instances should display
  * add default OPENSTACK_KEYSTONE_DEFAULT_ROLE='Member'.  You must also make sure that this role exists in keystone: ./keystone-manage $* role add Member
  * Fixed problem with swift copy object trying to instantiate swift api when imported.  Moved to __init__ to only make the call when necessary
  * Unit tests for dashboard container views.  Includes support code for future view tests
  * Added copy support for swift objects.  Can now copy an object within a container or to a new container
  * Last function tested.  Unused function dropped
  * This is clever.  Perhaps too clever
  * assorted cosmetic and ergonomic changes:  Group terminated instances on user dash.  Don't require keypair
  * Added empty stub for models to avoid django bug.  Zero tests now run
  * Remove hacky post_save short-circuit.  Post_save tests to follow later
  * Internationalized the dashboard so that users who have nova running in other languages can select a dashboard UI language to match.  Translated all the strings (Localized) into Japanese & tested in English and Japanese.  Created empty translation files for other languages but did not perform translation
  * One test failing.  Need to become a Mox Guru to make it pass
  * Tests for credentials authorization model.  Also change testsettings to not rely on a magic string, instead rely on None object
  * Add logging throughout django-openstack, mostly informational code-tracing and logging of error conditions.  Add middleware to openstack-dashboard to log uncaught exceptions along with tracebacks for them.  Updated local_settings.py to give basic idea of how to silence logging for various modules if not desired
  * instances logged.  Some trivial whitespace changes
  * Fix import order.  Add logging to images.  Some todos and notes in exceptions and shortcuts that need to be addressed
  * Slight change to location/naming of logger.  Remove some unnecessary debug logs. Finish nova/views/admin.py
  * Fix run_tests.sh to return non-zero exit status when test cases fail.  run_tests.sh currently only returns the exit status of the openstack-dashboard tests, ignoring the exit status of the django-openstack tests
  * Updates check_dependencies to properly report error messages when easy_install and virtualenv are both missing, and add in an attempt to install virtualenv using easy_install before giving up.  Better error messages and error typos fixed
  * Makes existing messages for check_dependencies more clear.  output for later steps already clear
  * Refactored django-nova into django-openstack.  This will allow additional OpenStack modules to be supported
  * This branch adds the instance 'display name' (nickname) to attach the attache volume to instance form
  * Fix for Bug #761913.  I made the python version string in the install script dynamically set to the version that was used to create the virtualenv. Tested with Python 2.6.6. and Python 2.7.6 on Ubuntu 10.10
  * change message when attach message sent to compute host.  change the default, as ephemeral disks (depending on instance since, like m1.medium) may be available at /dev/vdb
  * Simplified the logic around whether a user can modify images.  It needs to be refactored again but it was very broken in its current state
* Tue Apr 12 2016 tbechtold@suse.com
- Update to version horizon-9.0.1.dev52:
  * Guard against instance row being displayed slowly in i9n tests
  * Add event broadcast to table row expansion
  * Add help text to image creation fields in Horizon
  * Make i9n tests correctly recognize the deletion of a last row in a table
  * Update URLs to Django 1.8+ style
* Mon Apr 11 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev44:
  * Pass environment data to update stack action
  * Fix the issue which redirect to Not Found page
  * Image create "Copy Data" checkbox wrong label
* Sun Apr 10 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev40:
  * Fix remaining Django 1.9 test failures
  * Fix batch action buttons state loosening
  * Remove the DeleteInstance action unused name and classes
  * Add strip() to filter string in instances
  * No unit test coverage for code related to Flavors
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.1.dev33:
  * Fix Selenium Tests
  * Fix time in Nova test data
  * Imported Translations from Zanata
  * NG launch instance: Clear fileInput value on text change
* Fri Apr  8 2016 tbechtold@suse.com
- Update to version horizon-9.0.1.dev29:
  * Tests for instance filtering are added
  * Fix new Swift UI to work with Ceph backend
  9.0.0
  * Added test for check instances pagination functionality
  * Imported Translations from Zanata
  * Fixing updating user with no default project
  * Imported Translations from Zanata
  * Fix opening multiple Launch Instance during jQuery table polling
  * Separate subnets tests from networks tests file
  * Imported Translations from Zanata
  * Using LOG.warning replace LOG.warn
  * Imported Translations from Zanata
  * Hide project switch menu when project is disabled
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Do not cache templates in DEBUG mode
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update .gitreview for stable/mitaka
  * Added tests for check change volume functionality
  * Added test for check Edit Consumer of QoS Spec functionality
  * Prevent 'Detach Interface' action if an interface is not attached
  * Refactor DataTable filtering functions into mixin
- Drop 0001-Reorder-template-loader.patch . No longer needed.
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev68:
  * Update the Administrator guide link with new one
  * Disable all actions while performing action
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev65:
  * Fixing the deprecated library function
  * Optimize "open" method with context manager
* Mon Apr  4 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev63:
  * Prevent transfer tables expanding out of modal
  * Refactor of BaseTestCase
  * Fix CheckBoxMixin:is_marked behavior
  * Fix some trivial errors in plugin.rst
  * Set mandatory fields
  * Fix typos in Horizon files
  * fix-legend-overflow
* Thu Mar 31 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev51:
  * Make no response notification(msg) level to INFO
  * Removes some redundant words
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev47:
  * Imported Translations from Zanata
  * Duplicate help message in metadata tab
  * Change the super argument to use the current class
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev43:
  * "Clear Selection" is unlocalzed
  * Fix opening multiple Launch Instance during jQuery table polling
  * Fixing updating user with no default project
  * Add trace to integration gate scripts
  * Port list check is missing for LBaaS Add Member
* Mon Mar 28 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev34:
  * Added test for image create from local file
  * Follow up on detail title fix
  * Horizon support for Heat template versions
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev29:
  * Cleaning up eslint warnings in the openstack-service-api directory
  * minor ng launch instance cleanup - remove unused css styles
  * Cleaning code to remove eslint warnings from Launch Instance
* Fri Mar 25 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev24:
  * Fixes truncated string in details overview table
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev22:
  * Fix the link of Django logging directive
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev20:
  * Imported Translations from Zanata
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev19:
  * ng Launch Instance wizard, constant cleanup
  * Keep row 'data-display' attr up to date after inline editing a cell
  * Fix bad/inefficient API call for JS getImage()
  * More documentation on writing i9n tests
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev12:
  * Delete repeated column 'enabled' in users table
  * Auto-detect in i9n tests which row action to bind to
* Mon Mar 21 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev10:
  * Fixing test cases
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev9:
  * Imported Translations from Zanata
  * Doc page not displaying command-line with appropriate styling
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0rc2.dev5:
  * Update reno for stable/mitaka
  * Minor ng containers cleanup
  9.0.0.0rc1
  * Allow Launch Instance (Angular) from Volume Snapshots
  * Adding missing release notes around upgrades
  * Add missing release notes
  * Bootstrap Theme Preview links to sections don't work Edit
  * Make ngcontainers the default Swift UI
  * Fix non-working Angular actions in jquery modified tables
  * Fix empty 'href' in link actions after AJAX actions_update
  * Add Network Port selection to new instance launch
* Fri Mar 18 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev129:
  * Add Horizon support for volume consistency groups
  * Imported Translations from Zanata
  * Hamburger Menu icon - fix the alignment of the animated arrow
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev124:
  * Make region list case-insensitive sorted
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev122:
  * Launch Instance: Metadata should inherit from theme
  * Branding: Create Network should inherit from theme
  * Do not make unnecessary calls to Nova from FIPs and Volumes tabs
  * Imported Translations from Zanata
  * Fix the size of the close icon on delete confirm dialog
  * ngTables should use themable checkboxes
  * Fix 'Manage Volume Attachments' -> 'Cancel' button appearance
  * Magic search shouldn't re-appear after selecting facet
  * Change projects redirects to overview page
  * Add validateUnique form input validator
  * Fix network duplication check logic
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev102:
  * Release Floating IPs should use proper icon
  * Missing default value on horizon.tables Column
  * Imported Translations from Zanata
  * Add ngSwift object actions
  * Add ngSwift container actions
  * Branding: Workflow cancel btn should be themable
  * Add/Fix several Port Details fields
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev91:
  * Login page shouldn't show Required Asterisks
  * Removing whitespace
  * Remove gap in angular table actions menu
  * Missing translate attr in ng Launch Instance
  * Images Actions Return Promises
  * Force line break for detail table cells
  * Fixed Typos in comments
* Mon Mar 14 2016 tbechtold@suse.com
- Update to version horizon-9.0.0.0b4.dev80:
  * Imported Translations from Zanata
  * Angular Policy Caching
- Adjust Requires
* Mon Mar 14 2016 tbechtold@suse.com
- Update to version horizon-9.0.0.0b4.dev77:
  * Imported Translations from Zanata
  * Sync paths in POT files with CI scripts
  * Material theme form errors - fix red text on red bg
  * Form Fields Required Visual treatment is missing
  * changing-fa-icon-to-trash-icon
  * Remove unnecessary translate attribute on Theme preview page
  * Launch Instance Wizard - Avail items count doesn't update
  * Retrieve domain scoped token
  * Disable Glance option to publicize image on Update
- Adjust Requires and BuildRequires
* Fri Mar 11 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev60:
  * Ensure there is checkbox before accessing it's properties
  * Removed unnecessary truncate styles
  * Fix BaseRegion and TabbedFormRegion initialization
  * Remove default event handler from theme switch links
  * Pagination for flavor - prev link
* Thu Mar 10 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev51:
  * Refactor some table rows & cells waits in i9n tests
  * Horizon page-header Margin needs to be smaller
* Thu Mar 10 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev47:
  * Fix legacy drag and drop widgets
  * Optionaly require keypair on ng-launch-instance
  * Imported Translations from Zanata
  * Add function to recreate ec2 credential
  * Added test for check QoS Spec creation and deletion functionality
* Wed Mar  9 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev39:
  * Imported Translations from Zanata
  * Honor comments for translators when extracting messages
  * Use interpolate in JS to allow translators to control word order
  * Fixed a few missed translation strings on Theme preview page
  * Add missing column rxtx_factor to ng flavors table
* Tue Mar  8 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev31:
  * Fix translator word order control in load-edit
  * Add ngSwift containers and objects display
  * Imported Translations from Zanata
  * Remove Horizon scss variables: New Launch Instance
  * Rename a panel name "NGContainers" with "Containers"
  * Updated from global requirements
  * Fix test cases that have no expectations
  * Add test_volume_snapshots_pagination()
  * Allow deleting gateway interfaces on network topology
* Sun Mar  6 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev16:
  * Updated from global requirements
  * Handle Volume launch as instance(NG) in Volume tables
* Sat Mar  5 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev13:
  * Don't force people to security groups after they add a FIP
  * Imported Translations from Zanata
  * Add icon define in _icon.scss
  * local_settings needs 2.76%% more ',' and an '_'
  * Hamburger navigation now sits above containers
  * Deprecate default_*_subnet_pool_label options
  * Reduce lint warnings
* Fri Mar  4 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b4.dev2:
  9.0.0.0b3
  * Enable Angular Launch Instance by default
  * Material Design: New LI Tweaks
  * Imported Translations from Zanata
  * Horizon Checkboxes are now themeable
  * Fixing timezone awareness
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b3.dev447:
  * Fix theming in angular launch instance
  * Material: Selection Menu headers aren't visible
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b3.dev444:
  * Fixing heatclient release compat issues
  * Imported Translations from Zanata
  * Adding Resource Type registration
  * Change "Reboot Hard" to "Hard Reboot"
  * Python table is returning invalid template name
  * Match python/ angular table styles
  * Imported Translations from Zanata
  * Remove Horizon scss variables: $code-font-family
  * Fix an error which cause on Feb 29 in user setting
  * Imported Translations from Zanata
  * Add policy support to workflow steps
  * Remove unused pngmath Sphinx extension
  * Add ngSwift Django Interface
  * Revert "Fix bug at update quota of project's network item"
  * Fix bug with tabs navigation
  * Imported Translations from Zanata
  * Fixed over-application of webroot in disabled image panel
  * Add Swift REST API
  * Disable shared option for non admin users in network
  * Removing unneeded markup from image details page (angular)
  * Add host aggregate create/delete test
  * Added test for check associate/disassociate actions for floating ip
  * Look for volumev2 endpoints instead of volume
  * Tests for volumes pagination are added
* Fri Feb 26 2016 dmueller@suse.com
- Update to version horizon-9.0.0.0b3.dev398:
  * Updated from global requirements
  * Fix documentation of angular modal spinner
  * Material: Sidebar needs to compress responsively
  * Dynamic Themes
  * Add release note for the angular extensible service
  * Amend hz-table-footer documentation and allow optional message
  * Adding features to MagicSearch
  * Updating registry to include some concepts
  * Update example local.conf
  * properly mock cinderclient calls in tests
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update URLs to Django 1.8 style for plugins
  * Improve keypair delete warning message
  * Add some new heat-snapshot-api
  * Trust sql middleware value conversion and stick to the spec type
  * Updated from global requirements
  * Use isCurrentProject in NG images delete action
  * Increase Create Volume Step Coverage NG Images
  * Imported Translations from Zanata
  * Add local_settings.d/ dir for settings snippets
  * Adding resource type registry service
  * Tablecontroller should return only selected items
  * Tablecontroller should use ctrl instead of scope
  * Allow optional default value in noValue filter
  * Imported Translations from Zanata
  * Branding: Horizon close buttons should use icon
  * Maintain order when resolving promise list
  * Running eslint in quiet mode with color
  * Using events to clear table selections instead of scope
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev199:
  * Revert "LocationProvider should be set up on the Horizon App"
  * Use assertTrue/False instead of assertEqual(T/F)
  * Add action for editing instance metadata
  * py3: replace reload with six.moves.reload_module
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev191:
  * Internet Explorer minimum version raised to 11+
  * Add booleanAsPromise to q.extensions service
  * New Preview Page Needs All Input Types
  * LocationProvider should be set up on the Horizon App
  * isoformat instead of deprecated timeutils.isotime
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev182:
  * Use the default `url` tag instead
  * New Preview Page Needs All Sizes of Button Groups
  * Remove inline styles from Preview Page
  * Python 3 deprecated the logger.warn method in favor of warning
  * Use new log style when LOG.error
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev172:
  * Neutron: fix ICMP code and type validators
  * Fix typo s/pane/panel/ and s/javascript/JavaScript/
  * Fix volumes no attribute tenant_name error
* Mon Jan  4 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev166:
  * Clean up horizon.scss - _debt.scss
* Sun Jan  3 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev164:
  * Replace assertTrue(isinstance()) with assertIsInstance()
* Fri Jan  1 2016 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev162:
  * Make it possible to pick False for default stack parameter value
  * Clean up horizon.scss - _contrib.scss
  * Clean up horizon.scss - Flavor Table
  * Make integration tests pluggable
  * Protocol port should be required for LBaaS Add Member
* Thu Dec 31 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev152:
  * Replace assertEqual(None,*) with assertIsNone
  * Wrong usage of "an"
  * Modify description form in Create or Update Image dialog
  * Clean up horizon.scss - Admin Sys Info
  * Excise Trove from Horizon
  * default theme's warning color is not readable
  * Fix no tenant name in admin image panel when UpdateRow
* Wed Dec 30 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev138:
  * Trivial: Remove unused logging import
  * Actions directive should take Service
* Tue Dec 29 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev134:
  * Remove an unused method in admin/hypervisors view
  * Eliminate mutable default arguments
* Sun Dec 27 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev130:
  * Add ability to clear image description
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev128:
  * Misspelling in message
  * Increase default Python socket timeout
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev124:
  * Horizon Messages now inherit from a Bootstrap Theme
  * py3: Replace dict.iteritems() with dict.items()
* Tue Dec 22 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev121:
  * Barcharts now inherit from a Bootstrap Theme
* Mon Dec 21 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev119:
  * Fix Row Action Button styling issues
  * Add handle get_file when launch stack from horizon
* Sun Dec 20 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev115:
  * Set autodismissAlert on each alert
* Sat Dec 19 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev113:
  * Imported Translations from Zanata
  * Remove glance image API release note
  * Imported Translations from Zanata
  * Allow configuration of nova micro-version in the settings
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev106:
  * Security groups page and test for create/delete secgroup
  * Fix 3-components accessors for TabbedTables in i9n tests
  * Quota pages now inherit from Bootstrap Theme
  * Add API services for system information
  * Allow specifying item to use for actions in the actions directive
  * Add missing unit tests for Heat Stacks Details
  * Updated from global requirements
  * Remove arguments "{}" in function definitions
  * Raise JS unit test coverage threshold
  * remove the default arguments "[]"
  * hzIfApiVersion directive to check if api version enabled
  * Use "GiB" and "gibibyte" labels in volume panels
  * Add testr support
  * Fix return value in "Update default quota"
  * Show a toast with success on instance creation
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev78:
  * Skip test_keypair integration test until it's fixed
  * Add integration tests section to testing docs
* Wed Dec 16 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev75:
  * Deprecated tox -downloadcache option removed
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev73:
  * Updated from global requirements
  * Change column order for Orchestration Services table
* Mon Dec 14 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev71:
  * Imported Translations from Zanata
  * Improve readability of Horizon Packaging doc
* Sun Dec 13 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev68:
  * Imported Translations from Zanata
  * Add extensions to $q for resolving all promises
  * Fix duplicate Image URL validation message
  * Add API services for Create a Volume, get QoS and tenant limits
  * Fix the Split button to enable the dropdown toggle
  * Adding tests for ng identity basePath constant
* Sat Dec 12 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev57:
  * Add test for the Heat Service validate method
  * Delete the unused LOG configure code
  * Move Page Layout Styles out of horizon.scss
  * usage.html doesn't need such specific styles
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev49:
  * VPN forms help text could be improved
  * Fix decription for admins Image create modal
  * Added test coverage for toast.service.js
  * Adding download for openrc file for keystone v3
* Thu Dec 10 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev42:
  * Imported Translations from Zanata
  * Removing sahara specific exception ref
  * Move Detail page styling into theme
  * Remove usage of user project caching
  * Remove disabled attribute from select fields on submit
* Wed Dec  9 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev34:
  * Fix Dialogs section ID in theme preview
  * Add Cached loader for templates
  * Add Developer Dashboard + Bootstrap Theme Preview
  * Fix decription for Image create modal
  * Make some volume related quotas translatable
  * Make breadcrumb appear on sec groups and keypair details
  * Add dev docs for SCSS/and styling in Horizon
* Tue Dec  8 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev22:
  * Display user's description in user detail
  * Imported Translations from Zanata
  * Do not use empty description fields
  * Add style to wrap pre tag
  * Try to avoid intermittent test_dashboard_help_redirection failure
  * security group not mandatory to create instance
* Sun Dec  6 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev14:
  * Excising Sahara from Horizon
  * Exclude network which don't have subnet
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev11:
  * Enable strict
  * Fix errors showing in Network tests
  * Fix typo in test data for keystone
  * Horizon Dropdown now inherits from Bootstrap Theme
  * Pass result of submit to wizard modal close
  * Force releasenotes warnings to be treated as errors
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.0b2.dev1:
  * Removing version line from setup.cfg
  9.0.0.0b1
  * Add launchpad link to the plugin registry list
  * Imported Translations from Zanata
  * Make unit testing less reliant on HTML fragments
  * Top Nav shouldn't include giant bottom margin
  * Simplified boolean variable check
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev342:
  * Launch Instance Modal should be exist as a Service
  * Imported Translations from Zanata
  * Replace "Terminate Instance" with "Delete Instance"
  * Add symbol equal "=" in several filter texts
  * Fix for the broken header's dropdowns for both v0.11.2 and v0.13
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev333:
  * Add API to Create/Update/Delete Images in Glance
  * Disable angular wizard finish button when clicked
  * Improve release notes guidance - single patch
  * Networks tab does not show external configuration
  * Enable eqeqeq
* Tue Dec  1 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev323:
  * material theme close icon isn't showing up
  * REST API to Get a Volume and Volume Type(s)
  * Remove data-type and sort from flavor column
  * Change Permanent Cookie Contain Sensitive Info
* Mon Nov 30 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev315:
  * Added filter for firewall tables
* Sun Nov 29 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev313:
  * description field was missing from the initial values
  * Deleting unnecessary spaces in instances's log
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev309:
  * Imported Translations from Zanata
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev308:
  * Imported Translations from Zanata
* Thu Nov 26 2015 dmueller@suse.com
- remove generation of certificate in post-install (bsc#947044)
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev307:
  * Imported Translations from Zanata
  * Enable PhantomJS for running Selenium tests
  * Fix flavor quota charts in NG Launch Instance
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev302:
  * Top and Bottom Padding should be removed from navbar-brand
  * Disable all new linting rules in legacy code
  * Split instance details and source in Launch Instance wizard
  * Fix mocks on update firewall rule tests
  * Handle glanceclient CommunicationError in horizon
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev292:
  * Translate Floating IPs on overview page
  * Add Reject option to Firewall Rules
  * Imported Translations from Zanata
  * Fixed Update Metadata modal description's typos
* Sun Nov 22 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev285:
  * Imported Translations from Zanata
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev284:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Enabling strict di mode
  * Enable radix
  * Enable no-unused-vars
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev275:
  * Add ngroute libraries to appropriate paths
  * Followup patch for `Improve Firewalls help text`
  * Add version check for listing namespaces
  * Cleaning up unused injected dependency
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev267:
  * Imported Translations from Zanata
  * Fix 302 error on subnet tests
  * Correcting an ngDoc format error
  * Document how to generate docs using tox
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev260:
  * Add policy check for project detail link
  * Improve Firewalls help text
  * Update nova policy file
  * Remove Old Images
  * Basic Tabs now inherit from a Bootstrap Theme
  * Imported Translations from Zanata
  * Document release notes process
  * Enable no-multi-spaces
  * Angular alert service - add auto dismiss
  * Fix config ordering for identity plugin file
  * Add support for IP Version in Horizon FW-Rule
  * Wait until additional window is opened in integration tests
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev237:
  * Imported Translations from Zanata
  * Upgraded eslint-config-openstack to 1.2.3
  * Horizon Login now inherits from Bootstrap Theme
  * Remove legacy models.py files
  * Imported Translations from Zanata
  * adding general packaging information
  * tox: add /bin/bash to whitelist_externals
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev223:
  * Drop Django 1.7 support
  * Updated from global requirements
  * Add breadcrumbs to final details pages
  * Basic tables now inherit from Bootstrap Theme
  * Update startdash/startpanel for newer Django patterns
  * Add reno for release notes management
* Mon Nov 16 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev211:
  * Imported Translations from Zanata
* Sun Nov 15 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev210:
  * Support angular workflow extension as a feature plugin
  * Show missing info in volume detail view
  * Adding support for shared option in Network
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev204:
  * Harden Material Theme
  * Imported Translations from Zanata
  * Modify the Quickstart-horizon doc grammar
  * Separate agents tests from networks tests file
  * Adding tests for untested areas
* Fri Nov 13 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev195:
  * New Theme Work Needs Better Documentation
  * hz-page-header should allow string interpolations
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev192:
  * Revert "Fixes Broken Error Message on Subnet Creation"
  * Imported Translations from Zanata
  * Remove unnecessary ugettext_lazy
  * Retire the reference of StackForge
  * Add firewall detail actions and breadcrumb nav
  * Fix Python 3 issues in dashboard image tests
  * Port network topology tests to Python 3
  * Port dashboard stack tests to Python 3
  * Directive to check if policy check passes
* Wed Nov 11 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev174:
  * Update Liberty release notes to match wiki
  * Imported Translations from Zanata
  * Add breadcrumb to more details pages
  * Add STATUS_DISPLAY_CHOICE which matches Nova vm state
  * Port dashboard router tests on Python 3
  * Port project instance tests to Python 3
  * Take shared networks into account for quotas
  * Dropdowns should have a consistent design
* Tue Nov 10 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev158:
  * Navigation + cleanup for details pages
  * py3: Fix unicode versus bytes issues
  * doc: subsections for neutron releated settings
  * Separate Ports tests from Networks tests
  * Adds config to disable the password in stack
  * Clean up spec files in horizon framework directory
  * Actions directive for dynamic actions
  * Add a Delete Modal Service for deleting entities
* Mon Nov  9 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev142:
  * Remove some old (pre-1.8) Django compatibility code
  * Imported Translations from Zanata
  * add Italian localization
* Sun Nov  8 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev137:
  * Update Plugin Registry
* Sat Nov  7 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev135:
  * Imported Translations from Zanata
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev134:
  * Made instance state values in the CSV summary translatable
  * Use sum of volumes and snapshots for cinder usage
  * Add Kilo Release Notes
  * Make sure dashboard has a default panel group
  * Wrong url in stack preview detail page
  * Make IPv4 address sorting work on all tables
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev122:
  * Don't hide Karma coverage reports
  * Imported Translations from Zanata
  * Fix infinite spinner for Angular panels
  * Refactor status and admin state translation code
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev115:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Create volume pre-select default vol-type
* Tue Nov  3 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev111:
  * Add help text for IPv6 security roles
  * Imported Translations from Zanata
  * Directive to check if Cinder Extensions are enabled
  * Remove environment_version ref from quickstart guide
  * Correct the Karma conf to search correct dirs
  * workflow.js should be named as workflow.module.js
* Sun Nov  1 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev99:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Fix home button in 500 page
* Sat Oct 31 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev94:
  * Update plugin registry - s/stackforge/openstack
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev92:
  * Add REST API to get Glance API Version
  * Corrected spelling errors throughout the project
  * Mock flavor_list method in tests for instances
  * Imported Translations from Zanata
  * Add correct license for hzPasswordMatch and bi-directional check
  * Changes cursor to hand/grab in network topology
* Sat Oct 24 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev81:
  * Imported Translations from Zanata
  * Fixes Broken Error Message on Subnet Creation
* Fri Oct 23 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev78:
  * Add Cinder Extensions Service for Angular
* Thu Oct 22 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev76:
  * Add angular flavors panel
  * Add HTTPS to image location help text
  * Change ports range in validators and test function
* Wed Oct 21 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev72:
  * Updated from global requirements
  * Improving JS unit test branch coverage
* Tue Oct 20 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev69:
  * Imported Translations from Zanata
  * Fix accidentally broken Instances integration test
  * Integration tests - Instances tests
  * Remove models.py from tutorial
  * Port admin metering tests to Python 3
  * admin not able to set maintenance state for volume
* Sun Oct 18 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev59:
  * Do not match table actions by ordering in integration tests
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev58:
  * Updated from global requirements
  * Prevent the click loss at navbar accordion in integration tests
  * Upgraded eslint rule libraries
  * Imported Translations from Zanata
  * Add correct license for simple modal
  * respect webroot setting in containers table
  * Wait until the success message popup disappears before proceeding
  * Add API for getting Cinder Extensions
  * Horizon styles should use vendor prefix mixins
  * Add optional Report Bug link to Horizon
* Fri Oct 16 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev39:
  * caret button shouldn't be disabled
  * Dump browser log on integration test failure
  8.0.0
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update Horizon language list for Liberty
  * Imported Translations from Zanata
  * Do not pass along cidr and ip_version to create_subnet when not used
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev108:
  * Imported Translations from Zanata
  * Default Sidebar should grow with page height
  * Show Image ID on Instance Overview
  * Made error fields in ng launch instance workflow more visible
  * Add test coverage for auth_type 'credential'
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev99:
  * Missing translate in dropdown caret button
  * Add Liberty Release Notes
  * Add British English l10n
  * py3: Replace unicode with six.text_type
  * Imported Translations from Zanata
  * py3: Add json attribute to HTTP response objects
* Wed Oct 14 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev88:
  * Replace filter() with list-comprehension
  * Remove duplicate deleted status definition
  * Port remaining Horizon tests for Python 3
  * Improve error message for creating QoS Spec
* Tue Oct 13 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev83:
  * Imported Translations from Zanata
  * Corrected wrong url in router detail page
  * Fixing template filtering by plugin name
  * Fix TypeError on comparison on Python 3
  * Remove redundant success messages for LBaaS delete actions
  * Heat Stacks Details: Events table doesn't show up
* Sat Oct 10 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev72:
  * Imported Translations from Zanata
  * Finally remove policy engine code from openstack_dashboard
* Fri Oct  9 2015 cloud-devel@suse.de
- Update to version horizon-9.0.0.dev69:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Adds deactivated status for glance image
  * Remove an unnessary assert call in InstanceTests
  * Creating new user does not require project
  * Update Horizon language list for Liberty
  * Move humanize and truncate to horizon.quota.js
  * Remove _() from strings used only for logging
  * Removing last_activity session flag
  * Magic Search is firing multiple checkFacets event
  * Removing check for unsupported Django version
  * Uncapitalize the first letter of non init functions
  * Add tests for controllers in tech-debt
  * Adding ifAllowed method to policy service
  * Port horizon tabs tests to Python 3
  * Port babel_extract_angular tests to Python 3
  * Improve "Disassociate floating IP" confirmation message
  * Show external networks
  * Add missing MEDIA config in test settings
  * Rename launch instance model file
  * Fixed empty "VPN Connections" value from displaying a blank value
  * Fix Python 3 issue in horizon DataTable
  * Add icons for Heat Stacks BatchActions
  * Port openstack dashboard overview tests to Python 3
  * Port horizon utils tests to Python 3
  * Enable pagination for Project->Images view
  * Cleaning up module dependency management tree
  * Fix too loose url regex for snapshot creation
* Wed Sep 30 2015 aplanas@suse.com
- Update to version horizon-9.0.0.dev17:
  * Fix horizon/test selenium tests for Django 1.8
  * Fix loading of angular in jquery modals
  * Create a Angular Modules for Admin Dashboard
  * Fixes spelling mistake in Error Message
  * Minor refactoring of openstack_dashboard.api.neutron
  * VPNaaS delete actions refactoring
  * Include JS from openstack_dashboard/**/static for code coverage
  * Fix Admin / Subnet Detail action URLS
  * Add _save_screenshot functionality to helpers
  * Do not pass along cidr and ip_version to create_subnet when not used
  * IDP specific websso
  9.0.0.dev4
  * Imported Translations from Zanata
  * lbaas associate fip to vip table action bug
  8.0.0.0rc1
  * Imported Translations from Zanata
  * Neutron Quota Settings Flag Disables Neutron GUI
  * Cleanup of Translations
  * Open Mitaka development
  * Typo fix in Trove panel
  * Imported Translations from Zanata
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove duplicate key from dictionary
  * FWaaS delete actions refactoring
  * Add external IP fields to VPNaaS details
  * Use the User model from d-o-a
  * Fix UTF-8 handling in tables
  * Imported Translations from Zanata
  * Update WSGI app creation to be compatible with Django 1.7 or greater
  * Fix all the network/router/subnet/port display as name_or_id
  * Pass Heat environment through form variables too
  * Use raw data for inline edits of boolean fields
  * Unable to attach volume to instance
  * TestCase: add aliases to assert methods on py3
  * FWaaS tests improving
* Tue Sep 22 2015 tbechtold@suse.com
- Update to version horizon-8.0.0.0b4.dev177:
  * Remove unnecessary brackets from enabled files
  * Initial support for database clustering in Horizon
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Updated from global requirements
  * magic-overrides should clone from currentSearch
  * Skip client side filter if the Facet is server side
  * Enable Launch Instance NG for the case when Nova quotas are disabled
  * Fix cinderclient traces in tests
  * Imported Translations from Zanata
  * Fix typo on access_cached comment
  * Couldn't provision instance from volume snapshot
  * Adding missing semi-colon
  * Fix lint errors for horizon.networktopology.js
  * Imported Translations from Zanata
  * Translate angular html with '-'
  * Improving find static robustness
  * Fix angular pie charts appearance
  * Check element's existence in angular unit tests in a proper way
  * Imported Translations from Zanata
  * Swap and ephemeral fields should be optional
  * Use keyword substitution in horizon framework filters.js
  * Fix Load Balancer table Subnet row displays CIDR
  * Remove session caching of can_access call results
  * Added a django extract for .csv files
  * Remove .tx/config
  * Fix typo in launch instance help
  * Updated from global requirements
  * "scss is misspelled as css" in these scss files
  * Fix Python 3 issue in DataTableMetaclass constructor
- Adjust Requires according to requirements.txt
* Thu Sep  3 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev402:
  * Added cancel button in add rule modal
  * Updated Login directive to be less error prone
  * Fixing liberty version reference
  * Correct usage of angular.element
  * Run a subset of tests on Python 3
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev392:
  * Update Users Table to single HTML
  * Cloud Service directive to check if Service is enabled
  * Support create subnet w/Neutron subnet allocation
  * Fix the selenium LazyLoadedTabsTests
  * Drop QUnit JS tests in favor of Jasmine
  * Angularize metadata update modals
  * Adding missing mocks to lbaas tests
* Wed Sep  2 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev378:
  * Add license headers to the panel/dashboard templates
  * Imported Translations from Transifex
  * Updated from global requirements
  * Correct the wrong url in "Manage QoS Spec Association"
  * Cleaning unnecessary leading whitespace in html
  * Logout user if he has no valid tokens
  * Fix some description/grammar mistakes in messages
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev365:
  * Skip test_routerrule_detail blocking the gate
* Mon Aug 31 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev364:
  * Moving inline html code out of login.spec.js
  * Imported Translations from Transifex
  * Horizon Logo Documentation is out of date
  * Remove secondary font
  * hz-if prefix change to promise directives
  * Improve Cloud Service Directive Documentation
  * Remove controller reference in ng launch instance
  * Updated cassandra database details overview port
* Sun Aug 30 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev348:
  * Run ESLint on Javascript files in dashboards
  * JSCS Cleanup - use DI in launch instance model
  * Add tacker-horizon plugin to plugins registry
  * Styles and Asset No Longer Necessary
  * Fix local_settings.py.example to be consistently styled
  * Add Angular Table Footer Directive
  * Allow to edit image metadata from project view
* Sat Aug 29 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev334:
  * Adding clone feature to Transfer Table
  * [Sahara] Add support for event logs
  * Imported Translations from Transifex
  * py3: Replace unicode with six.text_type
  * Integration tests no longer use form's fields ordering for matching
  * Moving translation to HTML for launch-instance security-group step
  * A few fixes to make the App Catalog plugin work
  * Add 'reverse_lazy' for 'success_url' in admin volume type panel
  * SCSS $webroot should inherit from settings.py
  * Add Storm Job to UI
* Fri Aug 28 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev314:
  * Updated from global requirements
  * Update Table to Single HTML for Readability
  * Revert "Fix broken header dropdowns"
  * Delete redundant 'CreateVolumeTypeView' class
  * Javascript Heat API
  * [Sahara] Add missing job type in libs selection
  * Cleaning up the Transfer Table
  * Allowing data sources to be edited
  * [Sahara] Added volume type and instance locality support
* Thu Aug 27 2015 tbechtold@suse.com
- Update to version horizon-8.0.0.0b3.dev296:
  * Imported Translations from Transifex
  * Move i18n to HTML for launch-instance source step
  * Fixed alignment issues in create firewall
- Rebased patches:
  + 0001-Reorder-template-loader.patch (manually)
- Install upstream theme dir
- Adjust Requires according to requirements.txt
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b3.dev6:
  * Adding PUT to REST api service
  * Auto-collect app/ instead of only app/core/
  8.0.0.0b2
  * Mock $window for magic-search tests
  * Webroot still needs to load default scss files
  * Adding Angular Project Images Table
  * Page Header Directive File Style Guide Rename
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Allow STATIC_URL override
  * Keystone REST handles default role incorrectly
  * Create image directly in 'copy_from' and 'location' case
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev337:
  * Imported Translations from Transifex
  * Add extraction of filter-based translations
  * Fixed getting success msg on failing swift operation
  * Updated from global requirements
  * JSCS Cleanup - Fix eslint errors in workflow file
  * Fix static file paths in heat topology view
  * JSCS Cleanup - horizon widgets for transfer-table
  * Correct wrong super __init__() calling
  * Add plurals and comments to angular i18n
  * Replace dict.iteritems() with six.iteritems(dict)
  * Imported Translations from Transifex
  * Client-side Magic Search
  * Add Angular Basic Page Header Directive
  * N1Kv: Fix failing network and port creates
  * JSCS Cleanup - Fix eslint errors for hz.dashboard.identity
  * Annotating config functions
  * JSCS Cleanup - horizon widgets for charts
  * JSCS Cleanup - horizon widgets for modal-wait-spinner
  * Move static files configuration to reduce settings.py churn
  * JSCS Cleanup - style guide cleanup for wizard
  * Updated from global requirements
  * Proving JS source files in consistent order
  * Unit tests for auto file discovery
  * Imported Translations from Transifex
  * Make sure to treat extra slashes on pseudo-folder name
  * JSCS Cleanup - validators/ folder
  * Handling vnic type as optional
  * Adding make_web_conf command documention
  * Fix _wait_till_element_disappear
  * Documenting STATIC settings from Django
* Thu Jul 23 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev271:
  * Fix bug where WEBROOT is not respected
  * Fix Python 3 issues in base modules
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev268:
  * Amend docs on OPENSTACK_KEYSTONE_DEFAULT_ROLE
  * JSCS Cleanup - use function syntax for i18n
  * updating lbaas support in local.conf
  * Only use ports with non empy list of fixed_ips
  * Allow STATIC_ROOT override
* Tue Jul 21 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev258:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Updated from global requirements
  * Make volume status detail translatable
  * Horizon Themes should support and house easy Template Overrides
* Mon Jul 20 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev248:
  * fixed the cancel button look in migrate host
  * Add OPENSTACK_NOVA_EXTENSIONS_BLACKLIST option to settings
  * Imported Translations from Transifex
  * Modal service is incorrectly named
  * Updated from global requirements
  * Use eslint-config-openstack
  * Moving AngularJS panel file to _200 range
  * Imported Translations from Transifex
  * Dashboard ReOrg - Move cloud-services into app/core
  * LBAAS VIP floating IP table actions
  * Adds Horizon Doc modification. Fixes bug 1474177
  * Fix redirect during jasmine tests
  * Add keystone version to REST API
  * JSCS Cleanup - use $apply instead of $digest in help-panel spec
  * Moving Sahara to contrib
  * Fix CSS GET None when mouse over the table cell
  * Dashboard ReOrg - Move workflow into app/core
  * JSCS Cleanup-style guide cleanup for filters.js
  * Identity dashboard's style should be customizable
  * JSCS Cleanup - use $apply instead of $digest for action-list.spec
  * Revert "Ignore the ng_on_watch error from eslint"
  * Replace mox with mox3
  * Fix the loading block wouldn't disappear in Mac OS X
  * JSCS Cleanup - rename vm as ctrl for login controller
  * JSCS Cleanup - Include angular plugin for auth js
  * Fix eslint error on framework.module
  * Updated from global requirements
  * Adding identity users table
  * dash-separate-case for js and scss file names in doc
  * Addresses use of digest in launch-instance specs by using apply instead
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev178:
  * Fix mock issues found due to new mock release
  * Imported Translations from Transifex
  * Change the ESLINT controller as to ctrl
  * Dashboard ReOrg - Create app/core directory
  * Update example local_conf
  * Angular doc tweaks
  * Ignore the ng_on_watch error from eslint
  * Adding Angular Identity Projects Panel
* Fri Jul 10 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev163:
  * Dashboard karma is missing framework files
  * Fix eslint errors on the login controller
  * Imported Translations from Transifex
  * Remove hz dashboard module from enabled
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev156:
  * Imported Translations from Transifex
  * Remove old trans filter
  * Dashboard ReOrg - Create 'project' module
  * Improving readability for Horizon top module structure
  * Duplicate keywords for translation
* Wed Jul  8 2015 dmueller@suse.com
- fix requires
* Wed Jul  8 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev147:
  * Change a comparison with 'undefined' to use angular.isUndefined()
  * Update docs for auto js file discovery
  * Imported Translations from Transifex
  * JSCS - making app.module.js following JP
  * Use angular.isUndefined in place of !angular.isDefined
  * Fix deletion action failure handling
  * corrected the wrong url in admin instance detail
* Tue Jul  7 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0b2.dev133:
  * Fixing hard-coded path
  * Imported Translations from Transifex
* Mon Jul  6 2015 opensuse-packaging@opensuse.org
- Rebased patches:
  + 0001-Reorder-template-loader.patch (manually)
* Mon Jul  6 2015 rsalevsky@suse.com
- Update to version horizon-8.0.0.0b2.dev131:
  * Extending Karma config
  * Corrections to WEBROOT docs
  * JSCS Cleanup - rename *.factory.js to *.service.js
  * JSCS Cleanup - style cleanup for modal factory
  * Add anti-ClickJack XFS hardening for old browsers
  * Added .eslintignore
  * Angular translation via babel (singular only)
  * Adding identity ng-users panel
  * JSCS cleanup - launch-instance.js
  * Removed JSHint
  * JSCS Cleanup - style cleanup for Launch Instance Security Groups Step
  * Add integration tests for Identity->Projects page
  * Apply auto-file-discovery to plugins
  * JSCS Cleanup - style guide cleanup for Util > Bind Scope
  * Switched from JSCS to ESLint
  * Searchbar directive should be prefix with hz
  * Redirect URL for invalid data source details page
  * Error message for invalid job binary details page
  * Error message for invalid job details page
  * Applying auto-file-discovery partially
  * Adding Angular Users Panel
  * JSCS Cleanup - style cleanup for Launch Instance Source Step
  * Fix _get_tenant_volume_usages
  * Error message for invalid job template details page
  * AngularJS in Horizon Documentation
  * Error message for invalid node group template details page
  * Error message for invalid cluster template details page
  * Update project list in the header bar
  * Useing 'yesno' filter to display Boolean value
  * changing email from user list deletes user passwd
* Mon Jun 22 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0a1.dev15:
  * Imported Translations from Transifex
* Sat Jun 20 2015 cloud-devel@suse.de
- Update to version horizon-8.0.0.0a1.dev14:
  * Skip test_sahara_image_registry while investigating reasons
  * Revert "added a 'shared' column in FW policy table"
  * Removing unnecessary test setting of dashboards
  * Fix function name reference in cinder.service.spec.js
  * Update version for Liberty
  * JSCS cleanup - horizon/static/framework conf and util
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev4:
  * Imported Translations from Transifex
  8.0.0a0
  * Allow to attach FIP without a router
  * JSCS cleanup - style guide cleanup for modal-wait-spinner
  * Handle errors during glance image updates correctly
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev423:
  * Fixes a typo 'use_strict' -> 'use strict'
  * Imported Translations from Transifex
  * Fix for test_image_create_delete
  * LB method column is added in pools table
* Tue Jun 16 2015 bwiedemann@suse.de
- Update to version horizon-2015.2.0.dev416:
  * Updated from global requirements
  * Rename files to enable auto-file-discovery
  * Utils for auto-file-discovery
  * Imported Translations from Transifex
  * Remove files from oslo-incubator
  * ngReorg - Move API files to openstack_dashboard
  * Fix available.html.example in transfer-table directory
  * Fix Create User form's fields sorting for Django 1.7
  * Added correct URL to edit QoS spec
  * JSCS cleanup - style guide cleanup for charts
  * [Launch Instance Fix] Add Model Block Device Test
  * JSCS Cleanup - tech-debt and auth
  * require python-oslo.policy
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev392:
  * Refactor some scss code
  * Add translation for javascript disabled alert
  * Updated from global requirements
  * ngReorg - move framework.util.form to validators
  * JSCS cleanup - openstack_dashboard/static/
  * Exclude current volume_type from Volume retype list
  2015.1.0
  * Import translations from Transifex for Juno
  * Format numbers in a locale sensitive manner
  * update .tx/config to match Kilo Transifex resources
  * Updated from global requirements
  * Initialize variable 'networks' before referencing
  * Fix addition of plugin panel to panel group
  * Updated from global requirements
  * Hide Cancel button if no cancel_url is provided
  * Make status column on admin network table translatable
  * [Launch Instance Fix] Security Group Nova Net
  * update .gitreview for stable/kilo
  * Updated from global requirements
  2014.2
  * Document token hash algorithm option
  * Warn OPENSTACK_QUANTUM_NETWORK setting as deprecated
  * Import translations from Transifex for Juno
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev457:
  * Imported Translations from Transifex
* Sat Jun 13 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev456:
  * Remove "More Projects" link from the header
  * JSCS cleanup - style guide cleanup for modal
  * Imported Translations from Transifex
  * Removing unused file references in Jasmine
  * [Launch Instance Fix] Tests for Base Controllers
  * ngReorg - move core HTML from framework to dashboard
  * Add no-cache directive when generating keypair
  * Imported Translations from Transifex
* Fri Jun 12 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev442:
  * Imported Translations from Transifex
  * Extends .jscsrc to ignore 3rd party files
  * JSCS Cleanup - style guide cleanup for toast
  * Updated from global requirements
  * JSCS cleanup - Angular framework widgets (partial2)
  * Change 'Update Metadata' to specific name in modal header
  * Unified the position of modal's buttons
  * Add the column 'Shared' to firewall, policy and rules table
  * JSCS Cleanup - karma.conf
  * added a 'shared' column in FW policy table
  * corrected the wrong url in admin instance detail
  * Encase helper-functions spec in IIFE
  * Use bdmv2 format when instance is boot from volume
* Wed Jun 10 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev419:
  * Fix $this usage in horizon.tables.js
  * Updated from global requirements
  * Escape the description param from heat template
  * Imported Translations from Transifex
  * JSCS cleanup - style guide cleanup for help-panel and MagicSearch
  * Fixes line length issues in local_settings.py
  * Handle modals properly when disabling table actions
  * Fix submit button not working in Angular Launch Instance modal
  * Imported Translations from Transifex
  * Flavor tests - use a digest cycle to test watches
  * [Launch Instance Fix] Add Flavor Step Unit Tests
  * Launch Instance NG - Create Volume if Nova Ext
  * [Launch Instance fix] Add sorting to Network table
  * Refactor quota limit summary template
* Mon Jun  8 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev395:
  * JSCS cleanup - Angular framework widgets (partial)
  * Imported Translations from Transifex
* Sun Jun  7 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev392:
  * ngReorg - move dashboard controllers from horizon
  * Added `npm run lint` command to execute JSCS
  * Trigger tox from package.json, if necessary
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev387:
  * Added karma-cli to package.json
  * Imported Translations from Transifex
  * fix usage property(vcpus, vcpu_hours) error use
  * ngReorg - move dashboard-app/login out
  * ngReorg - move utils from dashboad-app
  * Fix failed wizard tests
  * [Launch Instance Fix] Add Model Unit Tests
  * JSCS Cleanup - Legacy JS test files
* Fri Jun  5 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev371:
  * Updated from global requirements
  * Angular API Unit Tests
  * Delete period from select option in LiveMigrateForm
  * Improve unittests for angular charts
  * Improving filter and existing API service tests
  * Hidden HOST in instance overview page for normal user
  * Imported Translations from Transifex
  * Bootstrap variables should derive from a known theme
  * Adding John Papa style guide to JSCS
  * [Launch Instance Fix] Clean up Wizard scope
  * Prevent multiple form submission on table row actions
  * added description column in firewall tables
  * Fixing up how job configs are handled
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev347:
  * Imported Translations from Transifex
  * I/O error uploading image
  * Don't pass read only attributes on neutron update
  * filter the subnets which already in the router
  * Adds floatingip allocate,release integration tests
* Wed Jun  3 2015 bwiedemann@suse.de
- Update to version horizon-2015.2.0.dev339:
  * Extending test coverage for core components
  * added description column in vpn tables
  * Imported Translations from Transifex
  * JSHINT error on master
  * Provide unittests for magic-search.js
  * Get unit tests working with Karma
  * The overview chart is so big and ugly while use `width: 100%%`
  * Move validate_metadata to utils/validators
  * Imported Translations from Transifex
  * Add support for Docker image format
  * Split admin volumes tests to it's own test file
  * Display protocol in security group rules
  * Fix error message on project create
  * Fix date pickers in metering modal
  * Instance overview renders erroneous markup
* Sun May 31 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev312:
  * Fix Flavor Detail tbl in legacy Launch Instance
* Sat May 30 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev310:
  * Remove unneeded __init__() in UnmanageVolume class
  * Imported Translations from Transifex
  * Fix TemplateDoesNotExist at manage/unmanage volumes
  * Revert "Merge "Bootstrap variable overrides should only be default values""
  * Simplify some codes in is_quotas_extension_supported
  * Remove bad 404 calls
  * Allocation Pool should display a full text help
  * Detach interface support
  * Add support for attaching interface
* Fri May 29 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev292:
  * Fix modals by making spinner_options accessible
  * Imported Translations from Transifex
  * Ignore all egg type artifacts
* Thu May 28 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev287:
  * Imported Translations from Transifex
  * User should be able to update allocation pool values
  * Small fix to angular docs
  * Remove unused config access via REST
  * Bootstrap variable overrides should only be default values
* Wed May 27 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev277:
  * Inherit environment variables for tests that use nodeenv
  * Imported Translations from Transifex
  * ngReorg - Create dashboard-app
  * Added a validation to the Keypair creation form
  * ngReorg - Relocate filters and a validator
  * ngReorg - Align constants, factories and services
  * Made HorizonComponent class Python3 compatible
  * Quota graph label aligned
  * Network Step uses controller-as syntax
  * Add kernel/ramdisk for image create
  * Check delay and timeout when editing monitor
  * Empty cell should obey sorting order
* Tue May 26 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev255:
  * Removed the '_safe_message' variable from the API exceptions
  * Hide remove rule if no rule inserted in FW policy
* Mon May 25 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev251:
  * ngReorg - align module names with directory
* Fri May 22 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev250:
  * Imported Translations from Transifex
* Thu May 21 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev249:
  * Imported Translations from Transifex
  * Add a conditional judgement to avoid invalid dict index
* Wed May 20 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev246:
  * ngReorg - create 'widgets' module
  * ngReorg - create 'util' module
  * Imported Translations from Transifex
  * ngReorg - create framework dir
* Tue May 19 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev240:
  * Change an IPMI meter name
  * Add Plugin and Version columns in clusters table
* Mon May 18 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev236:
  * Imported Translations from Transifex
* Sat May 16 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev235:
  * Imported Translations from Transifex
  * Added page title for LBAAS panel detail pages
  * Added page title for VPN panel detail pages
  * Added page title in firewalls panel
  * left side header panel doesn't expand but show up arrow
* Fri May 15 2015 dmueller@suse.com
- adjust sample template for apache 2.4
- remove 0001-Do-not-load-jasmine-without-DEBUG-setting.patch
  and tweak file list instead
* Fri May 15 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev226:
  * LBaas v1 Associate Monitor to Pool Fails
  * Rename Job Executions to Jobs in Jobs page
  * Imported Translations from Transifex
  * Remove unused jasmine_tests.py
  * use binary filter to get compute services
  * Add support for cinder pools
  * remove asterisk for optional fields in VPN forms
* Thu May 14 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev212:
  * Imported Translations from Transifex
* Wed May 13 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev211:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Correct Admin Instances actions to reference Admin ones
  * Updated from global requirements
* Tue May 12 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev205:
  * Fix code format errors reported by JSCS
  * Add empty name check to volume types
  * Imported Translations from Transifex
  * Adopt the John Papa Style Guide for AngularJS
  * Fixing data processing operations for alternate webroots
* Sun May 10 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev195:
  * Imported Translations from Transifex
* Sat May  9 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev194:
  * Add job type and updated time in job template detail page
* Fri May  8 2015 dmueller@suse.com
- Update to version horizon-2015.2.0.dev193:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Bind Launch instance quota chart to count input
  * Fix donut chart title data and standardize design
  * Add Type column in Job Templates Panel
  * Imported Translations from Transifex
  * Jshint removing Hogan and static_url
  * Fixing Jasmine tests in dashboard
  * check DPD interval and timeout for IPSec site connection
* Wed May  6 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev180:
  * Updated from global requirements
  * Fixed dashboard angular translation issue
  * Imported Translations from Transifex
  * Improve help content for lbaas pool create
* Wed May  6 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev172:
  * Sanitation of metadata passed from Django
    to avoid persistent XSS (bnc#931437, CVE-2015-3988)
  * Compute Host status and State are not translatable
  * Heat topology display improvement
* Tue May  5 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev166:
  * Improve lbaas subnet drop down
  * Improving subnet dropdown for lbaas creat vip screen
  * Imported Translations from Transifex
  * [Launch Instance Fix] Add Source Step Unit Tests
  * incorrect SSL header used in example config
* Sat May  2 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev158:
  * Read user project directly from request.user
  * Replace pie chart with number for unlimited quotas
* Fri May  1 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.0.dev154:
  * Updated from global requirements
  * Fixing gate bug with new requirements
  * Fix missing default value for JSCS var in run_tests.sh
  * Imported Translations from Transifex
  * Compatibility fix for pyscss 1.3.4
  * Fix JS files not matching JSCS ruleset
  * Establish baseline JSCS configuration
  * Add description & example for isServer property in Magic Search
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev157:
  * Fix exponentially growing AJAX updates for table rows
  * Imported Translations from Transifex
  * Updated from global requirements
  * Drop use of 'oslo' namespace package
  * corrected the create volume from snapshot
  * Populating job type choices via api call
  * Made changes per doc conventions to horizon.rst
  * General specs enclosure cleanup
  * Sahara Data Processing EDP Job Add HBase common lib checkbox
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev140:
  * Add Angular service to provide translation
  * Imported Translations from Transifex
  * Updated from global requirements
  * avoid calling neutron, when neutron is disabled
* Tue Apr 28 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev134:
  * Remove deprecated OPENSTACK_QUANTUM_NETWORK
  * Adding unused, undef, and fail to jshint
  * Imported Translations from Transifex
  * Jshint unused and undef cleanup for D3 JS
  * Jshint unused and undef cleanup for networktopology JS
  * Updated install.rst to follow doc conventions
  * Cleaning up comments in hz.api.service.js
  * Jshint unused and undef cleanup for quota JS
  * Add Extra Routes to Router Tabs View
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev117:
  * Jshint unused and undef cleanup for tables inline JS
  * Jshint unused and undef cleanup for messages JS
  * Jshint unused and undef cleanup for modals JS
  * Jshint unused and undef cleanup for membership JS
  * Removing unused variables in dashboard
  * Jshint unused and undef cleanup for tables JS
  * Imported Translations from Transifex
  * Add scss variables for Magic Search
  * Updated from global requirements
  * made all status values translatable in volume table
  * Imported Translations from Transifex
  * Angular table hzSelectAll should be unchecked if table has no rows
  * Jshint unused and undef cleanup for instances JS
  * Updated from global requirements
  * Make all quota names in Defaults panel translatable
  * Jshint unused and undef cleanup for accordion_nav, tabs JS
  * Jshint unused and undef cleanup for forms, heattop JS
  * Jshint unused and undef cleanup for firewalls JS
  * Imported Translations from Transifex
  * Fix addition of plugin panel to panel group
  * Adding Hogan and Qunit globals to jshint
  * Updated from global requirements
  * Initialize variable 'networks' before referencing
  * Angular alert service - refactor use
  * Fix various Networking forms urls
  * added network id field in admin's update network model
  * Imported Translations from Transifex
  * Magic Search enhancements
  * [Sahara] Fixed tab selection in case of processes names conflict
  * Format numbers in a locale sensitive manner
* Tue Apr 21 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev58:
  * Hide Cancel button if no cancel_url is provided
  * Angular alert/messaging service
  * Only show data sources if they are relevant for job
  * Fix the redundant error message during user create
  * Fix unnecessary dotted focus outline in tab bar
  * Imported Translations from Transifex
  * Add volume migration api support
* Mon Apr 20 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev44:
  * Imported Translations from Transifex
  * Added more details to items per page help text
  * Validate volume quota when booting from volume
  * made changes per doc conventions to tutorial.rst
  * made action log's action value translatable
  * Refactor project overview tests
  * removed asterisk for admin state in network create
* Sun Apr 19 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev30:
  * Imported Translations from Transifex
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev29:
  * Imported Translations from Transifex
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev28:
  * Imported Translations from Transifex
  * [Launch Instance Fix] Security Group Nova Net
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev25:
  * fix grammar in workflow.rst file
  * Fix the misplaced eye icon in Credentials modal form
  * Imported Translations from Transifex
  * Add project-dropdown
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev18:
  * Imported Translations from Transifex
  * Remove concatenation in csv file
  * Make status column on admin network table translatable
  * Sort jobs in JobsView based on created_at value
  * Move _update_project_quota into a common Workflow ancestor
* Wed Apr 15 2015 cloud-devel@suse.de
- Update to version horizon-2015.2.dev8:
  2015.1.0rc1
  * Imported Translations from Transifex
  * [Launch Instance Fix] Add Security Group Step Unit Tests
  * [Heat] Resource url mapping improvement
  * JShint should ignore libraries
  * Removing unused variables in horizon angular
  * Open Liberty development
  * Adding styling for disabled and danger action items
  * Add missing telemetry policy example file
  * Net name field is not required when creating port
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev300:
  * Add Russian to settings.py
  * Fixing typo in OPENSTACK_NEUTRON_NETWORK section
  * Imported Translations from Transifex
  * Fixing typo in AVAILABLE_REGIONS section
* Mon Apr 13 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev292:
  * Imported Translations from Transifex
  * Fixing typo in CONSOLE_TYPE documentation
  * [Launch Instance Fix] Settings for volume name
  * added network id field in update network model
  * Removing scope digest from login directive
  * Adding horizon to jshint
* Sun Apr 12 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev282:
  * Silently drop access to non-existent flavours
  * [Launch Instance Fix] Show volume device name
* Sat Apr 11 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev279:
  * [Launch Instance Fix] Settings for volume name
  * Imported Translations from Transifex
  * Launch Instance Step - Key Pair Import
  * [Launch Instance Fix] Add Configuration Step Unit Tests
  * [Launch Instance fix] Refactor translation for Angular filter
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev271:
  * Remove unnecessary class
  * Imported Translations from Transifex
  * Fixing the running of jobs without data sources
  * Minor Jasmine test cleanup
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev264:
  * Update customizing docs to include themes
  * [Launch Instance Fix] Add Network Step Unit Tests
  * Imported Translations from Transifex
  * Updated from global requirements
  * Make "RAW" in image table translatable
  * Make Image Type translatable
  * Detect apache version
  * Fix bad performance on project update panel
  * [Launch Instance fix] Show header for Source Allocated table
  * Fix security group checking action permissions raise error
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev244:
  * Imported Translations from Transifex
  * [Launch Instance Fix] Nested search box in flavor step
  * Revert "Refactoring the exceptions lists"
  * Removed unused injections in launch-instance-config step
  * [Launch Instance Fix] Adding unit tests to hz.dashboard
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev235:
  * Fix logic in modal to accept cancel param
  * [Launch Instance Fix] Add better coverage for widgets
  * Replace '-' in Port Range column to 'Any' in secgroup rule table
  * Remove meaningless "(CIDR)" suffix in Security Group Rules table
  * Imported Translations from Transifex
  * Fixing selenium tests to work with Django 1.7
  * Updated from global requirements
  * Adding transclude to search-bar for batch actions
  * Refactoring the exceptions lists
  * [Heat] Fix default values displaying for "Launch Stack"
* Mon Apr  6 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev215:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Rename utilsSpec.js to utils.spec.js
* Sun Apr  5 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev211:
  * [Launch Instance Fix] Conditionally enable UI
  * [Launch Instance Fix] Remove a step if it is not ready
  * [Launch Instance Fix] Fix detail rows not expanding on source and flavor
  * Default to old Launch Instance workflow
  * [Launch Instance Fix] Enabling loading script from local file
  * [Launch Instance Fix] Launch Instance from Various Screens
  * Metadata widget multivalue selection support
  * Update instruction for publishing xstatic packages
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev196:
  * Imported Translations from Transifex
  * Warn if boot volume AZ differs from instance AZ
  * Add help text for vcpu hours
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev190:
  * [Launch Instance Fix] Flavor Metadata Details
  * [Launch Instance Fix] Source Details - Metadata
  * [Launch Instance Fix] Add Keypair Step Unit Tests
  * [Launch Instance Fix] Glance rest API fix
  * Add hzSelect directive to Angular table
  * [Sahara] fix sahara client calls
  * Imported Translations from Transifex
  * Pass SSL parameters to sahara client
  * [Launch Instance Fix] Fix css for transfer table
  * Sort the panel's variable in the dashboards.py
  * [Launch Instance Fix] Making table expand faster
  * Launch Instance - MultiRegion Support / Networks
  * Fetch user's projects from request.user
  * Fix sort order for User IDs in identity table
  * Add 7 missed meters in Resource Usage Panel
* Thu Apr  2 2015 bwiedemann@suse.com
- Update to version horizon-2015.1.dev161:
  * Add help text to DeleteVolumeTransfer action
  * [Launch Instance Fix] Cleanup $scope injection in help controllers
  * Imported Translations from Transifex
  * [Launch Instance Fix] Enhancing wizard widget
  * [Launch Instance Fix] Update Local Settings Sample
  * [Launch Instance Fix] Adding validation
  * Improve instance source form field valignment
  * Fix web-server memory overrun when downloading objects from Swift
  * Enable login via openID and SAML
  * Fix unlikely XSS in attachment rendering
  * Updated keystone api for roles and edit
  * Refactor/remove obsolete page_header blocks
  * Updated incorrect name for angular lrdragndrop
  * passing wrong dict in lbaas
  * Modified hzSelectAll to select all visible checkboxes in table
  * Modify form for Volume Transfer Details
  * Add subtitle text for Launch Instance source step
  * Add --location option to image create
  * Use WEBROOT setting for the 500 page home button
  * Correct the identity groups create url
  * Removing HA interfaces from port list
  * [Sahara] Added indirect access support
  * Makes Launch/ Edit buttons in Images explicit
  * change the floating_ips tables.py argument
  * Add html source code on test failure for debugging
  * Updated parsing of catalog to handle bad format
  * Show MTU in Network details page
  * Disable "Associate floating IP" when instance error
  * Add BuildRequires: python-XStatic-Angular-lrdragndrop
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev106:
  * Modified hzSelectAll to watch changes in row length
  * Remove duplicated __init__ from api/fwaas.py
  * Imported Translations from Transifex
  * Correct "Uptime" field in csv report file
  * Use _wait_for_spinner()
  * Fixes double slash problem in Swift Container pseudo folder
* Mon Mar 30 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev96:
  * Adds configuration support to associate firewall to routers
  * Imported Translations from Transifex
  * [Launch Instance Fix] Add details to Select Flavor step
  * [Launch Instance Fix] Split Security & Access in 2
  * [Launch Instance fix] Fix decimal point
  * Removing unnecessary and annoying error message
  * Fix horizon login autocomplete control issues
  * Fixes inconsistent Edit between tables & details
  * Fixes inconsistent Router Details page
  * Fix replacement of exception category list
* Fri Mar 27 2015 rsalevsky@suse.com
- Update to version horizon-2015.1.dev77:
  * Add help panel text - Launch Instance source step
  * [Launch Instance Fix] Wizard should have max-width of 1440px
  * run compilemessages with runtime deps
  * Imported Translations from Transifex
  * Change preset for resource usage to 'last day'
  * Imported Translations from Transifex
  * [Launch Instance Fix] Add step help content
  * Adding spyOn and jasmine to global jshint
  * Fixing changing WEBROOT from /
  * Next/Create button loses state in create network
  * Fix common misspellings
  * [Data_processing] fix job_executions table
  * Use novaclient v2 instead v1_1
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * I18N: Allow to control word order in create_pseudo_folder
  * Imported Translations from Transifex
  * Updated from global requirements
  * Removing apiPromise
  * Removing absolute URLs from data processing templates
  * Improve Launch Instance step subtitle styling
  * [Launch Instance Fix] Remove outline from basic search bar
  * Translated count filter for table footer
  * Admin state column added in firewall table
  * Imported Translations from Transifex
  * Replace 'raise AssertionError' with 'self.assertIn'
  * Custom Horizon Theme
  * Add placeholder text to transfer table search bar
  * [Launch Instance Fix] Launch instance refreshes instance tables
  * Magic Search Enablement
- Rebased patches:
  * 0001-Reorder-template-loader.patch
* Fri Mar 20 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.0b3:
  2015.1.0b3
  * Adds initial SRIOV creation/config support
  * Make guided job success message translatable
  * Fix small typo in error in data processing wizard
  * Changing terminology for jobs and job executions in data processing
  * Imported Translations from Transifex
  * Add fallback on sahara endpoint lookup
  * Allow specifying authentication URLs from settings
  * [Launch Instance Fix] Add Sorting To Table in Select Source
  * Show ports from shared nets in floating IP assoc
  * Change N/A to id in the message
  * equal(=) added in project filter option
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev565:
  * Improve styling for key pair detail table
  * Fixing typo in Cinder API
  * Fixing typo in Glance API
  * Metadata display widget
  * [Launch Instance fix] Flavor table should be sorted by RAM
  * Source step - fix donut chart label color
  * Add Django-1.7 support
  * Guided job execution page for Sahara
  * Guided cluster creation mode for Sahara
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev547:
  * [Launch Instance fix] Removing step number in Wizard widget
  * [Launch Instance Fix] Removing period from selecting tips
  * [Launch Instance Fix] Network Step HTML cleanup
  * Metadata widget support for readonly flag
  * Imported Translations from Transifex
* Wed Mar 18 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev538:
  * Imported Translations from Transifex
  * hypervisor list and details page reports invalid data
  * Source step - fix instance count limit and donut chart
  * Correct ngdoc in Neutron AngularJS service
  * Launch Instance Step - Network
  * Fixed transcluded content not updating in action list
  * Replace usage of urllib in nova rest api
  * Refactor, customization and fixes of Metadata Widget
  * Heat resource url mapping improvement
  * Fix transfer tables example
  * Launch Instance Step - Access and Security
  * Clean modal forms in Orchestration Stacks
  * Redirect initial hit to login page
  * Prevent flash of left nav panels when loading page
  * Fixes Error message during image upload due to long name
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev508:
  * made all status values translatable in port table
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Launch Instance Step - Configuration
  * Launch Instance Step - Select Flavor
  * Launch Instance Step - Select Source
  * Launch Instance Model
  * Launch instance - common style
  * Add "Preview Stack" action to Stacks table
  * made network status value translatable
  * Imported Translations from Transifex
  * Updated transfer tables
  * Fix CSS, remove bad semicolon in _variables.scss
  * add the package 'which' to fedora
  * Fixes alignment of pencil icon in Users Table
  * Imported Translations from Transifex
  * Follow-up patch to fix a descrition in docs
  * Imported Translations from Transifex
  * Angular-based Modal Wait Spinner Widget
  * Modified "remote" column in the secgroup table
  * added check for delay >= timeout in LB add monitor
  * Support to move the horizon relative to web root
  * Imported Translations from Transifex
  * 'External Gateway Information' TO 'External Gateway'
  * Double check admin password when update user password
  * Refactor multiple references to $(document)
  * Action List with Angular directives
  * Fixing permissions for data processing panels
  * Remove unviewable data from dashboard images (gif/png)
  * Updating sahara image registry form for dynamic adds
* Thu Mar  5 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev357:
  * Allow Jasmine failures to fail test
  * Fix Jasmine unit tests failing
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev353:
  * Fix inappropriate error message for network table
  * Imported Translations from Transifex
  * Keystone REST API single project GET
  * context['view'] not available in Serial Console
  * Refactor of Metadata Widget
  * Adding policy rest endpoint for angular
  * Generate a drop down field for custom heat parameters
* Tue Mar  3 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev340:
  * Missing commas in one-element tuples
  * Creating a new volume_type's extra_specs returns a relative path
* Mon Mar  2 2015 tbechtold@suse.com
- Update to version horizon-2015.1.dev336:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Pie and donut chart directive
  * Load "url" in Serial Console html
  * Fix router details's name empty and change inheritance project table
  * Replaced hard coded values with oslo_utils.units constants
  * New generic _wait_until method which wraps selenium waiting
  * Fix typo, replace ass with as, not ass:(
  * Add help text to BatchAction
  * made action value translatable in firewall rules table
  * Imported Translations from Transifex
  * Fix skip decorator in integration tests
  * Add django url tag to network create template
  * Nova Flavor Server Extensions Rest APIs - Angular
  * Refactor REST API tests for common code patterns
  * Fix Jasmine unit tests failing
  * Fix typo errors in comments for api modules
  * Imported Translations from Transifex
  * spelling mistakes on display outputs and docsstrings
  * Transfer tables
  * Add orchestration service status reporting
  * Adding Angular IrDragNDrop to requirements.txt
  * Updated from global requirements
  * Fix N1K Profile creation
  * Updates tab bar styling
  * Refactor modal forms for Access & Security
  * Imported Translations from Transifex
  * Read access to config via REST
  * Go button on the Instance Log page should be enable all the time
* Thu Feb 19 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev189:
  * Reduce page title duplication in Adv net services
  * Imported Translations from Transifex
  * Updated from global requirements
  * Help text clarification for data processing data sources
  * Refactor modal forms for Routers
  * Refactor modal forms for Firewalls
  * List shared firewall policies/rules in Project panel
  * Use less permissive chmod in secret key test
  * Make values for Database&Backup status be translatable
* Wed Feb 18 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev173:
  * Reduce title duplication in project networking
  * Remove test skipping since #1396954 was fixed
  * Allow adding to INSTALLED_APPS from local_settings.py
  * Imported Translations from Transifex
  * Refactor modal forms for Nexus1000v
  * Refactor modal forms for Subnets
  * Add horizon.cookies.getRaw to access raw cookie values
  * Revert "Fix shared firewall policy can not be displayed in horizon"
  * Reduce page title duplication in settings and test
  * Reduce page title duplication in databases
  * Reduce page title duplication in A and S views
  * Reduce page title duplication in Admin Hypervisors
  * Add missing stubs to project stacks tests
  * Stack resources table improvement
  * Make the values of Cluster status be translatable
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev144:
  * Fixes error message during volume snapshot creation
  * Fixing Ceilometer measurements descriptions and comment typos
  * Fixes inconsistent Admin > Instances table header
  * Refactor modal forms for Networks
  * Adding constants to tables
  * Fixing Bug 1421818 - Jasmine tesing failed on FF
  * Improving jshint
  * Extending Horizon's plug-in architecture to Jasmine
  * Make auto console type in network topology work
  * Use IDs in locators instead of CSS when it is possible
  * Reduce page title duplication in Admin Images
  * made interface status value translatable
  * Make values for name&status about job_executions be translatable
  * Moving policy engine implementation
* Mon Feb 16 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev116:
  * Applies ImageFormCtrl to Admin > Images
  * Adds default for resource_type_names in metadata
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev113:
  * Remove unused import NoReverseMatch
  * Imported Translations from Transifex
  * Angular Confirmation Modal
  * Updated from global requirements
  * Reduce page title duplication in Images & Instance
  * Reduce page title duplication in Identity views
  * Reduce page title duplication in Admin views
  * [Data Processing] Changing node group form to be switchable
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev97:
  * remove duplicate line from users/views.py
  * Imported Translations from Transifex
  * Add missing comma in Create Network help string
  * Add virtual size to image detail
  * [Data Processing] Fixing job binary form label text
  * Reduce page title duplication in Stacks
  * Reduce page title duplication in Containers
  * Reduce page title duplication in Admin volumes
  * Re-designed and Angularized tables
  * Document and improve PageTitleMixin readability
  * added filter for keypair and security and access tables
  * Adding policy support for ceilometer
  * Fixes Resource id mapping with Heat Resources
  * Make size columns be text wrapped in admin dashboard
  * Handle RequestURITooLong error in large instance table
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev69:
  * Set the password_autocomplete default to "off"
  * Reduce page title duplication in Nexus1000v views
  * Reduce page title duplication in Admin Flavors
  * Reduce page title duplication in Admin Defaults
  * Reduce page title duplication in Admin Aggregates
  * Add missing percent-format character
  * Reduced code duplication in creating page headers
  * Imported Translations from Transifex
  * made router status value translatable
  * Enabling jsi18n in Jasmine spec runner
  * Translatable system information panel state/status
  * change the network page's layout when launch instance
  * Improves Launch Cluster model in Data Processing panel
  * Clean unused code for `supports_tenants`
  * Fix shared firewall policy can not be displayed in horizon
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev39:
  * Fixing service name typo
  * Imported Translations from Transifex
  * Fix documentation for setting password_autocomplete
  * Adding filtering to data_processing tables
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev33:
  * Fixes inline edit icon size/placement
  * Imported Translations from Transifex
  * made stack status value is translatable
  * Imported Translations from Transifex
  * Adds styling of "Confirm Password" Field in user forms
* Mon Feb  9 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev25:
  * Imported Translations from Transifex
* Sun Feb  8 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev23:
  * Data Processing: changing labels of submit buttons
  * Quality of life improvements to APIVersionManager
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev19:
  * Making modify usage report params modal
  * Correcting JavaScript files order
  * Imported Translations from Transifex
  * add angular-bootstrap to jasmine spec runner page
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev12:
  * Fix import order in utils/metering.py
  2015.1.0b2
  * Imported Translations from Transifex
  * Create a reusable angular-based wizard
  * Move to hacking 0.10
  * [Sahara] Fixed copy nodegroup template when sec groups missing
  * Fix typo in calling _is_element_visible method
  * Make port status and state translatable
  * Make params order fixed in stack forms
  * Remove unused import urlencode
  * added detail page for keypair
  * Make test helpers properly inheritable/extendable
  * [Sahara] Support Cinder availability zones
  * Imported Translations from Transifex
  * Alter verb usage for keystone REST and add Angular service
  * New admin volume panel to manage/unmanage volumes
  * Remove extra code in memoized method in Volumes
  * Add wait till element methods for selenium Integration tests
  * Make values for volume status be translatable
  * added filter for stacks table
  * Add missing OS::Cinder::Volume resource url map
  * Create a "Identity Projects details" page
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev356:
  * Remove extra indention in Firewall views.py
  * Message appear N/A in the tab compute host of hypervisors page
  * fix bug - failed loading external angular templates
  * Imported Translations from Transifex
  * Make values for image status be translatable
  * Removing reference to deleted template
  * Metadata widget support for default values
  * Pulled CSS logic from inline-editing
  * Clean modal forms in Identity Users
  * View encryption metadata for encrypted volumes
* Tue Feb  3 2015 tbechtold@suse.com
- No longer require openstack-dashboard-branding
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev336:
  * Add support for OVA images in Horizon
  * Add ram-hours in overview page
  * Updating stack resource urls mapping
  * angular-based help-panel widget
  * Clean modal forms in Identity Groups
* Mon Feb  2 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev327:
  * Imported Translations from Transifex
* Sun Feb  1 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev326:
  * Imported Translations from Transifex
  * Correct the policy check call in keystone
  * Alert user on JavaScript requirement if it's disabled
  * 403 page displays trans template tag
  * Enables the editing of Allocation pools in edit subnet
  * added flavor id in instance detail page
  * Fix broken network topology css
* Sat Jan 31 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev314:
  * Heat stack status column improvement
  * Make Enabled column values translated
  * Updates contribution guidelines for JS object performance
  * Fix editing current project
  * Update Horizon to Jasmine 2.1.x
  * [Sahara] Moved security options to separate tab of ng template
  * [Sahara] Added links to security groups
  * Integration test for showing logout message (password change)
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev298:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Improving data processing create job form
  * Improving data processing job binaries form
  * Fixes spacing in Containers details modal
  * password visibility icon not shown for first page
* Thu Jan 29 2015 tbechtold@suse.com
- Simplify branding:
  * Remove suse-fix-webroot-paths.diff
  * Add 0001-Reorder-template-loader.patch
  * Adjust static and media path in apache sample config
  * Remove openstack-dashboard-branding-upstream package
  * Remove horizon-branding-upstream package
  * Use macro for lang file handling
* Thu Jan 29 2015 tbechtold@suse.com
- Update to version horizon-2015.1.dev287:
  * Add Unit column to Usage Report table
  * Display loading status when database is building
  * Makes create time in Job Binary Details more readable
  * Fixes checkbox alignment in multi-select column
  * Add *.lock to .gitignore file
  * Imported Translations from Transifex
  * Correcting heat resource page title
  * Adding review clean up script
  * Refactor metering utility and view functions
  * Throw a warning message when failed to get pool detail
  * Imported Translations from Transifex
  * Updated from global requirements
  * Replace lockfile by oslo_concurrency
  * Imported Translations from Transifex
  * Remove unused wait_for_title method
  * Imported Translations from Transifex
  * Fix help message in "Manage Floating IP Associations" dialog
  * Add "Suspend" and "Resume" actions to Stacks table
  * Misspell in comments in settings.py
  * Resource types table improvement
  * Imported Translations from Transifex
  * when launch instance image size changed, device_size not change
  * Keystone REST API for angular front end
  * Removing dead css
  * Fix spelling and description in IPv6 subnet modes
  * Remove extra jQuery object creation in horizon.instances.js
  * added filter for networks and router
  * Fix cell(User Name) inline edit with a link in user table
  * Imported Translations from Transifex
  * Fix incorrect mocking in quota tests
  * Wrap the main block of detail.html with col-sm-12 class
- Rebased patches:
  + suse-fix-webroot-paths.diff (manually)
- Adjust Requires and BuildRequires
* Tue Jan 27 2015 dmueller@suse.com
- switch to python-Django
* Thu Jan  8 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev62:
  * Imported Translations from Transifex
  * Filter current flavor in resize instance/database
* Wed Jan  7 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev59:
  * Imported Translations from Transifex
  * Using get_url_current_page wrapper method
  * Add fix for incorrect display email in inline editing input
  * fix redirect for admin user password relogin
* Tue Jan  6 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev51:
  * Adding back scroll on Project members list style
  * Prevent user from disabling her current project
  * Fix wrong calling of selenium driver function
  * Add navigation among pages
* Mon Jan  5 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev43:
  * Imported Translations from Transifex
  * Add missing nova meters for metering
* Sat Jan  3 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev40:
  * Removing Moscow's timezone check
  * Imported Translations from Transifex
* Thu Jan  1 2015 cloud-devel@suse.de
- Update to version horizon-2015.1.dev37:
  * Spelling fixes in images tests
* Wed Dec 31 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev35:
  * Removes reference to compute api v1.1 in openrc
  * Potential 500 pages on allowed methods removed
  * Add a graphical distinction for external networks at Topology page
* Tue Dec 30 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev29:
  * Imported Translations from Transifex
* Sat Dec 27 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev28:
  * Display the vip name in the floating IP association dialog
  * Imported Translations from Transifex
* Thu Dec 25 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev25:
  * Set topology container to scroll
* Wed Dec 24 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev23:
  * Creating a new user with an existing user name
  * Imported Translations from Transifex
  * Support for resizing a trove instance
* Tue Dec 23 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev18:
  * Imported Translations from Transifex
  * add missing icons for Project > Images filter
  * Replace set_id_as_name_if_empty with name_or_id
* Sun Dec 21 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev13:
  * Imported Translations from Transifex
  * Fix Firewalls panel to override the right method
  * Nav submenu font size smaller
* Sat Dec 20 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev7:
  * Adds the security group id besides the name in Manage Rules
  * Imported Translations from Transifex
  * Add collectstatic commands to install doc
  2015.1.0b1
  * Add volume type encryption delete
* Fri Dec 19 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev610:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Base Glance Metadata Definitions Admin UI
  * Integration tests - 3 new form fields
  * Updated description of update user form
  * Test's random name gen now uses uuid4
  * Check input for Log length
* Thu Dec 18 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev596:
  * Imported Translations from Transifex
  * Make admin_state translatable
  * Small performance improvement
  * Ability to change modal form backdrop element behavior
* Wed Dec 17 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev589.gc460f8f:
  * Make Task state translatable
* Tue Dec 16 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev587.g926fa00:
  * Added tests for Node Group Templates' create and copy workflows
  * Imported Translations from Transifex
  * Documenting create_stubs decorator for tests
  * Update project list in the header bar
* Sat Dec 13 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev580.ga6d7619:
  * Wrong success url for instance floatingip related actions
  * Fixes Inconsistent usage of Detail / Details
  * Updated from global requirements
  * Imported Translations from Transifex
  * Fixes the Order of "launch" buttons on jobs panel
  * Add _wait_till_text_present_in_element method
  * update/cleanup bootstrap 3 icon usage
  * Enable tables inline-editing in lazy-loaded tabs
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev565.g7f0b6cf:
  * Updated from global requirements
  * Imported Translations from Transifex
  * No delete volume action for volume with snapshots
  * Updated from global requirements
  * [Sahara] Fixed display of nodegroup template service parameters
  * [Sahara] Do not request for nodegroup template if not present
  * Remove Filter button from query-type filters
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev551.ga816b47:
  * removing mandatory mark for post_creation tab
  * Add "login as admin" for integration tests
  * Imported Translations from Transifex
  * Fixed issue of progress bars in resize instance
  * With angular hz module, use strict & avoid globals
  * Provide tenant_id in Neutron create requests
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev540.gf1a823b:
  * Imported Translations from Transifex
  * fix Horizon login page DOS attack (bnc#908199, CVE-2014-8124)
  * Improving more projects link in context selection
  * Change arrow transparent borders to inset borders
  * [Sahara] Fixed job execution update for deleted row
  * wrong message while deleting non empty pseudo folder
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev528.gf128c89:
  * Fixed row deletion for deleted stack
  * Modal fixes - 2 columns, padding, header, membership
  * Imported Translations from Transifex
  * Fix Terminate Instance on network topology page
  * Workflow documentation is now in infra-manual
  * Remove port_id from floating ip disassociate
  * [Data_processing] auto security group
  * Show up to 1 decimal place for instance detail RAM
  * Remove Python 2.6 classifier
* Sun Dec  7 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev511.g60cfc4e:
  * Imported Translations from Transifex
  * Refactor horizon/common/_modal_form.html template
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev508.g9aa0e14:
  * POST instantiation for Django-Angular
  * Updated from global requirements
  * Imported Translations from Transifex
  * Split large methods into submethods to reduce max-complexity
  * Fix dropdown menu does not open with firefox 34
  * Updated from global requirements
  * Create titles without concatenation
  * Fix the expression to be python3 compatible
  * Update metering unit selection to use smaller units for time
  * Changed Project members list style, added scrolls
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev488.g5b8170e:
  * Cell empty value defaults to - removing redundancy
  * Imported Translations from Transifex
  * Standardizing translation of "-"
  * Add plus icon on AddDHCPAgent button
  * Adding Host Server to instance detail page
  * Integration tests - switch_window method
  * Display action column buttons on single line
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev476.g0392b84:
  * Imported Translations from Transifex
  * Add pencil icon on Update Defaults button
  * Changing icons for floating IP association
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev470.ge49b248:
  * Change "Modify Users" to "Manage Members"
  * Add 'Start/Stop Instance' to Instances table actions
  * Replace the glyphicons with font awesome icons
  * Add volume type encryption to horizon
  * Fix popup error when volume service disabled
  * Add menu regions to integration tests
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev460.g6c4b1e1:
  * @import font-awesome styles, instead of including
  * Prevent leaking `target` info into subsequent `policy.check()` calls
  * KeyError on getting PanelGroup
  * Handle situation when endpoint deleted
  * Quotas for users with admin role do not work
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Add form regions to integration tests
  * Add new directory structure for page objects
  * Restyled sidebar to resemble UX guidelines
  * Modal form cleanup
* Sat Nov 29 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev439.gb9e6297:
  * Imported Translations from Transifex
  * Include instance name in errors on Instance Details
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev436.g4089c70:
  * Temporarily disable the Jasmine unit tests
  * Add regions module to integration tests
* Thu Nov 27 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev433.gec012c6:
  * Imported Translations from Transifex
  * Gracefully handle failures to retrieve a flavor
  * Support nova service-disable/enable for Hypervisor
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev428.g9e42ff6:
  * Stack update call needs password
  * Fix dashboard nav, when panelgroup empty
  * Imported Translations from Transifex
  * Renaming a user name with an existing user name
  * Determine environment version based requirement files
* Tue Nov 25 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev419.gfd6e194:
  * Imported Translations from Transifex
  * Make 'IP address' field optional for LBaaS VIP creation
  * Imported Translations from Transifex
  * Delete duplicated code from router tests
* Sat Nov 22 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev413.g06dc993:
  * place the word "Info" with "Information"
  * Update project limits when using input selector
  * Corrected IPv6 Address Configuration Mode tooltip
  * Updated from global requirements
  * Integration test for fix the logout issue in basepage
  * Imported Translations from Transifex
  * Change CSV file date format to Horizon standard
  * Change network status cell values to Title case
  * Update state of table batch actions based on row selection
* Fri Nov 21 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev395.g2dfda13:
  * Add values for empty sahara dropdown boxes
  * Remove 'action_*' for tables.LinkAction
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev391.g05ed60b:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Automatically remove interfaces on router delete
  * Add unit conversion for metering views
  * Set row action dropdown to right-align
  * Updated from global requirements
  * Fix Instance Details error when using Cinder V2
  * Imported Translations from Transifex
  * Adding missing table headers
  * Defining missing failure_url
  * Add delete tests for Data Processing panels
  * Data Processing - capitalize some delete action buttons
  * Data Processing delete buttons missing icon
  * Updated from global requirements
  * Imported Translations from Transifex
  * Escape help text for Remote field in Rule panel
  * Make Power State column on admin instances translatable
  * Update project limits when flavor changes
  * Added a modal dialog with the user credentials details
  * Error messages for failing floating IP association
  * Fixes group by none defect in resource usage stats:
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev352.g0c0721d:
  * Documentation error in base tables link_classes
  * Fix TemplateSyntaxError at hypervisors view
  * Remove duplicated headings from horizon tables
  * Update integration tests password
  * Only enable one images filter button
  * Reorganize variables to enable overriding
  * Integration tests - BaseWebObject class
  * Fix timezones in line chart
* Fri Nov 14 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev336.gb17ba71:
  * Fixes ceilometer test data spelling error:
  * Add support for locking and unlocking servers
  * Change ComputeHost table to filter on host field
* Thu Nov 13 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev331.gee33a27:
  * Imported Translations from Transifex
  * add tooltip to cells if 'truncate' variable is set
* Wed Nov 12 2014 dmueller@suse.com
- fix permissions on static/horizon dir
* Wed Nov 12 2014 dmueller@suse.com
- fix permission issue on /local
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev327.gff09b75:
  * 'Stack Template' tab for Heat Stack Details page
  * 'Session timed out' error on 'Login' sceen doesn't have proper css
  * Field "Volume name" on Horizon no longer mandatory
  * Honor keystone policy file when creating client
* Tue Nov 11 2014 tbechtold@suse.com
- Don't install .secret_key_store. The key should be unique on every
  installation
* Tue Nov 11 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev320.g71b18da:
  * Fix misaligned actions on table toolbar
  * Imported Translations from Transifex
  * Fix Horizon crash when parsing volume list
  * Restyled topbar to resemble UX guidelines
* Sat Nov  8 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev313.gdd8e3d2:
  * Imported Translations from Transifex
* Fri Nov  7 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev312.g9f904e3:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
* Thu Nov  6 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev309.g5af2ff5:
  * Fix incorrect ca arguments for calling ceilometer client
  * Updated from global requirements
* Tue Nov  4 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev306.gc88e944:
  * Updated from global requirements
  * Imported Translations from Transifex
* Mon Nov  3 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev303.g615c7b1:
  * Typo in "Tutorial: Building a Dashboard using Horizon"
* Fri Oct 31 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev302.g3367e88:
  * Imported Translations from Transifex
  * Modal forms have extra borders
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev298.g7341055:
  * Update doc/source/conf.py
* Thu Oct 30 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev296.g1d4efb3:
  * Make update metadata segments translatable
  * Create Subnet button should respect quotas
  * Guard against `None` value of User.email attribute
  * Imported Translations from Transifex
  * Clarify meaning of "Disk GB Hours" column
  * Invalid instance_snapshot causes KeyError
  * Missing a closing semicolon in _configure_general_help.html
  * Handle negative values in total*Used for Cinder absolute limits
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Better color arrangement in distribution pie charts
  * Move the panel mocks to a separate method on TestCase
  * Fixes nothing is displayed if volume metadata is empty problem
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Add init methods to javascript
  * Fix dynamic select layout when help block is displayed
  * Replaces always disabled context selection link
  * add Column attribute for help tooltip in heading
  * Ensure DataTableView applies filter after redirect
* Wed Oct 29 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev279.gf97a650:
  * Return eye-icon to its place when validation message is shown
  * Use cinder API v2, remove support for v1
  * Fix borders for "Actions" column in Firefox
  * Resource Usage Overview - reduce dropdown menu width
  * Fix misleading message in Update Metadata Form
  * Add floating ip status to table
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Better color arrangement in distribution pie charts
  * Move the panel mocks to a separate method on TestCase
  * Fixes nothing is displayed if volume metadata is empty problem
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Add init methods to javascript
  * Fix dynamic select layout when help block is displayed
  * add Column attribute for help tooltip in heading
  * Ensure DataTableView applies filter after redirect
* Tue Oct 28 2014 tbechtold@suse.com
- Collect staticfiles during build and install them in the
  branding packages.
* Tue Oct 28 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev268.g4a94247:
  * Better color arrangement in distribution pie charts
* Mon Oct 27 2014 cloud-devel@suse.de
- Update to version horizon-2015.1.dev266.g418e8c5:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Move the panel mocks to a separate method on TestCase
  * Fixes nothing is displayed if volume metadata is empty problem
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Add init methods to javascript
  * Fix dynamic select layout when help block is displayed
  * Ensure DataTableView applies filter after redirect
  * Breakdown CSS: split styling for table inline edits
  * Fix locator typo in go_to_accesssecurity_page
* Mon Oct 27 2014 dmueller@suse.com
- fix requires
* Thu Oct 23 2014 tbechtold@suse.com
- Update to version horizon-2015.1.dev245.gc101eb7:
  * Hide the "Host Aggregates" admin panel if not enabled
  * Imported Translations from Transifex
  * fix wrong background color on workflow tabs
  * Make status in instance details screen translatable
  * Make modal dialogs draggable
  * Refactor metering dashboard
  * Disallow Resize Volume If Status Is Shutdown
  * Fixing typo
  * Juno Release Notes
  * Change "System Info" to "System Information"
  * Update JavaScript best practices
  * Create buttons in network topology respect quotas
  * Imported Translations from Transifex
  * Remove string concatenation related to volume attachment
  * Dropdown Actions For Database Details Page
  * Imported Translations from Transifex
  * Add max-complexity to pep8 for Horizon
  * add missing semicolon in networktopology
  * Imported Translations from Transifex
  * Make labels in Network Topology translatable
  * Pass correct project ID to get tenant_usages (bnc#928891)
  * Disable router HA attribute due to Neutron bug
  * Removes term inconsistency in the dashboard
  * add Column attribute for help tooltip in heading
  * Restrict the length of user name input
  * Update Horizon terminology relating to storage
  * Improve sub-navigation styling
  * [Sahara] Support Nova availability zones
  * Do not override user-defined Device Size
  * Stubout cinder.tenant_absolute_limits in cinder test
  * Do not log keystone token
  * Fixing template syntax
  * Update WSGI app creation to be compatible with Django 1.7
  * Fix E128 errors in remaining openstack_dashboard/
  * Fix E128 errors in openstack_dashboard/dashboards/project/
  * Imported Translations from Transifex
  * Make "VLAN", "VXLAN" and "GRE" translatable
  * _formset_table_row.html missing i18n tag
  * Hiding device name field when unhandled
  * Imported Translations from Transifex
  * Fix E127 errors in remaining openstack_dashboard/
  * Fix E128 errors in openstack_dashboard/dashboards/admin/
  * Fix E128 errors in horizon/
  * Fixes KeyError in floating ip unit test
  * Imported Translations from Transifex
  * Fixes poor error message when deleting networks
  * [Sahara] style the template parameter configuration filter
  * Improve list groups roles performance
  * Remove unused openstack.common.importutils
  * Use timeutils from oslo.utils
  * Updated from global requirements
  * Updates to horizon settings.rst
  * Fix sidebar background color
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Updated from global requirements
  * Use strutils from oslo.utils
  * Migrate jsonutils to oslo.serializer.jsonutils
  * Sync oslo-incubator for fileutils, log and policy
  * Imported Translations from Transifex
- Rebased patches:
  + 0001-Do-not-load-jasmine-without-DEBUG-setting.patch (manually)
  + suse-fix-webroot-paths.diff (manually)
- Compile .mo files from .po files during build. .mo files removed
  from upstream git and tarballs
- Update enabled languages
* Mon Oct 20 2014 dmueller@suse.com
- install licenses
* Mon Oct 13 2014 dmueller@suse.com
- fix typo
* Fri Oct 10 2014 dmueller@suse.com
- fix scss directory permission
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev307.g9efb281:
  * [Sahara] Added ability to specify security groups for node group
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev305.g9a0de82:
  * Imported Translations from Transifex
  * Fix concatenation in more misc actions
  * Fix concatenation in Network and Router actions
  * Job Execuiton form improvement
  * Fixes downloading a keypair
* Mon Sep 29 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev295.g368f8be:
  * Imported Translations from Transifex
* Sun Sep 28 2014 dmueller@suse.com
- fix install of rickshaw.css
* Sun Sep 28 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev294.g2e869db:
  * Fix for Data Processing Templates copy
  * Disable buttons opening the modal forms on page unload
* Sat Sep 27 2014 opensuse-packaging@opensuse.org
- Rebased patches:
  + 0001-Do-not-load-jasmine-without-DEBUG-setting.patch (manually)
  Sat Sep 27 08:52:08 UTC 2014 -
- Update to version horizon-2014.2.dev290.gcf2c633:
  * Imported Translations from Transifex
  * Updated from global requirements
  * Fixing issue with editing N1K network profiles
  * Checking session timeout before authentication
  * Fix concatenation in data processing actions
  * Fix concatenation in Volume related actions
  * Fix concatenation is misc delete actions
  * Fix concatenation in firewall related actions
  * Rename Extra Specs with Metadata in Flavors table
  * Move datepicker language js inclusion outside compress
  * Updated from global requirements
  * XMLHttpRequest header instantiation for Django-Angular
  * Datepicker locale support
  * Instance customization script can now be uploaded as file
  * Fix policy check for subnet operation
  * Fixes double evaluation of AngularJS in modal box
  * Add mixin to replace replicated get_policy_target
  * Preserve dashboard order configured from settings
  * Fixed missing Launch as Instance for snapshot
  * Fixed typos in the QOS Spec forms in Volume Types
  * Add additional attributes to choices in ChoiceField
  * Fixing template compatibility
  * Device Size field now pre-fills with appropriate value
  * Imported Translations from Transifex
  * Only show type field on specific volume sources
  * Added no_autocomplete attribute to password form
  * [Sahara] Replaced several IDs with names and names with links
  * Making credentials optional for data sources
  * Allow setting config drive option when launching instance
  * Added missing floating IP pool section
* Tue Sep 23 2014 dmueller@suse.com
- Update to version horizon-2014.2.dev230.gf9c969c:
  * Always split template names on forward slash
  * Replace Ceilometer ClientException with HTTPException
  * Put units in paranthesis in Create Flavor form
  * Revert "Style network address for subnet as required field"
  * Imported Translations from Transifex
  * Sahara small UI fixes
  * Updated from global requirements
  * Handle correctly protocol 'ANY' in firewall rule
  * Aggregates metadata cleanup
  * Imported Translations from Transifex
  * Images metadata cleanup
  * Updated from global requirements
  * Give size field default value (Create Volume)
  * Workaround for negative vals in total*Used in nova absolute_limits
  * Removing obsolete reference to lesscpy
  * horizon ignores region for identity service
  * Made Admin State choice more human readable
  * Uniquify horizon messages returned in a single response
  * Reuse API client object in a request
  * Translation feedback - Add contextual marker for short strings
  * Dismiss flavor detail pop-over on users next click
  * Ability to add form confirm/cancel button labels
  * Remove #noqa from two common imports and add them to import_exceptions
  * Bringing HACKING.rst in correspondence with tox.ini
  * Add columns to the job executions page
  * Update border-radius css and remove mixin
  * Style network address for subnet as required field
  * Modified docs to list supported browsers
  * Remove the urlquote to arguments passed to reverse
  * [Sahara] Fixed cluster template creation
* Thu Sep 18 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev168.gdbb8027:
  * Flavors metadata cleanup
  * Imported Translations from Transifex
  * rephrase action_past text in Access & Security panel
  * Fix concatenation in Delete Rule action
  * Fix concatenation in network tables
  * Added links to other pages instead of just ID's
  * Fix concatenation in Delete Image action
  * Update Usage Comments for DeleteAction
  * Remove concatenation from Delete Flavors
  * Update Users Table to Avoid Concatenation
  * Show floating IP associated with Load Balancer VIP
  * Fixed add_bootstrap_class template filter
  * Fixes broken rendering of dashboard for IE
* Wed Sep 17 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev142.ga56070d:
  * Capitalise 'router' in create router templates
  * Imported Translations from Transifex
  * Replace pgettext with pgettext_lazy to display translated string
  * set max_length on volume/snapshot description text area
  * Fix cancel button size in modal dialogs
  * Filter does not work when table name has spaces
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev132.gd55368b:
  * swift: Respect the OPENSTACK_SSL_NO_VERIFY setting
  * Enable flavors metadata update
  * Stop using intersphinx
  * Permit 'exceptions' to be omitted from HORIZON_CONFIG
  * Enable host aggregate metadata update
  * fix the logic of api.lbaas._pool_list
  * Translation feedback - Correction/update of help texts
  * Fixed the nagging 404 errors in the unit test
  * Fix border colors for Firefox
  * Fix alert styling using "error" instead of "danger"
  * Add quota validation to volume extending size
  * Barchart popup window position is broken
  * Handle TypeError from table column summation code
  * Fixup trove screens for Bootstrap 3 changes
* Mon Sep 15 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev105.gbd998fb:
  * Imported Translations from Transifex
  * Use integer instead of string for form max_length
  * Imported Translations from Transifex
  * Corrected dash.can_access call to take context
  * Enable QOS Specs to be associated with volume type
  * Order tenants in tenant switch list
  * Order regions in region list
  * Fix AttributeError in VolumeSnapshot
  * Switch to xstatic-bootstrap-datepicker
  * Refactor test code to reduce duplication
  * Remove NotImplementedErrors from "virtual" methods
* Sun Sep 14 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev83.g874af9b:
  * Set the correct min_disk size when creating volume from image
  * Updated from global requirements
  * Widget to expose the metadata catalog from glance
  * QOS edit, create, and delete functionality
  * QOS Specs - added edit feature
  * Navigation causes undefined error when clicked on twice
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev71.ga775c65:
  * Imported Translations from Transifex
  * Fix host listing in live migration
  * Allow some translations to be made
  * Allow translators to translate BatchActions
  * Hiding "Launch as Instance" if volume is not bootable
  * Added new filter class for sub-service tables
  * Allow adding or changing the CSS classes of a data table
* Fri Sep 12 2014 dmueller@suse.com
- fix requires to XStatic packages and others
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev57.g5526d42:
  * Show floating IPs from other projects of admin instance table
  * Replace "tenant" with "project" in visible strings
  * Avoid string concatenation in Volume Type Extra Spec Edit
  * Corrected AZ FilterAction and table filter
* Thu Sep 11 2014 dmueller@suse.com
- adjust requires (we need python-saharaclient now)
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev49.ge68f63f:
  * Index.html fix for startpanel command
  * Fix auto-filled object names enabling upload button
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev45.g29f3782:
  * Updated from global requirements
  * Validation check if exceeding vol snapshot quota
  * Fix password reveal icon for Bootstrap 3
  * Add templates for bootstrap's horizontal forms
  * Add attributes to cell in a table depending on data
  * Description clean-up for volume actions
  * Imported Translations from Transifex
  * Fix missing trailing commas for modal dialogs
  * Updated from global requirements
  * Support new IPv6 subnet modes in Neutron
  * Ensure duplicates are removed from image list
  * Fix Cancel button styling
  * Updating the environment version
  * Fixed incorrect position of modal container
  * Volume Types tab with QOS Specs
  * Fix Cancel buttons in Custom Property dialogs
  * Fix LinkAction class name for Domain and Project
  * Imported Translations from Transifex
  * Port details template missing some translation
  * Not compressing a specific js bloc
  * Domain Role assignment to Users
  * User keystone policy to check if user password can be updated
* Fri Sep  5 2014 dmueller@suse.com
- Update to version horizon-2014.2.dev2.gf95391e:
  2014.2.b3
  * Made storage location help text more descriptive
  * Need ability to evacuate host in syspanel
  * Render hidden stack parameters with a password field
  * Context selection for project and region
  * Allow forms to disable autofill in all browsers
  * Add Font Awesome icons
  * Fix order of arguments in assertEqual
  * Fix for adding panel to panel group via plugin
  * Map quota keys to translatable strings
  * Fix wrong redirect url after instance resizing
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev421.g6d8a59b:
  * Updated from global requirements
  * Imported Translations from Transifex
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev417.g8e11b80:
  * Display Network panels based on neutron ext-list
  * Add a None option to the CONSOLE_TYPE setting
  * Quota error message should be more descriptive
  * Imported Translations from Transifex
  * Port details template missing some translation
  * Not compressing a specific js bloc
  * Domain Role assignment to Users
* Mon Sep  1 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev413.gf0e2b01:
  * Quota error message should be more descriptive
  * Imported Translations from Transifex
  * Updating case on requirement to satisfy pip
  * Port details template missing some translation
  * Upload volume to image service
  * Not compressing a specific js bloc
  * Domain Role assignment to Users
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev400.gf4d33f5:
  * Allow auto device name for attach volume
  * Instance Action Dashboard Blueprint
  * Disable Floating IP features if Neutron router is disabled
  * Add a config option to disable Router panel
  * Add "Edit Router" to allow to change router type
  * Updates the OpenStack Settings Description for API_RESULT_PAGE_SIZE
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev389.gf3da516:
  * Add missing mock to test_set_external_network_empty
  * Imported Translations from Transifex
  * Improve help messages on modals
  * sort Create Node Group Template's Flavor List
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev382.g052a6fe:
  * Small SCSS fixes of overview charts
  * Allow table actions to be displayed in a menu
* Wed Aug 27 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev378.g9330c17:
  * Show validation errors in modal forms
  * sort Database Launch Instance Flavor list
  * Enable changing volume type of a volume
  * Horizon changes for DVR
  * Data Processing Adding support for Spark jobs
  * Validate cores and ram when booting instance
* Tue Aug 26 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev366.g987c83a:
  * Imported Translations from Transifex
* Tue Aug 26 2014 dmueller@suse.com
- Update to version horizon-2014.2.dev364.gb08bd4f:
  * Fix handling of missing external network
  * Allow to hide Y axis label
  * Imported Translations from Transifex
  * Importing with_statement from __future__ is useless
  * Refactor network topology JSONView class
  * Provide a quick way to run flake8
  * Imported Translations from Transifex
  * Updated from global requirements
  * Exclude .ropeproject from flake8 checks
  * Correct return values of mocked methods in LBaaS API test
  * Add Data Processing missing translations
  * Add instructions for packaging JS libs
  * Fix Data Processing image registry
  * Fix improper HTML in base template
  * Suppress expected exception messages in unit test
  * Remove hard coded URLs from metering view
  * Ensure document ready before auto download
  * Fix wrong config values displaying
  * Data Processing post-bootstrap 3 UI fixes
  * Fix bootstrap issues on Volume Backups dialogs
  * Imported Translations from Transifex
  * Fixed issue of 'terminate instance' with fresh login
  * Fixed jshint gating errors
  * Fix odd row last cell border colors on Firefox
  * Fix IE spacing for pie charts
  * Use a singly created set while copying cookies
  * Imported Translations from Transifex
  * reduce the height of the textarea to 4
  * Fix bootstrap issue on Volume Backup Details page
  * Made Availability Zone mandatory for Aggregates
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev247.g8de082d:
  * Remove the word 'More' in the row actions split button
* Sat Aug 16 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev245.gd049ede:
  * rename pagination 'More' link to 'Next'
  * Remove redundant template from data_processing/data_plugins
  * Imported Translations from Transifex
  * Fix list of possible trove instnace status choices
  * Stop preloading the Volumes tabs
  * Exception handling is captured correctly when deleting a container
  * Adds keypair create,delete integration tests
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev231.g9498ca1:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Initialize table action buttons for lazy-loaded tabs
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev226.gd801288:
  * Change value of None in encrypted volume field from "Maybe" to "-"
  * Imported Translations from Transifex
  * Add Volume Snapshots table to Admin Volumes
  * Allow form to stay modal after uploading file
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev219.gb12c534:
  * Allow access to HTML final class string
  * Run the integration tests headlessly
  * Imported Translations from Transifex
  * Redefine instance.security_groups as list
  * Enable updating the status of a volume
  * [Sahara] Added error handling for cluster template list
  * Rename Trove create database dialog
  * Add API filtering to paged tables
  * Remove hard-coded static prefix from JS and CSS files
  * Fix policy check for LoadBalancer panels
  * Change trove instance table name
* Tue Aug 12 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev197.ga26c79a:
  * Imported Translations from Transifex
  * Remove the "Currently Not Supported" field from "Add VIP"
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev194.gd0defb3:
  * Cleans up the translation
  * Make some new strings translator friendly
  * Ability to create data sources from job launch
  * Fix 'Associate' and 'Disassociate Monitor' actions
  * Automatically discover "Image Format" based on file extension
  * Rename add_error methods: Django 1.7 conflict
  * Imported Translations from Transifex
  * Fix network select widget for launching instances
  * Rename selenium.py -> selenium_tests.py
  * Fix tab show/shown handlers for bootstrap v3
  * Add test skip decorator when service not available
  * Replace force_unicode with force_text
  * Fix instance flavor popover table
  * Provide docstrings for horizon tables DeleteAction
  * Redirect to the current page after edited instance
  * Imported Translations from Transifex
  * Fix unexpected return from Step::__init__()
  * Updated from global requirements
  * add Previous link to Project > Stacks table
  * Spelling correction in exception
  * Add missing inline edit save and cancel icon
  * Support provider network extension when creating network
  * template to rely on the the "id" attribute
  * Fixed cannot delete router port because of permission denied
  * Fix Volume DeleteBackup success message
  * Add missing Disk unit to Overview Usage
  * Re-raise exception using six
  * Delete Stacks button doesn't work
  * Fix broken Subnet Wizard by updating to latest library
  * Upgrade django-pyscss to version 1.0.2
* Mon Aug  4 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev93.gccc8c1a:
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Fix and enable H701 check "Empty localization string"
  * Fix and enable H702 _() method check
  * Properly inline help icon for form checkboxes
  * Terminate Instance button doesn't work
* Sun Aug  3 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev84.g588d1de:
  * Fix and enable H702 _(
  * Fix Sahara cluster templates details
  * Data Processing: Fixing update of execution status
  * Add string translation
* Sat Aug  2 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev77.g8b729ea:
  * Make project optional during User creation
  * Fix wide input fields on Resource Usage > Daily Report tab
* Thu Jul 31 2014 tbechtold@suse.com
- Update to version horizon-2014.2.dev73.g134c8e6:
  * Re-enable flake8 check
  * Updated from global requirements
  * Fix Flake8 style warnings in openstack_dashboard/
  * Imported Translations from Transifex
  * Fix Flake8 style warnings in horizon/
  * Use default_project_id as user project for keystone v3
  * Updated the steps of the tutorial
  * Change Admin Volumes to a tabgroup
  * Data Processing: Allowing for HDFS data sources without hdfs://
  * Add vCPU topology related extra flavor keys
- Refresh 0001-Do-not-load-jasmine-without-DEBUG-setting.patch
* Wed Jul 30 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev54.gb077a8b:
  * Add some missing '+' icons
  * Fixed wrong quota check for instance launch
  * Imported Translations from Transifex
  * Some 'Create' buttons missing '+' icon
  * Updated description of create volume type dialog
* Tue Jul 29 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev45.g9690232:
  * preserving dashboard order for update_dashboards call
  * Update Twitter Bootstrap to version 3
  * Imported Translations from Transifex
  * Add metadata option to Nova Create API Wrapper
  * Remove Cinder traces from test output
  * Cleanup for Horizon fields
  * Cleanup for Sahara fields
  * Remove per-feature extension check method in api/neutron
  * Data Processing: Fixing UI refresh for deleted clusters
  * Data Processing: Adding keypair import from launch cluster dialog
  * Data Processing: Making cluster template field required
  * Sync keystone policy file
  * Display host address on row update
  * Fix security group modal header overflow
* Sat Jul 26 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev18.g1881e1e:
  * Replace mimetype argument name with content_type
  * Adding start/end time to data processing-job execution details
  * Imported Translations from Transifex
* Fri Jul 25 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev12.g45960a1:
  * change spelling Ram to RAM for consistency
  2014.2.b2
  * Adding Jobs and Job Executions panels for Sahara
  * Update exception map based on neutronclient exception rearrange
  * Adding Job Binaries panel for Sahara
  * Data Sources panel for Sahara
  * Make distinction for disabled text field in membership step
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev299.g8c9b86f:
  * Imported Translations from Transifex
  * Replace UserManager with None in tests
  * Fixing data processing image registry
  * Tolerate service catalog and endpoint connection errors
  * Settings page ChangePassword page and their tests
  * Rename Host to Allowed Host
  * Adding cluster_template and cluster panels for Sahara
  * AttributeError at attaching a non-existent volume
  * Fixes bad performance when editing project members
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev283.ga1cf7e4:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Add knobs for setting MAC learning on ports
  * Add support for trove incremental backups
  * Add a proper IPv4 sorter for jquery-tablesort
  * Made import key pair examples more specific
  * Add scss logger configuration
  * Run integration tests full screen
  * fix project quota showing error and success message
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev267.ga0f7235:
  * Imported Translations from Transifex
  * Add create and update times for trove components
  * Volume Type Extra Specs support
  * Add ability to manage image custom properties
  * Adds option to select a different subnet when adding 'vip'
* Mon Jul 21 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev258.g07b36f7:
  * Breakdown CSS: split out the resource browser
* Sun Jul 20 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev256.g1f87945:
  * Run router dashboard unit tests by default
  * Trove backup should have link to instance
* Sat Jul 19 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev252.gb04f020:
  * fix Instance table's Flavor Detail popover not showing up
  * 'Create Volume Snapshot' form should show the quota for snapshot
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev248.g099877f:
  * Initial support for datastore in Horizon
  * Imported Translations from Transifex
  * Don't recommend setting SESSION_COOKIE_HTTPONLY
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev243.g0b814c2:
  * Fix typo in select methods definition
  * Display flavor details in instance listing in a popover
  * Imported Translations from Transifex
  * Imported Translations from Transifex
  * Remove Cinder traces from test output (add missing mock)
  * Improve display of flavor information for trove
  * Adding nodegroup_template panel for Sahara
  * Move _datepicker.scss to a correct place
  * Cleaned up dict.update(single elem dict) code
  * Add datastore and version information for backups
  * Display volume size for trove instances
  * Add IMAGE related settings to documentation
  * Add support for resize of Trove volume
  * Rename Trove panels to remove redundant information
  * Move the HTML-escaping JavaScript code to a separate function
  * Adding the data_image_registry panel for Sahara
  * Add max-width and ellipsis to project names in the tenant switch
  * LBaaS member creation enhancement
  * Add heading property to BasePage class
  * Update 'Create Volume' button with ajax
  * Incorrect config item in local_settings.py.example
* Sun Jul 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev201.g80a5ebd:
  * Updated from global requirements
  * Consistent handling of choiceField for backups
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev197.g0ced3e6:
  * Fixing subproject test runs
  * Fix the requirements for a django library
  * Trove Details pages should be plural
  * Trove navigation panel should not be plural
  * Remove requirements style check
  * horizon_workflow.scss could be more scss-like
  * Removing decimal place when it's 0
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev183.g322004f:
  * adapt to python-novaclient-2.18.0
* Thu Jul 10 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev182.g0093ef0:
  * Imported Translations from Transifex
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev180.g5323bb1:
  * Fix multiple Cross-Site Scripting (XSS) vulnerabilities
    (bnc#885588, CVE-2014-3473, CVE-2014-3474, CVE-2014-3475)
* Tue Jul  8 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev178.g1a06053:
  * Imported Translations from Transifex
  * Fix adding members to a group
  * Adding support for volume backups
  * Long container names no longer break the page
  * Reinstate highlighting of selected container in Containers view
* Mon Jul  7 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev168.gf5477fc:
  * Hide "Download EC2 Credentials" if EC2 is missing
  * Updated from global requirements
  * Network topology crashes with timing issue
  * Add a table customisation example to the docs
* Sun Jul  6 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev160.gbda102a:
  * Raise NotImplementedError instead of NotImplemented
* Fri Jul  4 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev158.g0c04a62:
  * Imported Translations from Transifex
  * Implement missing mocks to remove error noise during test run
  * Log Trove API errors on databases tabs
  * Users can now be deleted within trove
  * Imported Translations from Transifex
  * Updated from global requirements
  * cannot add users to groups
  * Correct styles for workflow update members step
  * Unbundle jquery from horizon using xstatic
  * Add OS_REGION_NAME to openrc
  * Adding link_attrs to column
  * Raise sane error when failing to modify security group
  * Specify a Network During Database Instance Create
  * Remove unused load of sizeformat
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev131.g956c99e:
  * Updated from global requirements
  * Use SCSS instead of LESS
  * Imported Translations from Transifex
  * Allow panel plugins to use ADD_EXCEPTIONS and UPDATE_HORIZON_CONFIG
  * Adding plugins panel for Sahara
  * Container:improve 'Copy Object' help description
  * Make xvfbwrapper import dependent on the selenium imports
  * Fix Updated At label
  * Added button Add Interface on Network Topology tab
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev114.g8a5a1e0:
  * Imported Translations from Transifex
  * Making compute services status fields consistent
  * add Previous link to Admin > Images table
  * Copy the selected file name in the object name field
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev107.g75a5f5f:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Add jshint for javascript linting
  * Add CLI option for running Selenium tests headless
* Sat Jun 28 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev100.gfa3ed46:
  * Add extra_context to SetInstanceDetailsAction.get_help_text
  * Updated from global requirements
  * Make the More link translatable
  * sort snapshots in drop-down when launching instance
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev93.gf712ed0:
  * add httplib2 explicitly to requirements.txt
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev92.g8b724af:
  * Fix typo in calling is_the_current_page method
  * Check neutron agent extension support in Info page
  * Imported Translations from Transifex
  * Make security rules with All translatable
  * Fix inconsistent inline help text in forms
  * Allow running a subset of the integration tests
  * Exclude security group related quotas when the extension disabled
  * Fix version display position on system info page
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev76.gd794ed3:
  * Imported Translations from Transifex
  * Fixing the instance boot source
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev73.g8d54a24:
  * Updated from global requirements
  * Imported Translations from Transifex
  * Disable broken unit test (related to "Change Password")
  * Add missing "load url from future" in a container template
  * Do not render port template if device has no port
* Sat Jun 21 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev64.g0bd4350:
  * Fix issues with importing the Login form
  * hyperlink from hypervisor page to instance details
  * Upgrade jquery to version 1.10.2 with jquery-migrate
  * Database Launch Form shouldn't autocomplete
  * Improve extend volume form
  * replace dict.iteritems() with six.iteritems(dict)
  * Fix delete button interface in network topology view
  * 1284884 Overlogging of failed container delete
* Fri Jun 20 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev48.gd174539:
  * Remove the unused success_url and return
  * Exception traces in the test output
  * Imported Translations from Transifex
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev42.g5bcebf7:
  * Imported Translations from Transifex
  * Delete debug statement in js file
  * Display Horizon version number in System Info page
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev36.g3a9d465:
  * Fix keystone warnings while building docs
  * Remove warnings when generating docs
  * Add text to the Create Volume dialog's Type menu
  * Sort security group rules by protocol and port
  * Accept translated exceptions in exceptions.handle
  * Admin Hypervisor table - change order of columns
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev24.gc7f9b35:
  * Update customizing docs, css was replaced by .less
  * Fix Instance Image Name cell value
  * policy checks for nova access/security actions
* Sun Jun 15 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev18.g01d2496:
  * Adding sahara client api code
  * Add encryption indicator for volumes
  * Fix testing fails on specific platforms
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev12.gd540cb6:
  * Ensuring environment data is passed to heat template validate
  * Removed the link to the outdated horizon demo
  * Country names in capital letters
  * Not able to delete a pseudo-folder via horizon
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev4.g61ca72b:
  * Fix for UPDATE_HORIZON_CONFIG listed as part of Icehouse in the docs
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev2.gc113b99:
  2014.2.b1
  * Use import from six.moves to import the HTMLParser module
  * Friendlier information for lbaas members creation
* Wed Jun 11 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev318.g17123af:
  * Imported Translations from Transifex
  * Handle error from neutron extension check in Overview page
  * APIDictWrapper getitem lookups fail for non str
  * Image uploads should always happen in the background
  * Use six.add_metaclass instead of __metaclass__
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev308.g439b54a:
  * Introduce safer access to resource meters
  * Images table/detail view term consistency
  * volume details page does not show source image details
  * Add "Size" column to Image Table
  * Prevent error message when creating a user
  * UX improvements for Launch Instance dialog
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev296.g8109f73:
  * Fix issue when Nova does not support DiskConfig
  * Display cinder services in System Info
  * Do not delete properties when create image from URL
* Sat Jun  7 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev290.g6c78f80:
  * Change Column name from Enabled to Status
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev288.gc28c221:
  * Sort project list by openstack_auth
  * Remove extra div
  * added disabled reason to column status in listing of compute services
  * Add "new in" tags for pre-Icehouse settings
* Sat May 31 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev280.g9047451:
  * Remove "Panel" from navigation elements
  * Allow extensions to add Angular modules
  * Patch Django 1.4 on Python 2.7.4 or greater
* Fri May 30 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev274.g2f57805:
  * Imported Translations from Transifex
  * Inactive calendar widget should be closed
  * adding policy check for neutron
  * wrap_list is not honored for not-editable cells
* Thu May 29 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev266.g93d4285:
  * Imported Translations from Transifex
  * Synced jsonutils from oslo-incubator
  * Add user and password parameters to _do_login
* Wed May 28 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev261.gd3f4bf4:
  * Remove extra whitespace
  * Fixed several typos in comments
  * Fix the default text for Instance Boot Source
  * Volume Snapshots tab - more button dropdown fix text
  * Document how to add panel with no panel group
  * Make selenium tests pass in WebKit
  * Add unit tests to instance Retrieve Password action
* Tue May 27 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev247.gb77cf55:
  * Make selenium tests more robust
  * Show default text for image format
  * update language list in openstack_dashboard settings.py
* Sun May 25 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev242.g5eaa984:
  * Add a column to show if Extra Specs are defined on a Flavor
* Sat May 24 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev240.gbc58a68:
  * Fixed status on Cell class
  * Fix missing translations in Firewall views
  * Adding bootable as a column in volumes table
* Fri May 23 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev234.g440515a:
  * updated description of the create image screen
  * Exception handling should not use exc.message
  * More clear message when detaching volume
* Wed May 21 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev228.g387c3d6:
  * Updated from global requirements
  * Removing non-bootable volumes from boot source
  * Refactor code around Console support
  * Fix hide drop_arrow.png if only one tenant
  * CSV Download button from Daily Usage Report
  * not display loading image for rescued instances
  * Icehouse release notes
  * Add "new in" tags to docs for new Icehouse settings
  * Move `Forbidden` exceptions to `RECOVERABLE` group
* Mon May 19 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev211.gcacd93e:
  * Integration tests - base class for all tests
* Sat May 17 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev209.g155339a:
  * Change mbformat to mb_float_format in hypervisor table
* Thu May 15 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev207.gb11d2ae:
  * Fix row updates for tables without quicksearch filtering
  * Fix fake_init_exception() to better handle Neutron exceptions
* Wed May 14 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev203.g3adf228:
  * Fix build instructions and formatting in README
* Tue May 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev201.g7890f90:
  * Remove extraneous vim configuration comments
  * Fix the dot overlaps with the table border in Availability Zones table
* Mon May 12 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev197.g554f23a:
  * Add update method of snapshot name and description
* Sun May 11 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev195.gecd49db:
  * ValueError when cookie pagesize is empty string
* Fri May  9 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev193.gb791407:
  * added field 'delete on terminate' (launch/volume)
* Thu May  8 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev191.g4cff4e0:
  * Fix max_length value for flavor's name
  * Fix pseudo-folder content listing
  * Updated from global requirements
  * Preventing __builtins__ from being in HORIZON_CONFIG
  * Use floats instead of integer in memory calculation of admin dashboard
  * Allow static files to be exposed for any plugin
  * Fix start date should after end date in calendar
* Wed May  7 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev177.g37f2426:
  * To allow keypair name could contain spaces
  * add missing references to policy files
  * Changes in assert message and select dropdown
  * Increase the datepicker input width
* Tue May  6 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev169.ga2d9912:
  * Refer local_settings in doc to customize settings
* Mon May  5 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev167.g2bb027e:
  * fixed typos found by topy
* Sun May  4 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev165.g775c01e:
  * Use escapejs filter on JavaScript strings
* Fri May  2 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev163.g6f212f8:
  * Fix unicode error when assertMessageCount() fails
  * Avoid attr error on database backup page
  * Avoid AttributeError: SecurityGroup error handle
* Thu May  1 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev157.g53eb116:
  * Update documentation to clarify Image Upload setting
  * Fix endpoint error when running keystone on apache
  * Flavor access list titles consistent capitalization
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev151.g62c7667:
  * Enable passing additional parameter to metering query
  * Added the field label to the field arguments
  * Added tabindex value to links in the sidebar
  * Fixing Neutron Subnet Details help text
  * Hide disk config option if the extension is not supported
  * Fixes wrong logic for clean method in SetInstanceDetailsAction
  * Add sort indicator to table headers
  * Add semi-colons in Less files
  * Allow changing any horizon settings from the plugin config files
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev133.g84ca8a9:
  * Updated from global requirements
* Wed Apr 23 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev131.gc30cc37:
  * Clear barchart before rendering it
  * Correct default usage filtering on overview page
  * Add go_to_home_page method and two more properties
  * Update Launch Instance button with ajax
* Tue Apr 22 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev123.ged0f810:
  * Add a launch instance action to volume & snapshots screens
* Mon Apr 21 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev121.gdc8bd1e:
  * Fix KeyError in router:AddInterface error handle
  * Sync latest Oslo
* Sun Apr 20 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev117.g042ea52:
  * Use the latest Django 1.4 release to test Horizon
  * Support for django csrf token
  * Replace Horizon cookies by the angular one
  * Do not auto resize line charts by default
  * Create links in LBaaS detail pages
* Sat Apr 19 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev107.g4c1775f:
  * Remove trailing commas in JS files
  * Textarea field can be extended over other fields
  * Return False if instance is None in TogglePause and ToggleSuspend
  * Perform natural sorts on "Hostname" column on the Hypervisors panel
  * Fix translatable string for "Injected File Path Bytes"
  * Add a centralized palette to Horizon
  * Just fix some minor coding styles inconsistency in local_settings.py
  * Use "python -m coverage" rather than use "coverage" explicitly
  * Daily Usage report format value column
  * Fix DynamicSelectWidget.get_add_item_url() method
  * Better tab name on Hosts Aggregate modal
  * Add tox env to build docs
  * Tell users when there is no data available in Daily Report
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev81.g4ffbe8e:
  * Propagate logout_reason messages
  * Add missing comma in Volume ResourceWrapper class
  * Fix formatting of heat exceptions
  * Fix default get_user_home with dynamic dashboards
* Thu Apr 17 2014 dmueller@suse.com
- readd 0001-Do-not-load-jasmine-without-DEBUG-setting.patch
* Thu Apr 17 2014 dmueller@suse.com
- update openstack-dashboard.conf.sample to with media and
  static aliases
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev73.gf0eeab5:
  * Centre piecharts properly
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev71.g85c7188:
  * Fix excessive ajax session thrash
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev69.g38a49a0:
  * TypeError in database view error handle
  * Check host is not none in host aggregate page
* Sun Apr 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev65.gfc04273:
  * Fix timestampSorter parser
  * Make wizard workflow work when non-modal
  * Stop altering the glance API URL
* Sat Apr 12 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev59.g5ed79c9:
  * Use the domain filter provided by keystoneclient
  * Updated from global requirements
  * Fix tox does not pass arguments to nose
  * Adding python-saharaclient to requirements
* Fri Apr 11 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev52.gbcae06a:
  * use ec2-user instead of ec2_user
* Thu Apr 10 2014 dmueller@suse.com
- remove 0001-Do-not-load-jasmine-without-DEBUG-setting.patch:
  * fixed differently via https://review.openstack.org/#/c/79378/
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev50.g00509e6:
  * filter always returns the last created item
* Wed Apr  9 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev48.g198dba6:
  * Introduces escaping in Horizon/Orchestration
  * Add pagination to stack list
  * Add logging handler for openstack_auth in the tests
  * Use built-in print() instead of print statement
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev41.gb946767:
  * Changed message when there are no IP available addresses
  * Redirect to the proper tab on creating vol/snap
* Sun Apr  6 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev38.g1cd719d:
  * Remove unused openstack.common modules
  * Ensure TabGroup to handle bad GET parameter
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev34.g6ae3d79:
  * Add a timestamp parser for jquery tablesorter
  * Improve Host Aggregates handle method
  * Don't ignore the HORIZON_CONFIG['user_home'] setting
  * Fix settings titles and underlines
  * Fix documentation about adding a new dashboard
  * Cardinal interpolation error
  * Add missing mock for cinder.default_quota_get
  * Fix create instance workflow help typo
  * Integration tests - page objects pattern
  * Hide column on multi_select tables if no actions available
  * Enhanced error message when router creation failed
  * Upgrade bootstrap-datepicker.js to latest version
* Thu Apr  3 2014 dmueller@suse.com
- adjust branding version
* Thu Apr  3 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev10.g022e719:
  * Group specific fields in horizon.form module
  * Fixes some column translations
* Tue Apr  1 2014 cloud-devel@suse.de
- Update to version horizon-2014.2.dev6.gf4282f7:
  2014.1.rc1
  * Open Juno development
  * Added network's api mocking for the servers_update_addresses method
  * Make "Gigabytes" quotas description more meaningful
  * Remove duplicate colon from Size string
  * Enable settings/change password on keystone v3
  * Handle "null" time values for Stacks
  * Adding policy checks for heat
* Sun Mar 30 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev128.gd7f33e1:
  * Plugin-based panel group configuration
  * Fix Exceptions doc page generation
* Sat Mar 29 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev124.g39ce275:
  * Updated from global requirements
  * Adding missing system dependencies to quickstart
  * Remove the update default quotas feature
* Fri Mar 28 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev118.g5c6ca40:
  * Remove non dev dependency on mox
  * Clarify description string for image metric
  * Remove English compiled catalogs after compilemessages
  * Make makemessage ignore option work with Django 1.6
  * Switch over to oslosphinx
* Thu Mar 27 2014 dmueller@suse.com
- add 0001-Do-not-load-jasmine-without-DEBUG-setting.patch
* Wed Mar 26 2014 dmueller@suse.com
- fix django compat with SLE11
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev109.g857ccf9:
  * Sync default OPENSTACK_KEYSTONE_DEFAULT_ROLE with keystone
  * Add dependencies on Quick Start page
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev105.g3554c02:
  * Fix wrong links to volume detail
  * Pre-select the network when there's only one
  * Enforce length checking for instance name field
* Mon Mar 24 2014 dmueller@suse.com
- fix requires
* Sun Mar 23 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev99.gca0e1e0:
  * Add missing trunk segment type option for profile create
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev97.g693ac5e:
  * Update .tx/config with type of files
  * Disables the clear text password UI by default
  * Selected instances are not deleted with pagination
  * Fix middleware to not access session fields without user auth
* Wed Mar 19 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev89.g19e09f6:
  * Fix project name in the table for Cisco N1K profiles
  * Fix distribution pie chart
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev85.gcc262e8:
  * I18N: Fix untranslatable strings in LBaaS workflow
  * Remove get_resource_or_fake method in VPN panel
  * Changed the label from Edit Rules to Manage Rules
  * Allow 'Manage Host' to show membership action
* Mon Mar 17 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev77.gca985b6:
  * Make project left-side menu titles consistent
  * Error message in create vol with a vol source
  * Fix unbound local error in instance DetailView
  * Fix Membership list loading bug
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev69.g2cc5dc2:
  * Remove I18N strings from test/settings.py
  * Host aggregates missing the metadata column
  * Remove verbose_name from hidden fields
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev63.g9a09a8c:
  * Update "dashboard" setting documentation
  * Hidden checkboxes in Availability Zones table
  * Handle failures on column filters more gracefully
  * Live Migration should not contain current host in the new host list
  * Remove volume source option on some dialogs
  * Fix wrong key for 'usage.summary.instances' in CSV summary
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev51.g0980f2c:
  * Clarified success message for instance resize
  * Improve help message in Retrieve Password form
  * Fix username's maximum length to match the backend
  * Mark string in routerrule template translatable
  * Allow translator to control the word order (update extra spec)
  * No need to mark strings in test_plugin translatable
  * enable plugins to override templates
  * Fix selenium imports on tests
  * Fixing potential attribute access on None
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev34.g17e1cff:
  * Updated from global requirements
  * Fix unbound locals in IPAssociationWorkflow
  * Add indent to make code more pleasure
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev28.g6de7030:
  * Adding django 1.6 support
  * Updated outdated docstring, fixed typo/space
  * On flavors menu, the _update.html file was deleted
* Tue Mar 11 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev22.ga4e7237:
  * Raise an error when no slug on tab group
  * Fixes description field extension
  * Adding resource link to resource detail page in Heat view
  * Additional optional Environment data to heat template selection
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev14.g116e12c:
  * Updated from global requirements
  2014.1.b3
  * Decrypt and display VM generated password
  * Remove gettext_noop from language list
  * Using '0' instead of '-' in overview page
* Fri Mar  7 2014 speilicke@suse.com
- Add python_requires source service
- Drop python-hacking test requirement
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev246.g6a818a1:
  * Updated from global requirements
  * Fixing heat stack status column
  * Remove copyright in empty __init__ file
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev240.g3a153c8:
  * update test to hit default page instead of login
  * Heat Stack update view/form
  * Host aggregates panel
  * Adds support for Nova RDP console
  * Fix animation on pie charts
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev231.g9f8a5eb:
  * Use unminified javascript files
  * Add flavor extra spec key templates
  * Plugin-based panel configuration
  * Refactor CSV generation code to utils
  * Sort requirement files in alphabetical order
  * Add disk config option support
  * Implementing accordion navigation
* Tue Mar  4 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev217.g7356386:
  * Basic support for Cinder v2
  * Remove delete action and bar when stack is DELETE_COMPLETE
* Mon Mar  3 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev213.g898ccff:
  * Fix typo
* Sun Mar  2 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev212.g24ff867:
  * Integration tests - running the tests
  * Add jasmine testing and helpers
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev208.g1cad534:
  * Enhance pie chart capabilities
  * Remove apps from settings
  * Updated from global requirements
  * update test to handle IntegerField html change
  * Exclude local directory from flake8 tests
  * Replace horizon.utils with an angular one
  * Restrict the length of the Security Group name input
  * get_user_home test fix for django 1.6
* Thu Feb 27 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev192.gac0ccc8:
  * Clean up Cinder client traces in the test output
  * Rename UpdateDefaultQuotas to UpdateDefaultQuotasStep
  * Add missing mocked calls to the Volumes tests
  * Use six.StringIO/BytesIO instead of StringIO.StringIO
  * Replace horizon.conf with an angular one
  * The order of fields have changed for update default quota form
  * Empty email for users gets saved as an empty string
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev180.g56801e0:
  * Reduce number of novaclient calls
  * Allow redisplay of the workflow from its handle()
  * Fixing filesizeformat test issue with Django 1.6
  * sort flavors on Resize Instance modal
  * Updated from global requirements
  * List all tenant images/snapshots on admin images view
  * Keep py3.X compatibility for urllib
  * Use six.moves.urllib.parse instead of urlparse
  * Add Daily Usage tab to Resource Usage panel
  * Use the min_disk property for volume size
  * Add a Row check to enable/disable checkbox on ajax updates
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev159.gb771d46:
  * Enforce FlavorExtraSpecs Key format
  * Fix a code indentation error
  * Move volume snapshots table to volumes panel
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev153.gb41c1db:
  * Bug fix on neutron's API to return the correct target ID
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev151.gfcd50f9:
  * Change redirect of details on admin instance table
  * Fixing issue with VXLAN network profile create
  * 1279979 Neutron TypeError when token invalid
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev145.g3cd50fc:
  * Documented Flavor Sorting Options
  * Action required status shows proper icon
  * Typo corrections in run_tests.sh comments
  * Always pass 'modal' context variable to workflow template
  * Don't lose AttributeError in API Wrappers
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev137.g3cc1746:
  * typos in workflows/views.py
  * Rename Openstack to OpenStack
  * Clear date picker fields every time 'Other' Period is selected
  * Test coverage improvement for FWaaS screens
* Tue Feb 18 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev129.g16a2295:
  * Fix submit button in overview
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Get instance networking information from Neutron
* Sun Feb 16 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev125.gb4972c0:
  * fix templatetag for no fractional bytes
  * Translating entity types in client side templates
  * Make object upload success message translatable
  * Change 'update default quotas' success and failure messages
  * External interface shows as up fake
  * Fix small pep8 issue
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev113.g043085f:
  * Fixing tests to work with keystoneclient 0.6.0
  * Fix form error access for django 1.6
  * Fix table rendering for iterable objects
* Thu Feb 13 2014 cloud-devel@suse.de
- Update to version horizon-2014.1.dev109.gcf252d2:
  * Make two identical LBaaS tests different
* Wed Feb 12 2014 speilicke@suse.com
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Thu Feb  6 2014 dmueller@suse.com
- python-troveclient is required now
* Tue Feb  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev50.g705c60c:
  + Fix Typo in loadbalancers/workflow.py
  + Javascript prohibits the use of bitwise operators
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev47.gc1fbaa8:
  + Javascript force filtering object items
* Fri Jan 31 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev45.g491caf0:
  + Give no background color to the pie charts
* Thu Jan 30 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev43.g9e06d09:
  + Allows the user to create an object without file
  + Remove leftovers of "# noqa"
* Wed Jan 29 2014 vuntz@suse.com
- Move settings.py (default settings) to branding-upstream
  subpackage: a branding package might want to change some default
  settings.
* Wed Jan 29 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev39.g296d3c8:
  + Document the IMAGE_LIST_FILTER_TENANTS setting
* Tue Jan 28 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev37.g7bbeef0:
  + give a fullscreen attribute to workflow, for modal view
  + Change internationalizable string
  + Remove Restore Backup Action For Non-Completed
  + Remove grey line when pie chart is at 100%%
* Sun Jan 26 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev29.gcb6f062:
  + Adding table search framework and use in admin instances
  + adding policy checks for nova instance actions
  + disable volume creation, when cinder is disabled
  + Updated from global requirements
  + LBaaS tests refactoring
  + CSS to fix content appearing below side pane
* Sat Jan 25 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev17.gc5dc4c2:
  + Remove leftovers of django.conf.urls.defaults
  + Translating entity types in network topology
  + 'Update' options for VPNaaS UI
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev11.gcd64561:
  + DataTables: disable action buttons even if there are no checkboxes
  + Consolidate user visible spelling of keypair vs Key Pair
  + Fix inappropriate display for inf value of RAM and Storage.
  + Revert "JSHint integration"
  + Rewrite pieces of code deprecated by Django 1.7
  + Add volume extend functionality support
  + Sync OPENSTACK_KEYSTONE_DEFAULT_ROLE with keystone
  + Make table_actions style work with buttons
  + Replace mimetype with content_type argument of HttpResponse
  + Make hardcoded fields translatable
* Mon Jan 20 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev216.ge578ec1:
  + Fixes create flavor extras success_url
* Sun Jan 19 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev214.gb5661a0:
  + Test coverage improvement for LBaaS screens
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev212.g2b49545:
  + Add asterisk to required field in user edit box
  + Make text in Project Overview - Limit Summary section consistent
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev208.gfdbf85c:
  + Remove unused arg `instances`
  + New message added informing how to exit fullscreen mode.
  + Remove Create Backup Action For Non-Active
  + Do not filter image list from glance api
  + Empty files shouldn't contain copyright nor license
  + Make download an action rather than a column
* Thu Jan 16 2014 dmueller@suse.com
- remove flake8/pep8 requires, they come from hacking now
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev196.gc48b58c:
  + Improve docs about horizon settings
  + Fixes some typos spotted in a few Horizon files.
  + Remove "Delete" buttons when VPN objects are in use
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev190.gf7d00b5:
  + Passing stack_id argument to get_data view
  + Add update method of volume name and description
  + Adding management_url to test mock client
* Mon Jan 13 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev185.g586002b:
  + Don't reset LOCAL_PATH if it's already set
  + Same styling for "Limit Summary" and "Usage Summary"
  + Remove leftovers of django.conf.urls.defaults
  + adding policy checks for cinder
* Sun Jan 12 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev177.g41c1c81:
  + Change "peer_cidrs" field to MultiIpField
  + Inconsistent filesizeformat return value
  + Replace asserts in __init__ files with __all__
  + Wrong marker sent to keystone
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev169.ge47f21a:
  + Wizard UI for Workflow
  + Fixed sphinx ERRORs.
  + Whitelist external netaddr requirement
  + Update to the latest version of the jquery tablesorter plugin.
  + Fix charts display in Resource Usage
  + Refactoring the loadbalancing view classes
* Thu Jan  9 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev157.g028332d:
  + Remove #noqa from most common imports and add them to import_exceptions
* Wed Jan  8 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev156.g6fd1a15:
  + Do not close modal if escape is pressed on select
* Tue Jan  7 2014 speilicke@suse.com
- Only recommend python-selenium. This way we can drop it from C:OS:M due to
  it's ever increasing dependency list
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev154.ge7d50f5:
  + Fix typo error
  + Make running of unit tests more robust
  + Allowing snapshoting attached volume
* Mon Jan  6 2014 vuntz@suse.com
- Make python-horizon require the 2014.1 version of
  python-horizon-branding (and not the 2014.1.xyz version). This
  makes it easier to create non-upstream branding; we already do
  this for the other branding subpackage.
* Sun Jan  5 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev148.g08f41fa:
  + Javascript force use of the curly braces.
  + add support for Django-1.6
  + unify keypair name handling
* Sat Jan  4 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev142.gc61f95d:
  + Adding missing files in JSHint
  + Fix typo in class name
  + Javascript coding style indent 2
  + Javascript force use of the identity operator
* Thu Jan  2 2014 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev134.g87af06a:
  + Updated from global requirements
  + Replace xrange in for loop with range
  + Removal of underscorejs library
  + Fix behavior of select all checkbox
  + Fix pie chart rendering
  + Use memoized_method decorator in views
  + Extend options for custom flavor sorting when launching instances
  + Clean up the hypervisor DataTable members columns
  + Add init value None to port
  + Object Upload validated on client side
  + Access & security, floating IPs tab cleanup
  + Visual improvement on Launch Instance workflow.
  + Add missing egress sec group for all tcp/udp/icmp
* Thu Dec 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev108.g66ae9cc:
  + Delete periods from select options
* Mon Dec 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev107.g58feb1a:
  + Indicate pseudo-folders in containers panel
* Sun Dec 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev106.g2b83767:
  + Set Keypair create button disabled when quota exceeded
  + Add missing __contains__() and get() methods to QuotaUsage
  + Logging error if cookie size is > 4KB
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev100.g10fb496:
  + Set can_set_mount_point default to False
  + Fix URLs of panels grouped into packages
  + Removal of json2.js
  + Use HEAD on Container panel ajax update
  + Increase Horizon base unit test suite.
  + Add architecture field in image properties.
  + Plugin-based dashboard configuration
  + Specify tenant_id when retrieving LBaaS/VPNaaS resource
  + Hide key field in edit Flavor Extra Specs dialog
  + Improve contributor documentation
  + Updated from global requirements
  + Allow translators to control word order of BatchAction message
  + Adds Trove mock to tests in database_backups
  + Run selenium tests only when requested
  + Configurable cell_class in DataTable
  + Remove asserts for optional imports
  + JavaScript use policy
  + Initialize the table after data load in TableTab
  + Add a loadAngular function
  + Hide AZ when creating Volume from snapshot
  + Add a warning to @memoized when caching is impossible
  + Added help note in attach volume dialog
  + Centralizing page size code, reading cookie
  + Updates tox.ini to use new features
  + Quoting attachment filename
  + Adds Cinder client mock to tests
  + Gracefully handle Users with no email attribute
  + Support warning messages in SelfHandlingForm
  + Bad workflow-steps check: has_required_fields
  + added tab showing all servers assigned to a hypervisor
  + Make Neutron API name consistent
  + Change how scrollShift is calculated.
  + Django Formset support in DataTable
  + Fix display of images in Rebuild Instance
  + Common keystone version fallback
  + Enable update image description to blank.
  + Show all custom properties on image detail page
  + Add breadcrumb to containers panel
  + Add UpdateRow method and status_columns to AdminImagesTable
  + Limit coverage report to horizon modules
  + Add member to LBaaS when no servers available always succeed
  + Fix parse_isotime filter into horizon
  + User email is optional and can be absent
  + Wrap call to extension_supported with try/except
  + Set "remove rule" field to be required in dialog
  + Cannot view detailed image with empty name.
  + Rename method get_hosts in admin/info/tables.py
  + Attach volume eventhough the instance is shutoff
  + Modified images list to be sorted alphabetically.
* Tue Dec 10 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev6.g566f4e7:
  + CSV Summary not working inside Admin panel.
* Mon Dec  9 2013 speilicke@suse.com
- Update test dependencies, we don't need coverage nor django-nose-selenium
* Sun Dec  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev4.g35be2e5:
  + Allow snapshots of paused and suspended instances
* Sat Dec  7 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev2.g059b756:
  + Corrected incorrect message when deleting port.
* Fri Dec  6 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev1.g7ed7b73:
  + Show success msg when container deletion succeeds
  + Live migration support
  + Change Network Topology panel so it stops polling ajax on error
  + Show volume quota graphs if totalVolumesUsed >= 0
  + Better @memoized decorator
  + Increase Keypair name size to 255
  + Add more Horizon unit tests.
  + Inline Table editing
  + Fix VPNaaS success messages translation
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev281.g26a5b1f:
  + Remove returns of user_update api
  + Fix duplicate keys in JavaScript
  + Transform Quotas 'inf' to 'No Limit'
  + Use === and !== instead of == and != in JavaScript.
  + Role name should not be translated in Domain Groups dialog
  + Add ability to configure read access of container
  + The use of the class variables
  + Add parse_isotime filter to Image created and updated date strings.
  + Abstraction of Ceilometer meters information
  + Add check for BlockDeviceMappingV2 nova extension
  + Fix bad line breaking and radix in JavaScript
  + Bumping up max_length of flavor extra spec.
  + Make cookie_name field in LBaaS VIP creation switchable
* Sun Dec  1 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev255.ge6121ec:
  + Add volume limits to project overview.
  + Use dot notation in JavaScript
  + Updated can_set_mount_point default in docs
* Sat Nov 30 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev249.g882bf7a:
  +     Adds support for passing extra tenant attributes to keystoneclient
  + Set can_set_mount_point to False by default
  + Fix duplicate definition and scope in JavaScript
* Fri Nov 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev243.gb79c26c:
  + Deleting statistics tables from resource usage page
  + Updates .gitignore
  + Fix semicolons in JavaScript
  + unify the text: change "Update Subnet" to "Edit Subnet"
  + Use [] for new arrays in JavaScript
  + Don't use extra leading zeros in JavaScript
  + Display error message in instance detials page
  + AngularJS + base horizon module
  + Fix confusing use of ! and = in JavaScript
* Thu Nov 28 2013 dmueller@suse.com
- add/use generic 2014.1 branding provide
- remove 0001-Update-troveclient-to-1.0.1.patch
* Thu Nov 28 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev225.g7711a78:
  + Logging user out after self password change
  + Adding bar chart
  + Disable selection of undersized flavors for image
  + pre-select if theres just one project
  + Handle '%%' in Swift container names.
  + Allow "Working" in spinner to be translatable
  + JSHint integration
* Wed Nov 27 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev212.g2b23dde:
  + Update troveclient to 1.0.0
  + Enhancements of line-chart
  + Heat Stack name is missing form validation.
  + Add option to disable server password fields
  + Removed "NT_" prefix in network topology tables
  + Adds pseudo-folder creation
  + Validate volume size is larger than image minDisk
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev198.ged7d1db:
  + Give HealthMonitor a proper display name
  + Gate on H4xx docstrings for pep8
  + Remove confusing text from description form
  + Update 'action_not_allowed' message to be more generic
* Mon Nov 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev190.gd52f95e:
  + translate text: "subnet"/"subnet details"
* Sun Nov 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev188.g94129ba:
  + Fix translatable string for "Injected File Path Bytes"
  + Remove 'file' source type when HORIZON_IMAGES_ALLOW_UPLOAD is False
  + added Neutron incompatiility note for simple IP management
  + Make the alert type in horizon.alert translatable
  + Updated from global requirements
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev179.g68f457a:
  + fix help message of "create flavor"
  + VIP creation fails if ip address is not specified.
  + Add contextual markers to BatchAction messages
  + Fix "it's vs. its" typos
  + lbaas/horizon - adds tcp protocol choice when create lb
  + Ensure all compute meters are listed in dropdown
  + Gate on H102 Apache 2.0 license header not found for pep8
  + Fix bug so that escaped html is not shown in volume detach dialog
* Fri Nov 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev163.g6ed503c:
  + Filter snapshots with status 'available'
  + Make HACKING.rst formatting sync with other repos
* Mon Nov 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev159.g1dd9ec1:
  + Change "Tenant" to "Project"
  + Importing from trove-client compat first
  + Documenting OPENSTACK_SSL_CACERT
* Fri Nov 15 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev153.gce1ef5c:
  + Remove docs for removed can_encrypt_volumes setting
  + Import install_venv from oslo
  + fix help text in "Create An image" window
* Thu Nov 14 2013 speilicke@suse.com
- Update to version 2014.1.dev147.ge543879:
  + Add logging configuration for iso8601 module
  + Fix django.conf.urls.defaults imports
  + Importing from trove-client compat
  + Enabled django-compressor for javascript sanity test
- Disabled 0001-Update-troveclient-to-1.0.1.patch until
  https://review.openstack.org/#/c/51234/ is in better shape
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev140.g7a51bc7:
  + Fix default port of MS SQL in security group template
  + Fix AttributeError on Ajax calls with expired session
  + Use a @cached_property decorator
* Tue Nov 12 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev135.g7e81963:
  + Presents color contrast in resource usage charts
* Mon Nov 11 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev133.g5ee3805:
  + Allow customization of logo link
  + Show AZ for instances
* Fri Nov  8 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev129.g109ef80:
  + changed default values of OPENSTACK_ENDPOINT_TYPE to publicURL
* Wed Nov  6 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev127.gb8ff480:
  + Fix bug by escaping strings from Nova before displaying them
* Mon Nov  4 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev126.gae6abf7:
  + Remove "Delete Pool" button when a pool is connected to a VIP
  + Do not release FIP on disassociate action
  + Fix LBaaS "Edit" forms displaying
* Sun Nov  3 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev120.g9c23d9c:
  + added new exception cinderclient.ConnectionError
* Sat Nov  2 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev118.g61e0571:
  + Add the missing _
  + RST typo for tutorial documentation
* Wed Oct 30 2013 dmueller@suse.com
- add 0001-Update-troveclient-to-1.0.1.patch
* Tue Oct 29 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.dev114.g5918dd5:
  + Rename the action lable of LBaaS monitor disassociation
  + Update my mailmap
  + Removed extraneous period
  + Fix horizon.tables.Column __init__ method.
  + Fix warning in run_tests.sh --makemessages
  + Updated from global requirements
  + Provide missing hover hints for instance:<type> meters
* Sun Oct 27 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a100.g714a4fa:
  + Add Port ID to VIP details page
* Sat Oct 26 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a98.g7971c23:
  + Changed "panels.py" to "panel.py"
  + Make instance DISPLAY_CHOICES translatable
  + Broken charting for non compute resources
* Fri Oct 25 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a92.g42697a3:
  + Fix a bug some optional field in LBaaS are mandatory
  + Updating readme with grammar correction
* Thu Oct 24 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a88.g63dbd1a:
  + change assertEquals to assertEqual
* Wed Oct 23 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a87.g78b26a6:
  + Sortable instances
* Wed Oct 23 2013 speilicke@suse.com
- Use Django's signed_cookies session backend like upstream and drop
  the usage of cache_db
- No need to set SECRET_KEY anymore, upstream learned it too
* Tue Oct 22 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a85.gcc89517:
  + Display LBaaS pool/member status in the tables
  + Fixing possible exception on tables in tabs
* Mon Oct 21 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a81.g1f7d703:
  + Avoid discarding precision of metering data
  + Update DataTables only after previous call is done
* Sun Oct 20 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a77.g1fc6593:
  + Updated from global requirements
* Sat Oct 19 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a76.g3f46c5e:
  + Do not concatenate localized strings
* Fri Oct 18 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a75.gbfed315:
  + Updated from global requirements
  + Updates OpenStack Style Commandments link
  + Fix untranslated project title text
* Thu Oct 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a70.g349270b:
  + Fix incomplete translation of "Update members" widget
  + Updated from global requirements
* Thu Oct 17 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a66.g74502df:
  + Adds router rules support to router details
  + Add filtering parameters to list requests
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a63.g60a99fb:
  + Add Availability Zone to Volume screens
  + Standardize display name on detail pages
  + Display instances with no image information
  + Revert patch causing Instance Image Perf Issue
  + Improve display of instance image information
* Wed Oct 16 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a55.g0df6b78:
  + Handle the case no SimpleTenantUsage Nova extension
  + Add extra extension file to makemessage command line
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a51.g8f98790:
  + Use HEAD when viewing Object details
  + Use HEAD when retrieving Container details
  + Updated from global requirements
  + Hide settings/change password on keystone v3
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a43.ga1dba8a:
  + Refactor horizon TemplateLoader
  + Disable H803 check.
  + Fix import keypair help text
  + Improve default logging configuration
  + Add keystoneclient CredentialsManager if missing
  + Fix rendering of Localized string on cell links
  + capping python-troveclient version
  + Use "flavor details" rather than "flavor data"
  + LUKS quotas names easier to understand
  + emit warning while running flake8 without virtual env
  + Ignore irrelevant secgroup form field errors
  + Run flake8 tests automatically on ./run_tests.sh
* Wed Oct  9 2013 opensuse-cloud@opensuse.org
- Update to version 2014.1.a20.gffced62:
  + Sort tenants in tenant dropdown, per #1234993
  + Quota/limit graphs now work in IE
* Fri Oct  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.rc1:
  + Correcting help text for database launch
  + Fix add policy missing rule issue
  + Release notes for the Havana release
* Wed Oct  2 2013 dmueller@suse.com
- remove python-troveclient dependency, this is now optional
* Wed Oct  2 2013 speilicke@suse.com
- Update to version 2013.2.a194.g45dd0a3:
  + Import translations from Transifex for Havana RC1
  + Create links between FWaaS resources
  + Code more defensively in image views/forms
  + enabling trove to work in multi-region deployment
  + Convert generator to list in Heat list API call
  + Code quality improvements in heat topology
  + Don't generate the secret_key until after loading local settings
  + Correct amount of samples in the chart
  + Updated from global requirements
  + Remove unused LOG
  + Optimization of ceilometer API
  + Limit the odds of making N calls to Glance for image names
- Refreshed lang catalog list
* Tue Oct  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a170.g912425a:
  + Retrieve security group quotas from Neutron if enabled
  + Cleaning up policy documentation
  + Remove extra blank line
* Sun Sep 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a165.gffdf190:
  + Remove gettext_lazy of log message in nexus/profile impl
  + Make some PEP8 understandable in run_tests.sh -p
  + Only send gateway_ip on neutron subnet update when it's changed
  + Ensure to return empty when no secgroup is associated to VM
  + Add support for loadbalancer providers
  + Handle case without session_persistence attr in LBaaS VIP
  + VPNaaS: Sync field names in IPSecSiteConn detail with creation form
* Fri Sep 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a151.g9d41eba:
  + Handled ajax request crash after session timeout
  + Update English PO files (source lang of translations)
  + Fixing database instance launch workflow
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a145.g1d88989:
  + Fix a bug firewall rule creation fails with ANY protocol
  + Update English PO files
  + Allow Django unknown language in LANGUAGES settings
  + Fix excessive volume_get requests in snaps table
  + Fix editing of nameless images
  + Fixes openrc to properly manage '\' characters in the user password
  + Remove colon in item names in LBaaS detail page
  + Determine security group API dynamically
  + Don't insert "Any Availaibility Zone" on single-AZ configurations
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a127.ge063659:
  + Fix help string for peer_address and peer_id
  + Reduce image_list_detailed calls
  + show limit summary in GB
* Tue Sep 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a121.g6415314:
  + Chart css small fixes
  + Fixes inconsistent console problem
  + Update English PO files (source lang of translations)
* Sun Sep 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a115.g8432143:
  + Typo fix rangein -> range in
* Sat Sep 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a113.g7f8229d:
  + Fix Instance secgroup update error with Nova secgroup
* Sat Sep 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a111.g650d267:
  + Update English PO files (source lang of translations)
  + replace nova flavor_list call with trove call
  + Hide the View Details for swift pseudo-folder
  + Replace OpenStack LLC with OpenStack Foundation
  + replace hard coded url for vnc view
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a102.g33597e9:
  + PEP8 E126 has been resolved
  + Fix volume snapshot creation
  + Update error messeages in Launch Instance
  + Adding Y value unit into linechart popup
* Thu Sep 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a95.gb924355:
  + Regenerate POT (English PO) files
  + Make troveclient optional
  + Restore icons on buttons
  + Fixes incomplete translation support of "Defaults" table
  + Enable two verbose_names in AttachmentsTable translatable
  + Update English PO files (source lang of translations)
  + Don't display non-tenant Floating IP in Floating IP project tab
* Wed Sep 18 2013 dmueller@suse.com
- add suse-fix-webroot-paths.diff
- fix permissions
* Wed Sep 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a82.g4bf7248:
  + replace "ugettext" method with "ugettext_lazy"
  + assertEquals is deprecated, use assertEqual
  + Make show_roles language independent
  + Use substitutions in the messages of delete confirm form
  + Add tests for VPNaaS screens
  + divides  "import" statement in a url.py
  + Adding documentation to Tables and Workflows
  + Role name should not be translated in Project Member Edit Tab
* Tue Sep 17 2013 dmueller@suse.com
- fix requires
* Mon Sep 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a68.g027a1a0:
  + Enable some table actions translatable
  + The word "IP" is a proper name
  + Store user settings in persistent cookies as well as the session
  + Fixed a PyPy compatibility issue in the test fixtures
* Sun Sep 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a60.g3e39c21:
  + Display the 'Settings Saved' confirmation in the new language
  + Update English PO files (source lang of translations)
  + Fixing typo: use -> user
* Sun Sep 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a54.g0be5871:
  + Fix bug on missing success message for delete actions
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a52.g9fe0ad1:
  + Redirecting user back to previous screen
  + Internationalise a couple of forgotten strings
  + Minor cleanups on FWaaS message strings
  + Update English PO files (source lang of translations)
* Fri Sep 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a45.g426c8eb:
  + Fix three spelling errors
  + Fix UpdateProjectMembersAction excess keystone calls
  + Add success message after successful deletion of VPNaaS resources
  + storage.object.container ceilometer stat incorrectly set
  + modifies error message in adding security rule
  + ./run_tests.sh --makemessages update English PO files only
* Thu Sep 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a34.g6198031:
  + Enclose command args in with_venv.sh
  + Update the source languange PO files with FWaaS/VPNaaS support
  + Added button to Reboot multiple instances
  + Move Network Topology to the top of "Manage Network" group
  + Provide a default for OPENSTACK_IMAGE_BACKEND
  + Remove general 'unauthorized' message from middleware
* Wed Sep 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a22.ge9d19d9:
  + Enable F403 and F999 check
  + Sync the defaults of VPNaaS forms with the server-side defaults
  + Improves VPNaaS detail page templates
  + Show IPSec Site Connection in VPN service detail
  + Create links between VPN resources
  + FWaaS Horizon panel
* Sat Sep  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a10.g46462b1:
  + Create Router on network topology fails
* Sat Sep  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a8.ge134f4c:
  + Sync English PO files with the latest code for Havana-3
  + Remove test string from translation files
  + VPNaaS UI implementation
* Fri Sep  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a197.gc6d02d6:
  + Moves SECRET_KEY generation to base settings.py file
  + update neutronclient to 2.3.0 minimum
  + Add Cisco N1K plugin support in Horizon
  + Display a message on the login page
  + Do not run preemptive actions twice
  + PEP8 E121 has been resolved
* Thu Sep  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a185.g9ebb52b:
  + Make Image Service image formats configurable
  + Fixing typos for Resource Usage page
  + Remove spaces from translatable strings
* Tue Sep  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a179.ga6f39bc:
  + Adding panels for trove
  + Add metering panel to admin console
  + Improved boot from volume
  + Define flavor for each project
  + Use the horizon_pagesize value in the session cookie
  + added Network Agents to System Info panel
  + Fix row striping when sorting table data
  + Fixes missed localization in network agents
  + Implement required field indicator
  + Remove encryption option for volumes
  + Custom CA certificate for verifying SSL connections
* Mon Sep  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a158.g780fbfb:
  + "# noqa" cleanup
  + Fix help string for Host routes
* Mon Sep  2 2013 dmueller@suse.com
- Update to version 2013.2.a155.g5534576:
  + Drop NodeJS dependency in favor of pure-python lesscpy
  + Show Neutron floating IPs quotas on Overview
  + Small "H302 check" cleanup
  + Custom css and js docs
  + Rename heat logical_resource_id to resource_name
  + Adding Rickshaw as dependency
  + Apply a tempate filter to output for openrc.sh
  + Import is_service_enabled from module
  + View and update Neutron project quotas
  + Don't fidget with the image/snapshot name/size if it's set
  + Use proper method name for assembling the aggregate_list
  + Update Horizon English message files for translation
  + Add ceilometer api and the tests for it
  + Add update method of security group name and description
  + Implement assignment of Domain Roles to Group
  + Fix the Domain context for Projects panel
  + Adding RBAC policy system and checks for identity
  + Hide form tooltip when form closes on escape key
  + Sync Transifex config with the source lang change in Transifex
  + Adding reusable Line Chart
  + Fix the Domain Context for Users panel
  + Add support for parsing jsonfied heat error
  + Delete and launch devices on the topology view
  + Allow admins to update default quotas
* Tue Aug 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a108.geb0d36a:
  + Fix for openrc download on Firefox if the project contains blanks
  + Small cleanup in "test_data"
* Fri Aug 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a105.g71ddcb0:
  + Corrected  misspelled method in horizon documentation
* Thu Aug 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a103.g953d1b9:
  + Adds availability zone info to System Info panel
  + Enable H302 check
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a101.g59e6cc2:
  + Hide default Floating IPs quotas with Neutron
  + Always display the Domains panel for Keystone V3
  + Clean-up code issues related to reboot
  + Implement assignment of Project Roles to Group
  + Display the container and object metadata
  + Improve consistency of quota checking in forms
  + Fix "Add Association" and "Delete Association" displaying
* Wed Aug 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a87.gc17a293:
  + Set row_count value on datatable update method
  + Remove 'Status' field from healthmonitors details
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a83.gf560136:
  + Adding rebuild action under Project/Instances
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a81.g1a6140f:
  + Revert "Fix middleware to not access session fields without user auth"
* Thu Aug 15 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a79.g7e7965f:
  + Fix stack status displaying
  + Fix middleware to not access session fields without user auth
* Wed Aug 14 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a75.g7c3d619:
  + Fix minor bugs in the "Resize Instance" workflow
  + Enable H201: do not write "except:"
  + Adds hypervisor statistics to admin dashboard
* Sun Aug 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a69.gfe659b2:
  + Sync install_venv_common from oslo
  + Refactoring of user assignment workflow.
  + Updated from global requirements
  + Customization: Add an explicit example of disabling Floating IPs
  + fix gettext calls to work on uninterpolated strings
* Thu Aug  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a60.g99c46c2:
  + Allow translators to control the word order
  + Updates Topology to correctly handle resources in the INIT state.
  + Ensure the user monkey patching is done for the API tests
  + Revert "Fix selector syntax"
* Wed Aug  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a53.g8cc1517:
  + Update implementation and remove TODO comment
  + Fix selector syntax
* Mon Aug  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a49.g602275b:
  + Fix typo.
  + Fixing missed translation.
* Sat Aug  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.gf02f0ee:
  + Better sorting of flavors in the "Launch Instance" view
* Sat Aug  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a45.ga68fae2:
  + Fixed keystone test data to match openstack_auth.
  + Minor typo corrections
* Fri Aug  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a42.ga81bfc2:
  + Add Image Source Field to choose Location or File
* Thu Aug  1 2013 speilicke@suse.com
- Update to version 2013.2.a40.gfe2554a:
  + Ignore non-existing attr in APIResourceWrapper __repr__
  + Flavor ID added to Flavor creation form
  + Replaces term tenant with project
  + calling nova extensions api to enable certain nova features
  + Email field is made not mandatory in user creation and editing.
- Add 0001-Fix-selector-syntax.patch
- Refresh 0001-Drop-NodeJS-dependency-in-favor-of-pure-python-lessc.patch
* Tue Jul 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a31.g9bb75cf:
  + Query a period of time for usage summary
  + Correct error messages
  + removing horizon exceptions adding colors to log messages
  + Add column "Uptime" to instances overview
  + Update heat and ceilometer clients requirements
  + Make row actions menu visible for the lower row
  + remove 'import *' usage (or mark is #noqa)
* Fri Jul 26 2013 bwiedemann@suse.com
- refresh 0001-Drop-NodeJS-dependency-in-favor-of-pure-python-lessc.patch
  to not have fuzz
* Thu Jul 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a18.g07b1343:
  + Enable pep8 F841 checking.
  + Use oslo.sphinx and remove local copy of doc theme
  + Removed a comment from tox.ini that no longer applied.
  + Unpinning upper bound on python-*clients
  + fix r'home/$' in url partten
  + added Compute Services to System Info panel
  + adding aggregates panel to admin dashboard
* Mon Jul 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a7.g11fccd3:
  + rename "enable" action to "toggle"
  + Fixing the AJAX function location
  + Remove all_tenants from server_list of Floating IPs tab
* Sat Jul 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a1.gef8ca80:
  + Prevent an array index exception if server does not have an image.
* Thu Jul 18 2013 speilicke@suse.com
- Add 0001-Drop-NodeJS-dependency-in-favor-of-pure-python-lessc.patch:
  Move to pure-python less compiler and drop NodeJs. This removes the
  reason to precompile static assets, thus the whole pipeline was dropped
  which drastically simplifies this package
- Use setuptools instead of distribute (merged upstream)
- Don't package {_datadir}/openstack-dashboard/openstack_dashboard/openstack twice
* Thu Jul 18 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a145.g8914ed9:
  + Enable H304 check
  + Adding Heat Resource Topology to Horizon
* Tue Jul 16 2013 speilicke@suse.com
- Update to version 2013.2.a143.g7e8125d:
  + Adding the ability to set/use domain context
  + Fix a few visual issues on the network topology diagram.
  + Sync pytz from requirements.txt
  + Pinning minimum pbr and d2to1 versions
  + Prompt for password on stack create.
  + Neutron Security Group native support
- Package %%{_datadir}/openstack-dashboard/openstack_dashboard/{openstack,utils}
* Sat Jul 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a131.ge4583eb:
  + Add openstack-common
  + Add ceilometerclient and bootstrap-datepicker as dependency.
* Fri Jul 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a127.g8a826a1:
  + update Quantum references to Neutron
  + Custom javascript files
  + Adding configuring hints in Horizon documentation
  + added column "Image Name" to instances overview
* Fri Jul 12 2013 dmueller@suse.com
- remove neutron-rename.diff
* Wed Jul 10 2013 dmueller@suse.com
- update requires
* Wed Jul 10 2013 dmueller@suse.com
- switch to neutronclient
* Wed Jul 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a120.g2ffe032:
  + Clean-up some of the workflows-related javascript
  + Added btn-create loadbalancer dashboard
  + adding hypervisors panel to admin dashboard
  + Make get_object_by_id() work for most Django objects.
  + Avoid ImportError when selenium is missing.
  + Show ID for None display name in boot from volume
  + Implementation of a Heat stacks UI.
  + Temporary change the django_openstack_auth requirement
* Tue Jul  9 2013 dmueller@suse.com
- add neutron-rename.diff
* Wed Jul  3 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a108.g8bca5a4:
  + Mock some more keystoneclient.Client properties for mox
  + Doc added for Running selenium tests in VM
  + Enable H306 check
* Wed Jul  3 2013 dmueller@suse.com
- remove 0001-Mock-some-more-keystoneclient.Client-properties-for-.patch
* Tue Jul  2 2013 speilicke@suse.com
- Add 0001-Mock-some-more-keystoneclient.Client-properties-for-.patch:
  Backport of https://review.openstack.org/#/c/35142/
* Mon Jul  1 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a102.g26d23da:
  + Improvements in csv export for usage data
  + Revised a few confusing quota legends on the overview page.
  + Always load CSS files first
* Sat Jun 29 2013 dmueller@suse.com
- set expire/deflate options in default view for static
  content
* Wed Jun 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a96.gf356811:
  + Fix Further Pyflakes warnings
  + python3: Introduce py33 to tox.ini
* Tue Jun 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a93.gd511d64:
  + Add Filter Action to Volume Views
  + Enable hacking H101 test
* Mon Jun 24 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a89.g9e2a817:
  + Region selector enabling multi-region support.
* Fri Jun 21 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a87.g5473ab4:
  + Add general description field in image properties
  + Fixing unmocked call errors
  + Disable stop action when instance is deleting
  + Fixing scoping of instances in admin volume view
  + Updates term tenant to project in error messages
  + Implement Browser session timeout
* Thu Jun 20 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a77.g4903a9b:
  + Fix quota charts on the Resize Instance form
  + Remove pool selection from "Add Monitor" page
  + Only display tenant resources in network topology when admin
* Wed Jun 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a71.g86a3d3d:
  + Ensure flake8 runs with a valid settings file
* Wed Jun 19 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a70.gf66e273:
  + Sort imports alphabetically
  + Use Python 3.x compatible except construct
  + Fixing get_panel_groups uncaught exception
  + Manually mock service_catalog in stub_keystoneclient
* Wed Jun 19 2013 dmueller@suse.com
- remove 0001-Manually-mock-service_catalog-in-stub_keystoneclient.patch
* Mon Jun 17 2013 speilicke@suse.com
- Add 0001-Manually-mock-service_catalog-in-stub_keystoneclient.patch:
  Backport of https://review.openstack.org/33266
* Thu Jun 13 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a64.ga30752d:
  + Quota summary graphs, added styling to indicate percentage full
  + Add HACKING.rst
  + Enable "Start Instance" and "Shut Off Instance" buttons
  + Update my mailmap
  + Merge with OpenStack requirements
  + remove unused imports
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a52.gead6483:
  + List only projects accessible by user
  + New tox environment for testing with Django 1.4
  + Refactoring url_for to remove admin parameter
* Wed Jun 12 2013 dmueller@suse.com
- fix build against django 1.5
* Wed Jun 12 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.ge5e5002:
  + Edit some load balancers titles
  + Mix snapshots and images tables together
  + Remove explicit distribute depend.
* Tue Jun 11 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a41.g0b07b42:
  + Specify the django-compressor version to be 1.3 and higher
* Mon Jun 10 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a39.g05bbcbd:
  + Make the multi-select button on the "Floating IPs" page work again
* Sat Jun  8 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a37.g0af659e:
  + Correct exception msg in ClearGateway::action
* Fri Jun  7 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a35.gf5bf488:
  + Remove "Edit VIP" button when there is no VIP
  + Fix bug in port creation form
  + switching to use limits instead of quotas
* Thu Jun  6 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a29.g5c879a3:
  + Make 'Router created' message translatable
  + Enable most of the pyflakes checks.
  + Add security group rule templates
  + Adding pagination to the tenant views
* Wed Jun  5 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a21.g9254c32:
  + Adds methods for [] & len into LazyURLPattern
  + When launching instances, clarifies quota text to "X of Y Used"
  + Add RAM/disk requirements to image details
  + Add edit buttons for vip, member and monitor
  + Make 'Creating volume' message translatable
  + Pop 'password' in user_update v3 if it is left blank
  + Fix spelling errors.
  + Resizing a server by means of changing its flavor
* Tue Jun  4 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a5.g55569d5:
  + Add availability zone choice to launch instance
* Mon Jun  3 2013 speilicke@suse.com
- Move HTML templates and static assets to new branding sub-packages:
  + python-horizon-branding-upstream
  + openstack-dashboard-branding-upstream
* Sun Jun  2 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a3.gc5f968a:
  + Add settings for console type (vnc vs spice)
* Wed May 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a155.g08f8050:
  + Enable snapshot quota setting
  + Renames tools/pip-requires to requirements.txt
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Wed May 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a151.g1a6ca7b:
  + Fixes max recursion warning
  + Use default cidr to avoid exception when editing quantum security rules.
  + Group CRUD and Management in Admin Dashboard.
  + Improve test stability
* Mon May 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a143.g65525a1:
  + Orchestration endpoints for keystone test data
  + Make the Settings form fully translatable
  + Fixes boot from volume without image
  + Adding CRUD for roles
* Mon May 27 2013 dmueller@suse.com
- update requires for test subpackage
* Mon May 27 2013 dmueller@suse.com
- rename production bcond to nodejs and invert the default
* Mon May 27 2013 speilicke@suse.com
- Update to version 2013.2.a135.g24d9f14:
  + Migrate to PBR for build tooling.
  + Update Horizon for Django 1.5 compatibility
  + Fix translation error for missing default role
  + Don't duplicate networks list on keypair import
  + Adding extensibility to table actions template.
  + Move to flake8.
  + Shortens displayed action names in Floating IPs table
  + Updated translations from Transifex
  + Fix cosmetic bug when displaying unnamed volumes
  + Ensure to use keyword parameters in format string in create_instance.py
  + Enable using multiple API versions for Identity Service.
  + Fixing Floating IP capitalization bug
  + Adds d3.js library and reworked quota infographics
  + Ensure an error message in LBaaS is displayed once.
  + Correct a wonky translation from commit b7e3624
  + Enable parsing of Identity Service V3 catalog.
  + Changes generic error message in horizon.modals.js
  + Make pagination tunable through the settings panel
  + Add ability to create a volume from an image
  + Add unit tests for customization module
  + set the admin_pass when creating the server
  + Allow "Create Snapshot" for SHUTOFF state
  + Use ugettext_lazy instead of ugettext.
  + Allow workflows to support multipart POST.
  + register replace_underscores filter for templates
  + Mark additional strings as translatable
  + Fix run_tests documentation on skip-selenium flag
  + Display table actions BatchActions buttons in the correct locale
  + parse_isotime filter to parse a date string.
  + Make discovery of version for KS catalog smarter.
  + Always return a list from VolumeTableMixIn._get*
  + Refactored the templates code
  + Shows a warning message when deleting a container that contains data.
  + Access to heat API via python-heatclient
  + Preparing for Heat tests
  + Add "Edit Pool" button
  + Add a logging handler for the cinderclient to the local_settings.py.example
  + Improvements in csv export for usage data
  + Allow users to change their passwords
  + Revert "Improvements in csv export for usage data"
  + Adding Domain CRUD in Admin Dashboard.
  + Added insecure SSL support to quantum api
- bin/lessc moved from %%python_sitelib to %%_datadir/openstack_dashboard
* Wed May 15 2013 dmueller@suse.com
- adjust buildrequires (pbr and d2to1)
* Tue Apr 30 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a56.g495dcb9:
  + Remove workaround for keystone
* Mon Apr 29 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a54.g315a9a0:
  + Remove the term 'syspanel' from docs
  + Add a logout when admin user update his own password.
* Sat Apr 27 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a50.g327dd58:
  + Quotas names fixed Cores->VCPUs, Floating Ips->Floating IPs
* Fri Apr 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a48.gf3ea7f1:
  + Add help text for some fields of Load Balancer forms
* Fri Apr 26 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a46.g813c04f:
  + Remove deprecated features
* Thu Apr 25 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a44.g4aeb8fc:
  + Fix regression on running manage command.
  + Enhancement on prompts to list selected objects.
  + Add Filter Action to Instance Views
  + Fixes sorting on IP Address columns in tables.
* Tue Apr 23 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a36.g4104aaf:
  + Add tests for LBaaS screens
* Mon Apr 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a34.g4a19755:
  + Expose "protected" attribute of images.
* Mon Apr 22 2013 opensuse-cloud@opensuse.org
- Update to version 2013.2.a33.ge4541a6:
  + Adds docs for settings/configuration.
  + Reduce duplicate definitions about quota sets
  + Disable LB panel by default; allow UUID for Sec Group ID.
  + Pin the cinderclient version.
  + Check if volume service is enabled in quota update
  + Handle None protocol in security group rule table
  + Improve UX around "unauthorized" API exceptions.
  + Implement configurable auto-fade for alerts messages.
  + Updated translations from transifex for Grizzly RC.
  + Adds Grizzly release notes.
  + Remove note on theming from release notes.
  + Bump version to 2013.2.
  + Tiny Mistake in Document
  + Fix adding security groups to an existing instance
  + Hide unnecessary fields based on Loadbalancer Monitor type
  + Remove unused tools/rfc.sh
  + Add flavor name regex validation to match nova.
  + Allow admin to edit project quotas for fixed IPs
  + Release notes on Quantum Brocade plugin incompatibility.
  + Return an empty string rather than None when calling repr()
  + Remove inheritance of More action on first action
  + Made default values in templates translatable.
  + Refactor the quotas tests
  + Increase socket timeout for selenium tests
  + CharFields replaced by IntegerFields in LBaaS forms.
  + Allow users to create a rich network topology
  + Fix some not-consistent titles for virtual routers management
  + Update "Getting Started" Contributing docs
  + Fix floating IP management from instance panel.
  + Adding pagination to the instance views
  + Fix the "Updated" field in the Image Detail page
* Mon Mar 18 2013 speilicke@suse.com
- Update to version 2013.1.a68.ga53d649:
  + Correct the related tenant_id when getting quotas
  + Adding extensibility to workflow template file.
  + rm invalid args when updating quotas with nova api
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Sun Mar 17 2013 cloud-devel@suse.de
- Update to version 2013.1.a62.gf044be3+git.1363479087.f044be3:
  + Fixes error message formatting in Load Balancers panel
  + Pass-in the initial value when performing a POST on Workflow Action. This fixes the call to self.changed_data, it allows django forms to be able to compare initial value with current value.
  + Remove router actions from Admin panel
  + Fix device name for example. Fixes bug 1152975
  + Display port link between router and extra network
  + Fix circular dependencies in dashboard settings
* Wed Mar 13 2013 cloud-devel@suse.de
- Update to version 2013.1.a50.g7fdb6a4+git.1363133682.7fdb6a4:
  + Don't change dashboard on admin tenant switch
  + Fixes uncaught exception on Add Monitor when unable to retrieve pools
  + Updating .po files for translation.
  + Update CACHE_ to CACHES settings
  + Fixes uncaught exception on Add Pool when unable to retrieve networks
  + Update to Quantum Client 2.2.0
  + Add some more customization help and examples
  + Increase maxlength of Snapshot Name to 255.
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a35.gff270d1+git.1362995832.ff270d1:
  + Bump python-quantumclient version to 2.1.2
  + Allow non-admin users to clear router gateway properly
  + Support multiple role selection in projects
  + blueprint quantum-lbaas
  + Improve style of network topology
  + Prevents flavors to be deleted when reusing a name
* Thu Mar  7 2013 vuntz@suse.com
- Remove SITE_BRANDING key from local_settings.py: this was set to
  "SUSE Cloud", but the package in OBS is not for the SUSE Cloud
  product.
* Tue Mar  5 2013 cloud-devel@suse.de
- Update to version 2013.1.a24.gf754398+git.1362503889.f754398:
  + Fix hogan js templates in IE8
  + Ensure "Add Interface" form in Admin Panel works
  + Escape the region name before passing as value in URL.
  + Allow for terminating paused/suspended instances
  + Fix errant XHR request happening on every page
* Thu Feb 28 2013 saschpe@suse.de
- Update to version 2013.1.a15.g26b6a4b+git.1362045017.26b6a4b:
  + pin django to 1.4.x stream
  + Fix footer count update for multi-table pages
  + Fix images/snapshots table pagination
  + Correctly mock keystoneclient.Client.auto_token property with Mox
  + Fix uninitialized variable in launch instance
  + Allow admin to edit project quotas for security groups and rules
  + Fix a TypeError when working in a Folsom env.
  + Fix row striping when datatables are filtered
- Drop horizon-mox-auth_token-property.patch: Merged upstream
* Tue Feb 26 2013 saschpe@suse.de
- Add horizon-mox-auth_token-property.patch: Correctly mock
  keystoneclient.Client.auto_token property with Mox
* Mon Feb 25 2013 saschpe@suse.de
- Drop horizon-minimumpwlen.patch (merged upstream)
- Drop horizon-user-email.patch (dubious)
- Only package tests in test sub-package
- Use openstack_test_package_install again (and thus install only
  needed files)
* Fri Feb 22 2013 dmueller@suse.com
- Update to version 2013.1.a113.g7d13abc+git.1361552088.7d13abc:
  + Update (some) table actions to use icons together with text
  + Implements ability to upload local image to glance.
  + Allow users to specify the order of VNICs of an instance.
  + Support adding/removing instance security groups
  + Resolve API import issues (quantum)
  + Added encryption support for volumes
  + Adding network-topology view for quantum
  + Add support for both soft and hard reboot options
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead openstack-macros
* Mon Feb 18 2013 cloud-devel@suse.de
- Update to version 2013.1.a99.gcf09dd8+git.1361180128.cf09dd8:
  + Added openstack_dashboard/local/.secret_key_store to .gitignore.
  + Fixes support for User filtering without JavaScript
  + Fixes the width of the error box on the login form.
  + Properly enable/disable project/user edit via setting.
  + Improve error message when the default role doesn't exist
  + Adds API Access information to Access & Security panel.
  + Add X-FRAME_OPTIONS header to protect against Clickjacking
  + If a user only has 1 keypair, this keypair should be selected by default
  + Allow image filtering based on image ownership
  + Add recommendations for secure deployments
  + Some text in html are not translatable, this cleans-up some of those files.
  + Replaces ugettext with ugettext_lazy in the dashboard-related files
  + Remove placeholder objects for subfolders
  + Improved security group rule editing.
* Thu Feb 14 2013 saschpe@suse.de
- Don't forget to point to the lessc binary in (sigh) python_sitelib
  in the non-'production-mode' environment.
* Thu Feb 14 2013 saschpe@suse.de
- Some more adjustments for non-'production-mode', i.e. don't remove
  the private less binary in %%{python_sitelib} and some config values
* Wed Feb 13 2013 dmueller@suse.com
- disable production mode for now and enable nodejs dependency
  in order to develop a theme
* Mon Feb 11 2013 cloud-devel@suse.de
- Update to version 2013.1.a75.g216d566+git.1360595119.216d566:
  + Disable allocate IP button if the current number of floating IP is equal or larger than the amount allowed by the quota.
  + Remove image_type column from images/snaps tables
  + Fix footer count update
  + Update to latest oslo-version.
  + Implements the autocomplete attribute on the login form
  + Change "select all" checkbox behaviour while checkboxes is checked/unchecked.
  + Confirmation dialogs lists selected objects name
  + Allow password-field autocomplete to be configured in settings.
  + Re-enable client logging.
  + Quantum Floating IP support
  + Change the first letter of routers tab header and html title from
  + Fixing sidebar layout in IE.
  + Timezones can change - display the current tz offset
  + Fix on async messaging to don't escape message string marked as safe.
* Mon Feb 11 2013 dmueller@suse.com
- Also runtim-require python-six
* Mon Feb  4 2013 saschpe@suse.de
- Add BuildRequires python-six for SLE_11_SP2
* Mon Feb  4 2013 dmueller@suse.com
- Update to version 2013.1+git.1359978842.f36efbb:
  + Enhances consistency in 'Create Project' modal
  + Default recoverable error to WARN log level.
  + Invoke the has_more_data function of tables when loading TableTab.
  + Prevent the user from creating a single IP address sized network
* Mon Jan 28 2013 saschpe@suse.de
- Redo asset collection and compression once more:
  - No need to copy static files around, Django's staticfiles app does
    that already
  - We have to use bin/less/lessc on the less files, otherwise we end
    up with broken theming
  - It is best to do this in the unpacked tarball (thus back to %%prep)
    and only install $TARBALL_ROOT/static/, i.e. what's configured as
    STATIC_ROOT in openstack_dashboard/settings.py
* Mon Jan 28 2013 dmueller@suse.com
- Update to version 2013.1+git.1359365274.59b7e60:
  + Add support for SPICE consoles
  + save the original requestor's IP so it doesn't get overwritten
* Wed Jan 23 2013 cloud-devel@suse.de
- Update to version 2013.1+git.1358958988.28debeb:
  + Ensure to use api.<category>.<method>
  + Don't show the EC2 Credentials panel if there is no EC2 service
* Mon Jan 21 2013 dmueller@suse.com
- Update to version 2013.1+git.1358761327.b8071bc:
  + Clean-up deprecated diablo code in index.html.
  + Fix attributes processing in ActionMetaclass
  + Remove |safe from openrc.template
  + Improves some UX details
  + Extend offline-compression context
  + Adding extensibility to data_table template file
  + Use default_if_none rather than default filter
  + Prevent column summation if no non-None cells
  + Absolute limits of -1 should be treated as unlimited
  + Allow insecure authentication
  + make long tenant names look better
  + Clarify the ambiguity of the "more actions" dropdown.
  + Horizon escapes special characters in openrc.sh
- Remove horizon-ssl.patch: Merged upstream
- Remove horizon-fix-offline-caching.patch: Merged upstream
* Wed Jan 16 2013 saschpe@suse.de
- Change to "Obsoletes: ... < %%{version}", we had some version
  updates in between
* Wed Jan 16 2013 dmueller@suse.com
- Add horizon-fix-offline-caching.patch: Fix the pregenerated
  js caches to match
- Remove SUSE branding, as it is completely non-matching
* Tue Jan 15 2013 vuntz@suse.com
- Do not uselessly call "python manage.py help" in %%install.
* Mon Jan 14 2013 dmueller@suse.de
- Update to version 2013.1+git.1358167788.47db765:
  + Allow setting nova quotas to unlimited
  + Check the display name for volumes on AJAX polls.
  + Migrate an instance from the admin dashboard
  + Support Quantum L3 function
  + Improve Quantum panels to Folsom advanced features
  + Don't redirect when clicking instance detail page in admin panel.
  + Disable Launch Button based on quotas
  + Fixed unicode for object copy
  + Really, really, honestly adjust the size of the noVNC iframe.
  + Fixes PEP8 errors as reported by pep8 1.3.4
  + Pin docutils to 0.9.1.
  + Store timezone as string. Fixes bug 1091021.
  + Avoid cinder calls, when cinder is unavailable
  + Fixes bug 1086290
  + Adds a "simplified" floating IP management option.
  + Removes unused imports
  + Allow permissions to be set on tables
  + Add a check for unlimited quotas
  + show swap disk in listing and forms in flavors syspanel
  + Return a better error message(security_groups)
  + Specify floating ips table action cloumn's width
  + Fix handling of UUID-typed flavor ids
  + Make sure vCPU and RAM quotas are initialised when no instances are running
  + Ignore the socket timeout error in Selenium test
  + Add an optional link_classes to tables.Column, this is used as the class of the displayed link in the cell.
  + For long tenant name, display an ellipsis using CSS3.
  + refactor UserFilterAction code
  + Accepts UUID as an ID of Floating IP
  + Return a friendly error at flavor creation
  + Adds transitional deprecation code for old dashboard names.
  + Don't inherit from base.html in 500 error page
  + Fixes for missing files in MANIFEST.
  + Unifies Horizon conf.
  + Client-side validation of password/confirmation match
  + Honour LOGIN_URL when redirecting to login page
  + Reworks quotas and services panels into System Info panel.
  + use addHorizonLoadEvent() method instead of $(document).ready()
  + Allow running tests individually
  + Move netaddr to pip-requires
  + Added a check for volume service in quota functions
  + Remove superfluous slash from admin usage.csv template
  + When editing an image, correctly set the 'is_public' checkbox.
  + Changed "Delete volume" success message text
  + Flavor Extra Specs support.
  + Wrap a project list call with exception handler.
  + Enforce use of latest django_openstack_auth for PKI compat.
  + Dynamically size the noVNC iframe, fix typos in copy
  + Remove unused usage.csv template
  + Update all usage.csv templates to use 2 decimal places
  + Add newline between rows of Admin usage.csv
  + Adding volume owner (project) to admin table.
  + Report correct return value from pep8 check
  + Adding volume host to admin table.
  + Added support for volume types
  + Use UUIDs for flavor create/edit.
  + Enable quota data from multiple sources.
  + Fixed url pattern for project:instances:detail page
  + Add OpenStack trove classifier for PyPI
  + Update common.
  + Fixes JavaScript count bug in tables.
  + Show message when user has no permissions
  + User shouldn't remove their own roles on project
  + Readding bin dir which was mistakenly deleted.
  + Fix bug 1055929 - Can not display usage data for Quota Summary.
  + Adding ephemeral disk to instance details
  + Splits OpenStack Dashboard bits from framework app code.
  + Corrects an error in the EC2 form choices.
  + Renames legacy dashboards.
  + Final translations for Folsom.
  + Fixes error when clicking OpenStack logo.
  + Allow any python-swiftclient v1.1 through v1.X
- horizon-minimumpwlen.patch, horizon-ssl.patch: Refreshed
* Mon Jan 14 2013 vuntz@suse.com
- Put python-selenium Requires from test subpackage inside a "%%if
  0%%{?with_selenium}" statement:
  + the selenium tests are not run by default, and pushing selenium
    to Factory would require too much time for now. So we should
    avoid the Requires by default.
  + we might still want to have the Requires in some OBS project
    where we'd want to use the selenium tests. Defining
    %%with_selenium in the prjconf of the project will do the trick.
- If we don't have the Requires, use a Recommends for
  python-selenium instead: this will be good enough for most cases.
* Thu Jan 10 2013 vuntz@suse.com
- Rework a lot %%build/%%install (some part of this is based on the
  Fedora packaging):
  + move pre-compilation of LESS files to %%install. Note that it
    requires manipulating PYTHONPATH.
  + move addition of "COMPRESS_OFFLINE = True" to local_settings.py
    to %%install
  + do not package LESS (gets installed in %%{python_sitelib}/bin/)
    nor po files.
  + do not keep around %%{python_sitelib}/openstack_dashboard/:
    instead, we move the files to
    %%{_localstatedir}/lib/openstack-dashboard/openstack_dashboard
    (while we were copying a subset of files before, which was
    broken).
  + do not change STATIC_ROOT in openstack_dashboard/settings.py
    and instead collect static files in
    %%{_localstatedir}/lib/openstack-dashboard/static
  + stop using -v with cp: it doesn't help in any way.
- Note: the packaging with special permission for
  %%{_localstatedir}/lib/openstack-dashboard/openstack_dashboard/static/
  has been removed as it shouldn't be needed.
- Update openstack-dashboard.conf.sample: the location of static
  files has changed, and we don't need aliases for them anymore.
* Wed Dec 19 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
- Update to version 2012.2.2+git.1355916357.da9a19c:
  + Bump next version to 2012.2.2
  + Final versioning for 2012.2.1
  + Fixes JavaScript count bug in tables.
  + When editing an image, correctly set the 'is_public' checkbox.
* Thu Dec  6 2012 vuntz@suse.com
- Fix sed line that changes STATIC_ROOT in
  %%{python_sitelib}/openstack_dashboard/settings.py: the value
  needs to be quoted.
* Wed Dec  5 2012 saschpe@suse.de
- Use @PARENT_TAG@ in _service file to automate versioning
* Mon Dec  3 2012 saschpe@suse.de
- Move runtime requirements to python-horizon package
- Rebase horizon-ssl.patch
- Move config sub-package back into base package, this never made
  much sense
* Wed Nov 28 2012 saschpe@suse.de
- Set COMPRESS_OFFLINE config variable for django_compressor
* Tue Nov 27 2012 saschpe@suse.de
- Rebased horizon-ssl.patch (See https://review.openstack.org/16972)
* Tue Nov 27 2012 iartarisi@suse.cz
- set ownership of static directory to the web server
* Tue Nov 27 2012 iartarisi@suse.cz
- hardcode STATIC_ROOT in django settings.py
* Mon Nov 26 2012 saschpe@suse.de
- First shot at removing nodejs runtime dependency:
  + CSS assets have to be pre-compiled at build-time so that
    django_compressor can find the cached CSS (compiled from LESS
    input).
* Mon Nov 19 2012 saschpe@suse.de
- Update python module dependencies for Folsom release.
- Also add previously unpackaged deps for the test package
* Thu Nov 15 2012 saschpe@suse.de
- Use openstack-macros
* Mon Nov 12 2012 saschpe@suse.de
- Update to version 2012.2 (Folsom):
  + See https://github.com/openstack/horizon/commits/folsom
- Drop the following upstreamed patches:
  + horizon-secure_SECRET_KEY.patch
  + horizon-suse-branding.patch
  + backports.patch
  + suse-patches.diff
  + vnc-iframe-size.patch (Upstream has different size, though)
  + horizon-keep-image-properties.patch (Solved differently, search
    for meta["purge_probs"])
- Added patches:
  + horizon-user-email.patch - Last part of 'suse-patches.diff',
    currently disabled, check if needed
- Package additional languages
- Renamed theme tarball from green.tar.gz to
  openstack-dashboard-suse-theme.tar.bz2
- TODO/FIXME: multiple files per lang
* Thu Nov  8 2012 saschpe@suse.de
- Drop from_vcs build flag
* Mon Oct  8 2012 saschpe@suse.de
- Update (green) branding: Ship local copies of various Google fonts
  (bnc#772230)
* Mon Oct  1 2012 saschpe@suse.de
- Add horizon-suse-branding.patch: SUSE Cloud branding according
  to documentation (bnc#770065)
* Sun Sep 16 2012 jenkins@suse.de
- Update to latest git (35eada8):
  + Do not crash when deleting image or volume with no name (bnc#776890)
  + Fix open redirect in Horizon. (bnc#776559)
* Wed Sep 12 2012 vuntz@suse.com
- Do not use a sed to modify /usr/bin/gensslcert in %%post: this
  file belongs to another package, and we actually don't do any
  change with the sed... Fix bnc#779747.
* Mon Sep 10 2012 vuntz@suse.com
- Add horizon-keep-image-properties.patch: fix the test accordingly
  too. This test isn't in Folsom anymore, so wasn't in the
  backported patch.
* Mon Sep  3 2012 vuntz@suse.com
- Add horizon-keep-image-properties.patch: do not lose properties
  when editing an image. Fix bnc#777855.
* Tue Aug 28 2012 jenkins@suse.de
- Update to latest git (f862d9e):
  + Corrects the CSV download link for overview pages.
* Fri Aug 24 2012 jdsn@suse.com
- refresh patch in order to apply with no fuzz
* Thu Aug 23 2012 vuntz@opensuse.org
- Update horizon-login-no-phishing.patch with patch from upstream.
* Thu Aug 23 2012 vuntz@suse.com
- Add horizon-crash-no-name.patch: fix crash when deleting image or
  volume with no name. Fix bnc#776890.
* Wed Aug 22 2012 cthiel@suse.com
- add vnc-iframe-size.patch to improve vnc iframe size and avoid scrollbars
* Mon Aug 20 2012 vuntz@suse.com
- Add horizon-login-no-phishing.patch: fix an open redirect /
  phishing attack. Fix bnc#776559.
* Mon Aug 20 2012 bwiedemann@suse.com
- add minimum password length check in sample config
* Tue Aug 14 2012 jenkins@suse.de
- Update to latest git (691dd22):
  + Fixed validation check for ICMP rules
  + Bump version to 2012.1.3
* Tue Aug 14 2012 cthiel@suse.com
- remove 7b565fc9-fixed-validation-ICMP.patch, which has been merged upstream
  https://review.openstack.org/#/c/10078/
* Mon Aug 13 2012 jenkins@suse.de
- Update to latest git (52bbba1):
  + Added --only-selenium option in run_tests.sh
* Fri Aug  3 2012 vuntz@suse.com
- Update suse-patches.diff: remove part that was making us not
  handle swiftclient.Error exceptions, which was causing
  bnc#773186.
* Tue Jul 31 2012 jdsn@suse.de
- fix template syntax error in user filter (bnc#771667)
* Mon Jul 30 2012 saschpe@suse.de
- More SSl fixes, renamed patch to horizon-ssl.patch therefore
* Wed Jul 25 2012 saschpe@suse.de
- Secure file permissions for Apache SSL certificate files
* Tue Jul 24 2012 saschpe@suse.de
- Drop directory /var/log/openstack_dashboard, it was previously
  used by Apache2 vhosts that are now using /var/log/apache2
* Mon Jul 23 2012 saschpe@suse.de
- Remote temporary hack agin, no need to uncoditionally disable
  SSL certificate verification anymore
* Mon Jul 23 2012 cthiel@suse.com
- fix test case for horizon-insecure-ssl.patch
* Mon Jul 23 2012 cthiel@suse.com
- fix test part of 7b565fc9-fixed-validation-ICMP.patch
* Fri Jul 20 2012 cthiel@suse.com
- add 7b565fc9-fixed-validation-ICMP.patch, backport of
  https://review.openstack.org/#/c/8446 (fixes bnc#771658)
* Tue Jul 17 2012 saschpe@suse.de
- Add horizon-insecure-ssl.patch to allow disabling SSl certificate
  validity checks (useful for debugging / self-signed certificates)
- Avoid packaging language files twice
* Mon Jul  9 2012 saschpe@suse.de
- Provide Apache2 example configuration
* Fri Jul  6 2012 saschpe@suse.de
- Fixed yet another typo in horizon-secure_SECRET_KEY.patch
* Wed Jul  4 2012 saschpe@suse.de
- Fixed horizon-secure_SECRET_KEY.patch, it still contained
  debug code
* Fri Jun 29 2012 saschpe@suse.de
- Remove requires on "openstack-quantum" as there seems to be no
  support for it
* Wed Jun 27 2012 saschpe@suse.de
- Change versioning scheme to $release+git.$AUTHORDATE.$COMMITREV
- Simplify from_vcs macros
- Add Provides for "openstack-horizon" for consistency/convenience
* Tue Jun 26 2012 saschpe@suse.de
- Consistent package summaries
- Use upstream description
- Macro cleanup:
  + Package is noarch except for SLE-11
  + No need to redefine %%_initddir, SLE-11 works correctly
  + No need for 'with_doc', no documentation package is built
* Mon Jun 25 2012 saschpe@suse.de
- Use horizon.utils.secret_key to generate a (per-machine) unique
  SECRET_KEY. Removes previous %%post section solution
* Tue Jun 19 2012 saschpe@suse.de
- Use HttpOnly CSRF cookies (needs patched Django-1.4 ATM)
- Require python-django >= 1.4 to get access to several security
  features
* Fri Jun 15 2012 saschpe@suse.de
- Fix some rpmlint warnings
- Added rpmlintrc for non-issues
* Wed Jun 13 2012 saschpe@suse.de
- Drop %%{py_requires}, we now have a specific 'Requires: python >= 2.6.8'
- Provide self-signed SSL certificates to be used for non-production setups
  (like openstack-quickstart)
- Drop SESSION_COOKIE_SECURE in default Django config, it will be part of our
  openstack-quickstart and crowbar-barclamp-horizon
* Tue Jun  5 2012 SPeilicke@suse.com
- Use 'secure' session and CSRF cookies (bnc#753582)
* Mon Jun  4 2012 SPeilicke@suse.com
- Updated design
* Mon Jun  4 2012 SPeilicke@suse.com
- Generate a random default SECRET_KEY for local_settings.py
* Thu May 24 2012 jfehlig@suse.com
- Add 'Requires: python >= 2.6.8'
* Wed May 16 2012 bwiedemann@suse.com
- update design
* Wed May  2 2012 bwiedemann@suse.com
- package eTrounev's design
* Tue Apr 24 2012 bwiedemann@suse.com
- paint it green
